!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_4246) = coupl(nGC_8)*(coupl(nGC_494)*coupl(nGC_79) + 4d0*coupl(  &
                      nGC_734)**2d0 + 4d0*coupl(nGC_8)**2d0 + coupl(nGC_80)**  &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_9279) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_7769) = coupl(nGC_4657) + coupl(nGC_MHP)*dZHMinus_QED2 + coupl(  &
                      nGC_TS_GC_59_H1)
    coupl(nGC_9272) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_9273) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_7765) = coupl(nGC_I)*dZHMinus_QED2
    coupl(nGC_9274) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_7111) = coupl(nGC_34)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7050) = coupl(nGC_70)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_7051) = coupl(nGC_70)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_7052) = coupl(nGC_4586) + coupl(nGC_7051)
    coupl(nGC_7053) = coupl(nGC_4587) + coupl(nGC_70)*dZH1_QED2/2d0
    coupl(nGC_7054) = coupl(nGC_7050) + coupl(nGC_7053)
    coupl(nGC_8173) = coupl(nGC_4570) + coupl(nGC_78)*dZmuMinusR_QED2/2d0 +    &
                      coupl(nGC_78)*dZnu_muL_QED2/2d0
    coupl(nGC_4180) = (-cMHP**2d0*cima*coupl(nGC_244)**2d0 - cMHP**2d0*cima*   &
                      coupl(nGC_260)**2d0 - cMHP**2d0*cima*coupl(nGC_276)*coupl&
                      (nGC_32) - cMHP**2d0*cima*coupl(nGC_31)*coupl(nGC_808) - &
                      cMHP**2d0*cima*coupl(nGC_37)**2d0 - cMHP**2d0*cima*coupl(&
                      nGC_8)**2d0 - cMW**2d0*cima*coupl(nGC_276)*coupl(nGC_32  &
                      ) - cMW**2d0*cima*coupl(nGC_31)*coupl(nGC_808) - 8d0*cMW &
                      **2d0*coupl(nGC_23) - cMZ**2d0*cima*coupl(nGC_260)**2d0  &
                       - cMZ**2d0*cima*coupl(nGC_37)**2d0 - 4d0*cMZ**2d0*coupl(&
                      nGC_28))/(64d0*pi**2d0)
    coupl(nGC_6193) = coupl(nGC_74)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6194) = coupl(nGC_74)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6195) = coupl(nGC_4563) + coupl(nGC_6194)
    coupl(nGC_6497) = coupl(nGC_15)*dZsR_QED2
    coupl(nGC_7942) = dZbL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_6886) = coupl(nGC_4618) + coupl(nGC_54)*dZAZ_QED2 + coupl(nGC_57 &
                      )*dZZ_QED2
    coupl(nGC_6498) = coupl(nGC_15)*dZsR_QCD2
    coupl(nGC_4216) = cima*sq2**2d0*(-Nc*coupl(nGC_14)**2d0 + 4d0*coupl(nGC_15 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7830) = -coupl(nGC_7829)
    coupl(nGC_4332) = coupl(nGC_15)**2d0*coupl(nGC_68)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4348) = coupl(nGC_15)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6832) = coupl(nGC_4571) + coupl(nGC_87)*dZnu_tauL_QED2/2d0 +     &
                      coupl(nGC_87)*dZtauMinusR_QED2/2d0
    coupl(nGC_TS_GC_62_H1) = -coupl(nGC_62)*dtH1_QED1/cMH1**2d0
    coupl(nGC_10610) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_7933) = coupl(nGC_49)*dZbR_QCD2
    coupl(nGC_7932) = coupl(nGC_49)*dZbR_QED2
    coupl(nGC_6408) = coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_6409) = dZsL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_6377) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_6375) = coupl(nGC_4589) + coupl(nGC_85)*dZH1_QED2/2d0
    coupl(nGC_6400) = coupl(nGC_49)*dZsR_QCD2
    coupl(nGC_4345) = coupl(nGC_15)**2d0*sq2**2d0*(cMB*coupl(nGC_68) + cMC*    &
                      coupl(nGC_70) + cMD*coupl(nGC_74) + cMS*coupl(nGC_83) +  &
                      cMT*coupl(nGC_85) + cMU*coupl(nGC_91))/(16d0*pi**2d0*Nc)
    coupl(nGC_6591) = coupl(nGC_15)*dZdR_QCD2
    coupl(nGC_4344) = coupl(nGC_15)**2d0*sq2**2d0*(-cMB*coupl(nGC_68) - cMC*   &
                      coupl(nGC_70) - cMD*coupl(nGC_74) - cMS*coupl(nGC_83) -  &
                      cMT*coupl(nGC_85) - cMU*coupl(nGC_91))/(16d0*pi**2d0)
    coupl(nGC_6272) = coupl(nGC_11)*dZWMinus_QED2/2d0 + coupl(nGC_11)*dZZ_QED2/&
                      2d0 + coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_4615)
    coupl(nGC_4525) = coupl(nGC_4045)*dlam_QED4
    coupl(nGC_6372) = coupl(nGC_85)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_4526) = coupl(nGC_4049)*dlam_QED4
    coupl(nGC_4523) = coupl(nGC_142)*db4_QED4
    coupl(nGC_4522) = coupl(nGC_138)*db4_QED4
    coupl(nGC_7156) = coupl(nGC_4677) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7152) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_4594)
    coupl(nGC_9401) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_9400) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_9402) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_9407) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_9406) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_4590) = coupl(nGC_4096)*dsw_QED2 + coupl(nGC_4097)*dZee_QED2
    coupl(nGC_4591) = coupl(nGC_4089)*dsw_QED2 + coupl(nGC_4090)*dZee_QED2
    coupl(nGC_6303) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZsL_QED2
    coupl(nGC_6302) = coupl(nGC_4623) + coupl(nGC_5)*dZA_QED2/2d0
    coupl(nGC_4597) = coupl(nGC_4053)*dsw_QED2 + coupl(nGC_4054)*dZee_QED2
    coupl(nGC_4598) = coupl(nGC_4082)*dsw_QED2 + coupl(nGC_4083)*dZee_QED2
    coupl(nGC_4599) = coupl(nGC_4033)*dsw_QED2 + coupl(nGC_4034)*dZee_QED2
    coupl(nGC_6308) = 2d0*coupl(nGC_22)*dZWMinus_QED2 + coupl(nGC_4606)
    coupl(nGC_4541) = coupl(nGC_4110)*dZee_QED2 + coupl(nGC_4111)*dMZ2_QED2 +  &
                      coupl(nGC_4112)*dsw_QED2
    coupl(nGC_9399) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_4234) = (-8d0*Nc*cMB*coupl(nGC_5)**2d0*coupl(nGC_68) - 8d0*Nc*cMC&
                      *coupl(nGC_6)**2d0*coupl(nGC_70) - 8d0*Nc*cMD*coupl(nGC_5&
                      )**2d0*coupl(nGC_74) - 8d0*Nc*cMS*coupl(nGC_5)**2d0*coupl&
                      (nGC_83) - 8d0*Nc*cMT*coupl(nGC_6)**2d0*coupl(nGC_85) -  &
                      8d0*Nc*cMU*coupl(nGC_6)**2d0*coupl(nGC_91) - 8d0*cME*    &
                      coupl(nGC_77)*coupl(nGC_8)**2d0 - 8d0*cMM*coupl(nGC_8)** &
                      2d0*coupl(nGC_80) - 8d0*cMTA*coupl(nGC_8)**2d0*coupl(    &
                      nGC_89) + 4d0*cima*coupl(nGC_272)*coupl(nGC_63) - coupl( &
                      nGC_29)*coupl(nGC_388)*coupl(nGC_64) - coupl(nGC_30)*    &
                      coupl(nGC_64)*coupl(nGC_7) + 6d0*coupl(nGC_388)**2d0*    &
                      coupl(nGC_63) - coupl(nGC_388)*coupl(nGC_64)*coupl(      &
                      nGC_708) + 6d0*coupl(nGC_63)*coupl(nGC_7)**2d0 - coupl(  &
                      nGC_64)*coupl(nGC_7)*coupl(nGC_866))/(32d0*pi**2d0)
    coupl(nGC_6841) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_4239) = (4d0*coupl(nGC_338)**2d0*coupl(nGC_6) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_5) + 4d0*coupl(nGC_34)**2d0*coupl(nGC_7 &
                      ) + coupl(nGC_462)*coupl(nGC_6)*coupl(nGC_71) + coupl(   &
                      nGC_5)*coupl(nGC_81)**2d0 + 4d0*coupl(nGC_6)**3d0 + coupl&
                      (nGC_6)*coupl(nGC_70)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4188) = cima*(4d0*Nc*coupl(nGC_68)**2d0 + 4d0*Nc*coupl(nGC_70)** &
                      2d0 + 4d0*Nc*coupl(nGC_74)**2d0 + 4d0*Nc*coupl(nGC_83)** &
                      2d0 + 4d0*Nc*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_91)** &
                      2d0 + coupl(nGC_29)*coupl(nGC_708) + coupl(nGC_290)*coupl&
                      (nGC_51) + coupl(nGC_30)*coupl(nGC_866) + 4d0*coupl(     &
                      nGC_77)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_89 &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_6653) = -2d0*coupl(nGC_6214) + coupl(nGC_6302) + coupl(nGC_6644)
    coupl(nGC_6652) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_5)*dZdL_QED2
    coupl(nGC_6654) = coupl(nGC_6214) + coupl(nGC_6302) + coupl(nGC_6652)
    coupl(nGC_7022) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_7027) = -coupl(nGC_7022)
    coupl(nGC_9324) = -coupl(nGC_8345)
    coupl(nGC_6996) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_6997) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6995) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_6998) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_9924) = coupl(nGC_4665) + coupl(nGC_9916)
    coupl(nGC_9922) = coupl(nGC_4664) + coupl(nGC_TS_GC_70_H1)
    coupl(nGC_9923) = coupl(nGC_9915) + coupl(nGC_9922)
    coupl(nGC_9920) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_9921) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_7971) = -coupl(nGC_7152)
    coupl(nGC_4302) = coupl(nGC_1168)*coupl(nGC_15)**2d0*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4573) = coupl(nGC_4172)*dym_QED3
    coupl(nGC_4628) = coupl(nGC_4076)*dsw_QED2 + coupl(nGC_4077)*dcw_QED2 +    &
                      coupl(nGC_4078)*dZee_QED2
    coupl(nGC_4629) = coupl(nGC_4128)*dsw_QED2 + coupl(nGC_4129)*dcw_QED2 +    &
                      coupl(nGC_4130)*dZee_QED2
    coupl(nGC_4622) = coupl(nGC_4025)*dZee_QED2
    coupl(nGC_4620) = coupl(nGC_4162)*dZee_QED2 + coupl(nGC_4163)*dcw_QED2 +   &
                      coupl(nGC_4164)*dsw_QED2 + coupl(nGC_4165)*dvev_QED1
    coupl(nGC_4621) = coupl(nGC_4065)*dsw_QED2 + coupl(nGC_4066)*dcw_QED2 +    &
                      coupl(nGC_4067)*dZee_QED2
    coupl(nGC_4626) = coupl(nGC_4086)*dsw_QED2 + coupl(nGC_4087)*dcw_QED2 +    &
                      coupl(nGC_4088)*dZee_QED2
    coupl(nGC_4627) = coupl(nGC_4122)*dsw_QED2 + coupl(nGC_4123)*dcw_QED2 +    &
                      coupl(nGC_4124)*dZee_QED2
    coupl(nGC_4624) = coupl(nGC_158)*dZgs_QCD2
    coupl(nGC_4625) = coupl(nGC_4072)*dsw_QED2 + coupl(nGC_4073)*dZee_QED2
    coupl(nGC_4403) = coupl(nGC_15)*sq2*(-4d0*coupl(nGC_314)**2d0 - 4d0*coupl( &
                      nGC_5)**2d0 - coupl(nGC_558)*coupl(nGC_82) - coupl(nGC_81&
                      )**2d0 - coupl(nGC_83)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4401) = -coupl(nGC_15)*sq2*(-coupl(nGC_1168)*coupl(nGC_73) - 4d0*&
                      coupl(nGC_314)**2d0 - 4d0*coupl(nGC_5)**2d0 - coupl(     &
                      nGC_72)**2d0 - coupl(nGC_74)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4406) = coupl(nGC_15)*sq2*(4d0*coupl(nGC_314)**2d0 + 4d0*coupl(  &
                      nGC_5)**2d0 + coupl(nGC_558)*coupl(nGC_82) + coupl(nGC_81&
                      )**2d0 + coupl(nGC_83)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4407) = coupl(nGC_15)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_14  &
                      ) - coupl(nGC_15))/(64d0*pi**2d0*Nc)
    coupl(nGC_4404) = coupl(nGC_15)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_14   &
                      ) + coupl(nGC_15))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_4529) = coupl(nGC_4138)*dvev_QED1 + coupl(nGC_4139)*dlam_QED4
    coupl(nGC_4528) = coupl(nGC_146)*dvev_QED1 + coupl(nGC_148)*da2_QED4
    coupl(nGC_4392) = -coupl(nGC_15)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_14  &
                      ) + coupl(nGC_15))/(64d0*pi**2d0*Nc)
    coupl(nGC_4396) = -coupl(nGC_15)*sq2*(-4d0*coupl(nGC_338)**2d0 - 4d0*coupl(&
                      nGC_34)**2d0 - coupl(nGC_462)*coupl(nGC_71) - 4d0*coupl( &
                      nGC_6)**2d0 - coupl(nGC_70)**2d0 - coupl(nGC_81)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_4397) = -coupl(nGC_15)*sq2*(-4d0*coupl(nGC_336)**2d0 - coupl(    &
                      nGC_462)*coupl(nGC_71) - 4d0*coupl(nGC_6)**2d0 - coupl(  &
                      nGC_69)**2d0 - coupl(nGC_70)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4394) = -coupl(nGC_15)*sq2*(4d0*coupl(nGC_338)**2d0 + 4d0*coupl( &
                      nGC_34)**2d0 + coupl(nGC_462)*coupl(nGC_71) + 4d0*coupl( &
                      nGC_6)**2d0 + coupl(nGC_70)**2d0 + coupl(nGC_81)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_4395) = -coupl(nGC_15)*sq2*(4d0*coupl(nGC_336)**2d0 + coupl(     &
                      nGC_462)*coupl(nGC_71) + 4d0*coupl(nGC_6)**2d0 + coupl(  &
                      nGC_69)**2d0 + coupl(nGC_70)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4399) = -coupl(nGC_15)*sq2*(coupl(nGC_1168)*coupl(nGC_73) + 4d0* &
                      coupl(nGC_314)**2d0 + 4d0*coupl(nGC_5)**2d0 + coupl(     &
                      nGC_72)**2d0 + coupl(nGC_74)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7800) = coupl(nGC_4657) + coupl(nGC_MHP)*dZH2_QED2 + coupl(      &
                      nGC_TS_GC_59_H1)
    coupl(nGC_7191) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_6572) = coupl(nGC_4629) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_eL_QED2
    coupl(nGC_7195) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_7196) = coupl(nGC_4661) + coupl(nGC_TS_GC_89_H1)
    coupl(nGC_6220) = coupl(nGC_4622) + coupl(nGC_6)*dZA_QED2/2d0
    coupl(nGC_6222) = 4d0*coupl(nGC_6214) + coupl(nGC_6215) + coupl(nGC_6220)
    coupl(nGC_6223) = coupl(nGC_6214) + coupl(nGC_6220) + coupl(nGC_6221)
    coupl(nGC_4494) = cima*coupl(nGC_15)**2d0*sq2**2d0*(coupl(nGC_68)**2d0 +   &
                      coupl(nGC_70)**2d0 + coupl(nGC_74)**2d0 + coupl(nGC_83)**&
                      2d0 + coupl(nGC_85)**2d0 + coupl(nGC_91)**2d0)/(16d0*pi**&
                      2d0*Nc)
    coupl(nGC_6340) = coupl(nGC_49)*dZtR_QCD2
    coupl(nGC_6347) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZtL_QED2 +   &
                      coupl(nGC_4626) + coupl(nGC_49)*dZtL_QED2
    coupl(nGC_6346) = coupl(nGC_4627) + coupl(nGC_49)*dZZ_QED2/2d0
    coupl(nGC_4493) = cima*coupl(nGC_15)**2d0*sq2**2d0*(-coupl(nGC_68)**2d0 -  &
                      coupl(nGC_70)**2d0 - coupl(nGC_74)**2d0 - coupl(nGC_83)**&
                      2d0 - coupl(nGC_85)**2d0 - coupl(nGC_91)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4275) = coupl(nGC_15)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4271) = coupl(nGC_15)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4270) = (coupl(nGC_244)*coupl(nGC_6)*coupl(nGC_81) + 8d0*coupl(  &
                      nGC_314)*coupl(nGC_338)*coupl(nGC_81) + coupl(nGC_314)*  &
                      coupl(nGC_52)*coupl(nGC_81) + coupl(nGC_33)*coupl(nGC_34 &
                      )*coupl(nGC_558) + coupl(nGC_338)*coupl(nGC_566)*coupl(  &
                      nGC_81) + coupl(nGC_34)*coupl(nGC_83)*coupl(nGC_866) -   &
                      coupl(nGC_462)*coupl(nGC_558)*coupl(nGC_69) + 8d0*coupl( &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_81) + coupl(nGC_5)*coupl(  &
                      nGC_8)*coupl(nGC_81) - coupl(nGC_69)*coupl(nGC_70)*coupl(&
                      nGC_83))/(32d0*pi**2d0)
    coupl(nGC_4477) = (12d0*cima*coupl(nGC_21)*coupl(nGC_25) - 10d0*cima*coupl(&
                      nGC_276)*coupl(nGC_30)*coupl(nGC_32)*coupl(nGC_866) -    &
                      10d0*cima*coupl(nGC_29)*coupl(nGC_31)*coupl(nGC_708)*    &
                      coupl(nGC_808) + 3d0*coupl(nGC_1)*coupl(nGC_276)*coupl(  &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_29)*coupl(nGC_708   &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_290)*coupl(nGC_51) + 3d0* &
                      coupl(nGC_1)*coupl(nGC_30)*coupl(nGC_866) + 3d0*coupl(   &
                      nGC_1)*coupl(nGC_31)*coupl(nGC_808) - 3d0*coupl(nGC_21)* &
                      coupl(nGC_276)*coupl(nGC_32) - 3d0*coupl(nGC_21)*coupl(  &
                      nGC_31)*coupl(nGC_808) - 3d0*coupl(nGC_25)*coupl(nGC_29)*&
                      coupl(nGC_708) - 3d0*coupl(nGC_25)*coupl(nGC_30)*coupl(  &
                      nGC_866))/(96d0*pi**2d0)
    coupl(nGC_4576) = coupl(nGC_4171)*dym_QED3
    coupl(nGC_4574) = coupl(nGC_4055)*dytau_QED3
    coupl(nGC_4575) = coupl(nGC_4168)*dye_QED3
    coupl(nGC_4572) = coupl(nGC_4170)*dye_QED3
    coupl(nGC_4479) = (6d0*cima*coupl(nGC_25)**2d0 - 5d0*cima*coupl(nGC_276)** &
                      2d0*coupl(nGC_32)**2d0 - 5d0*cima*coupl(nGC_31)**2d0*    &
                      coupl(nGC_808)**2d0 + 3d0*coupl(nGC_2)*coupl(nGC_276)*   &
                      coupl(nGC_32) + 3d0*coupl(nGC_2)*coupl(nGC_31)*coupl(    &
                      nGC_808) - 3d0*coupl(nGC_25)*coupl(nGC_276)*coupl(nGC_32 &
                      ) - 3d0*coupl(nGC_25)*coupl(nGC_31)*coupl(nGC_808))/(16d0&
                      *pi**2d0)
    coupl(nGC_8109) = coupl(nGC_34)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_9408) = coupl(nGC_4666) + coupl(nGC_TS_GC_85_H1)
    coupl(nGC_9914) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_9913) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_4378) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_736) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_734)*coupl(nGC_75)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4379) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_34 &
                      )**2d0*coupl(nGC_736) + 4d0*coupl(nGC_53)**3d0 + coupl(  &
                      nGC_734)*coupl(nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4417) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_14)**3d0 + 48d0*coupl(  &
                      nGC_15)**3d0)/(768d0*pi**2d0)
    coupl(nGC_6487) = coupl(nGC_4630) + coupl(nGC_50)*dZZ_QED2/2d0
    coupl(nGC_6488) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*              &
                      dZtauMinusL_QED2 + coupl(nGC_4628) + coupl(nGC_50)*      &
                      dZtauMinusL_QED2
    coupl(nGC_6489) = coupl(nGC_6485) + 2d0*coupl(nGC_6486) + 2d0*coupl(       &
                      nGC_6487)
    coupl(nGC_8200) = coupl(nGC_89)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8203) = coupl(nGC_4577) + coupl(nGC_89)*dZH1_QED2/2d0
    coupl(nGC_8204) = coupl(nGC_8200) + coupl(nGC_8203)
    coupl(nGC_4595) = coupl(nGC_4070)*dsw_QED2 + coupl(nGC_4071)*dZee_QED2
    coupl(nGC_4354) = (-coupl(nGC_290)*coupl(nGC_338)*coupl(nGC_400) + 8d0*    &
                      coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_91) - coupl(     &
                      nGC_336)*coupl(nGC_400)*coupl(nGC_51) - coupl(nGC_34)*   &
                      coupl(nGC_866)*coupl(nGC_90) - coupl(nGC_400)**2d0*coupl(&
                      nGC_91) + 8d0*coupl(nGC_6)**2d0*coupl(nGC_91) - coupl(   &
                      nGC_72)*coupl(nGC_74)*coupl(nGC_90) - coupl(nGC_91)**3d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_4355) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_92) - coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_90) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_91) - coupl(nGC_338)*coupl(     &
                      nGC_51)*coupl(nGC_92) + 8d0*coupl(nGC_6)**2d0*coupl(     &
                      nGC_91) - coupl(nGC_72)*coupl(nGC_74)*coupl(nGC_90) -    &
                      coupl(nGC_91)**3d0 - coupl(nGC_91)*coupl(nGC_92)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4352) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_88) + coupl(    &
                      nGC_34)*coupl(nGC_866)*coupl(nGC_87) + coupl(nGC_51)*    &
                      coupl(nGC_734)*coupl(nGC_88) + 8d0*coupl(nGC_734)*coupl( &
                      nGC_736)*coupl(nGC_89) + 8d0*coupl(nGC_8)**2d0*coupl(    &
                      nGC_89) - coupl(nGC_88)**2d0*coupl(nGC_89) - coupl(nGC_89&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_4350) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_86) - coupl(   &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_84) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_85) - coupl(nGC_338)*coupl(     &
                      nGC_51)*coupl(nGC_86) + 8d0*coupl(nGC_6)**2d0*coupl(     &
                      nGC_85) - coupl(nGC_66)*coupl(nGC_68)*coupl(nGC_84) -    &
                      coupl(nGC_85)**3d0 - coupl(nGC_85)*coupl(nGC_86)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4351) = coupl(nGC_15)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4359) = coupl(nGC_15)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_6436) = coupl(nGC_88)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_6433) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/&
                      2d0 + coupl(nGC_42)*dZAZ_QED2/2d0 + coupl(nGC_4611)
    coupl(nGC_6824) = 4d0*coupl(nGC_6817)
    coupl(nGC_6438) = coupl(nGC_4574) + coupl(nGC_6436)
    coupl(nGC_6820) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*dZuL_QED2 +   &
                      coupl(nGC_4626) + coupl(nGC_49)*dZuL_QED2
    coupl(nGC_6821) = coupl(nGC_6336) + 4d0*coupl(nGC_6346) + 4d0*coupl(       &
                      nGC_6816)
    coupl(nGC_6385) = coupl(nGC_34)*dZWMinus_QED2/2d0 + coupl(nGC_34)*         &
                      dZnu_tauL_QED2/2d0 + coupl(nGC_34)*dZtauMinusL_QED2/2d0  &
                       + coupl(nGC_4625)
    coupl(nGC_7313) = coupl(nGC_4528) + coupl(nGC_59)*dZH1_QED2/2d0 + coupl(   &
                      nGC_59)*dZH2_QED2 + coupl(nGC_TS_GC_1_H1)
    coupl(nGC_6382) = -coupl(nGC_6377)
    coupl(nGC_4612) = coupl(nGC_4043)*dcw_QED2 + coupl(nGC_4044)*dZee_QED2
    coupl(nGC_TS_GC_83_H1) = -coupl(nGC_83)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4617) = coupl(nGC_4143)*dsw_QED2 + coupl(nGC_4144)*dcw_QED2 +    &
                      coupl(nGC_4145)*dZee_QED2
    coupl(nGC_4616) = coupl(nGC_4104)*dsw_QED2 + coupl(nGC_4105)*dcw_QED2 +    &
                      coupl(nGC_4106)*dZee_QED2
    coupl(nGC_4614) = coupl(nGC_4140)*dcw_QED2 + coupl(nGC_4141)*dZee_QED2 +   &
                      coupl(nGC_4142)*dvev_QED1
    coupl(nGC_6260) = coupl(nGC_92)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6261) = -coupl(nGC_4578) - coupl(nGC_6260)
    coupl(nGC_6262) = coupl(nGC_4578) + coupl(nGC_6260)
    coupl(nGC_6263) = -coupl(nGC_4579) - coupl(nGC_6259)
    coupl(nGC_6264) = coupl(nGC_4579) + coupl(nGC_6259)
    coupl(nGC_4532) = coupl(nGC_4038)*dZee_QED2
    coupl(nGC_4530) = coupl(nGC_152)*dvev_QED1 + coupl(nGC_154)*dlam_QED4
    coupl(nGC_4531) = coupl(nGC_4040)*dZee_QED2
    coupl(nGC_4536) = coupl(nGC_4107)*dMW2_QED2 + coupl(nGC_4108)*dsw_QED2 +   &
                      coupl(nGC_4109)*dZee_QED2
    coupl(nGC_4537) = coupl(nGC_4091)*dsw_QED2 + coupl(nGC_4092)*dcw_QED2 +    &
                      coupl(nGC_4093)*dZee_QED2
    coupl(nGC_4534) = coupl(nGC_4056)*dMW2_QED2 + coupl(nGC_4057)*dZee_QED2
    coupl(nGC_4535) = coupl(nGC_4101)*dMW2_QED2 + coupl(nGC_4102)*dsw_QED2 +   &
                      coupl(nGC_4103)*dZee_QED2
    coupl(nGC_4538) = coupl(nGC_4146)*dMW2_QED2 + coupl(nGC_4147)*dcw_QED2 +   &
                      coupl(nGC_4148)*dsw_QED2 + coupl(nGC_4149)*dZee_QED2
    coupl(nGC_9410) = coupl(nGC_4667) + coupl(nGC_9402)
    coupl(nGC_4433) = (6d0*Nc*cima*coupl(nGC_5)**4d0 + 6d0*Nc*cima*coupl(nGC_6 &
                      )**4d0 + 3d0*cima*coupl(nGC_272)**2d0 - 10d0*cima*coupl( &
                      nGC_388)**4d0 - 10d0*cima*coupl(nGC_7)**4d0 + 6d0*cima*  &
                      coupl(nGC_8)**4d0 + 9d0*coupl(nGC_272)*coupl(nGC_388)**  &
                      2d0 + 9d0*coupl(nGC_272)*coupl(nGC_7)**2d0 + 3d0*coupl(  &
                      nGC_388)**2d0*coupl(nGC_9) + 3d0*coupl(nGC_7)**2d0*coupl(&
                      nGC_9))/(24d0*pi**2d0)
    coupl(nGC_6908) = coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_8)*              &
                      dZtauMinusL_QED2
    coupl(nGC_9556) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_8844) = coupl(nGC_4575) + coupl(nGC_77)*dZH1_QED2/2d0
    coupl(nGC_8845) = coupl(nGC_8843) + coupl(nGC_8844)
    coupl(nGC_6318) = coupl(nGC_4545) + coupl(nGC_90)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_90)*dZuR_QCD2/2d0
    coupl(nGC_6319) = coupl(nGC_4547) + coupl(nGC_72)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_72)*dZuL_QCD2/2d0
    coupl(nGC_8825) = coupl(nGC_4572) + coupl(nGC_8823)
    coupl(nGC_4544) = coupl(nGC_4050)*dZgs_QCD2
    coupl(nGC_4543) = coupl(nGC_4046)*dZgs_QCD2
    coupl(nGC_4542) = coupl(nGC_4134)*dZee_QED2 + coupl(nGC_4135)*dMZ2_QED2 +  &
                      coupl(nGC_4136)*dcw_QED2 + coupl(nGC_4137)*dsw_QED2
    coupl(nGC_4228) = (coupl(nGC_244)**2d0*coupl(nGC_8) + coupl(nGC_260)**2d0* &
                      coupl(nGC_8) - 6d0*coupl(nGC_31)*coupl(nGC_7)*coupl(     &
                      nGC_808))/(96d0*pi**2d0)
    coupl(nGC_4540) = coupl(nGC_4113)*dMW2_QED2 + coupl(nGC_4114)*dsw_QED2 +   &
                      coupl(nGC_4115)*dZee_QED2
    coupl(nGC_4226) = cMU*cima*(-coupl(nGC_336)*coupl(nGC_338) - coupl(nGC_6)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4225) = cMTA*cima*(-coupl(nGC_734)*coupl(nGC_736) - coupl(nGC_8  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_4223) = cMT*cima*(-coupl(nGC_336)*coupl(nGC_338) - coupl(nGC_6)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4220) = cima*(-coupl(nGC_34)**2d0 - coupl(nGC_53)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_7740) = dZdL_QCD2*(coupl(nGC_35) + coupl(nGC_49))
    coupl(nGC_7741) = -2d0*coupl(nGC_7731)
    coupl(nGC_7742) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZdL_QED2 +   &
                      coupl(nGC_4628) + coupl(nGC_49)*dZdL_QED2
    coupl(nGC_7743) = -2d0*coupl(nGC_6346) + coupl(nGC_6408) - 2d0*coupl(      &
                      nGC_7730)
    coupl(nGC_8155) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_8156) = -coupl(nGC_8155)
    coupl(nGC_6412) = -2d0*coupl(nGC_6346) - 2d0*coupl(nGC_6399) + coupl(      &
                      nGC_6408)
    coupl(nGC_7036) = coupl(nGC_24)*dZHMinus_QED2 + coupl(nGC_24)*dZWMinus_QED2&
                       + coupl(nGC_4597)
    coupl(nGC_7033) = coupl(nGC_4542) + coupl(nGC_56)*dZH1_QED2/2d0
    coupl(nGC_6968) = coupl(nGC_79)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_7702) = 2d0*coupl(nGC_19)*dZH1_QED2 + coupl(nGC_4525)
    coupl(nGC_4610) = coupl(nGC_4125)*dsw_QED2 + coupl(nGC_4126)*dcw_QED2 +    &
                      coupl(nGC_4127)*dZee_QED2
    coupl(nGC_4313) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_85) - coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_84) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_578) - coupl(nGC_338)*coupl(    &
                      nGC_51)*coupl(nGC_85) - coupl(nGC_578)**2d0*coupl(nGC_86 &
                      ) + 8d0*coupl(nGC_578)*coupl(nGC_6)**2d0 - coupl(nGC_66)*&
                      coupl(nGC_67)*coupl(nGC_84) - coupl(nGC_85)**2d0*coupl(  &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_4318) = (coupl(nGC_290)*coupl(nGC_736)*coupl(nGC_89) + coupl(    &
                      nGC_34)*coupl(nGC_772)*coupl(nGC_87) - coupl(nGC_452)**  &
                      2d0*coupl(nGC_88) + 8d0*coupl(nGC_452)*coupl(nGC_734)*   &
                      coupl(nGC_736) + 8d0*coupl(nGC_452)*coupl(nGC_8)**2d0 +  &
                      coupl(nGC_51)*coupl(nGC_734)*coupl(nGC_89) - coupl(nGC_88&
                      )*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4319) = (-coupl(nGC_290)*coupl(nGC_336)*coupl(nGC_91) - coupl(   &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_90) + 8d0*coupl(nGC_336)*&
                      coupl(nGC_338)*coupl(nGC_400) - coupl(nGC_338)*coupl(    &
                      nGC_51)*coupl(nGC_91) - coupl(nGC_400)**2d0*coupl(nGC_92 &
                      ) + 8d0*coupl(nGC_400)*coupl(nGC_6)**2d0 - coupl(nGC_72)*&
                      coupl(nGC_73)*coupl(nGC_90) - coupl(nGC_91)**2d0*coupl(  &
                      nGC_92))/(32d0*pi**2d0)
    coupl(nGC_10662) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_10663) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_4310) = coupl(nGC_15)**2d0*coupl(nGC_558)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_10661) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_4316) = coupl(nGC_15)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4317) = (coupl(nGC_290)*coupl(nGC_734)*coupl(nGC_89) + coupl(    &
                      nGC_33)*coupl(nGC_34)*coupl(nGC_87) - coupl(nGC_452)*    &
                      coupl(nGC_88)**2d0 - coupl(nGC_452)*coupl(nGC_89)**2d0 + &
                      coupl(nGC_51)*coupl(nGC_736)*coupl(nGC_89) + 8d0*coupl(  &
                      nGC_734)*coupl(nGC_736)*coupl(nGC_88) + 8d0*coupl(nGC_8  &
                      )**2d0*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_10664) = coupl(nGC_4660) + coupl(nGC_TS_GC_80_H1)
    coupl(nGC_10665) = coupl(nGC_10662) + coupl(nGC_10664)
    coupl(nGC_7298) = coupl(nGC_6485) + 2d0*coupl(nGC_6487) + 2d0*coupl(       &
                      nGC_7296)
    coupl(nGC_4314) = coupl(nGC_15)**2d0*coupl(nGC_578)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7297) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZeMinusL_QED2&
                       + coupl(nGC_4628) + coupl(nGC_50)*dZeMinusL_QED2
    coupl(nGC_4248) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_75)**2d0*coupl(nGC_8))/( &
                      32d0*pi**2d0)
    coupl(nGC_7459) = 4d0*coupl(nGC_6214) + coupl(nGC_6220) + coupl(nGC_7456)
    coupl(nGC_4249) = (4d0*coupl(nGC_34)**2d0*coupl(nGC_7) + 4d0*coupl(nGC_34  &
                      )**2d0*coupl(nGC_8) + coupl(nGC_78)**2d0*coupl(nGC_8))/( &
                      32d0*pi**2d0)
    coupl(nGC_7299) = coupl(nGC_6485) + coupl(nGC_6487) + coupl(nGC_7297)
    coupl(nGC_4564) = coupl(nGC_4166)*dydo_QED3
    coupl(nGC_TS_GC_68_H1) = -coupl(nGC_68)*dtH1_QED1/cMH1**2d0
    coupl(nGC_4566) = coupl(nGC_4174)*dys_QED3
    coupl(nGC_4240) = (4d0*coupl(nGC_336)**2d0*coupl(nGC_6) + coupl(nGC_462)*  &
                      coupl(nGC_6)*coupl(nGC_71) + coupl(nGC_5)*coupl(nGC_69)**&
                      2d0 + 4d0*coupl(nGC_6)**3d0 + coupl(nGC_6)*coupl(nGC_70  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_7184) = -coupl(nGC_4558) - coupl(nGC_7180)
    coupl(nGC_7185) = coupl(nGC_4558) + coupl(nGC_7180)
    coupl(nGC_7182) = -coupl(nGC_4557) - coupl(nGC_7181)
    coupl(nGC_7183) = coupl(nGC_4557) + coupl(nGC_7181)
    coupl(nGC_4366) = coupl(nGC_15)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9518) = 3d0*coupl(nGC_14)*dZg_QCD2/2d0 + coupl(nGC_4543)
    coupl(nGC_7188) = coupl(nGC_34)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7654) = coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_4533) + coupl(   &
                      nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2
    coupl(nGC_4489) = cima*coupl(nGC_15)**2d0*coupl(nGC_34)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_6351) = 4d0*coupl(nGC_6340)
    coupl(nGC_4481) = (20d0*Nc*cima*coupl(nGC_68)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_70)**4d0 + 20d0*Nc*cima*coupl(nGC_74)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_91)**4d0 + 6d0*cima*coupl(     &
                      nGC_21)**2d0 - 5d0*cima*coupl(nGC_29)**2d0*coupl(nGC_708 &
                      )**2d0 - 5d0*cima*coupl(nGC_290)**2d0*coupl(nGC_51)**2d0 &
                       - 5d0*cima*coupl(nGC_30)**2d0*coupl(nGC_866)**2d0 + 3d0*&
                      cima*coupl(nGC_58)**2d0 + 20d0*cima*coupl(nGC_77)**4d0 + &
                      20d0*cima*coupl(nGC_80)**4d0 + 20d0*cima*coupl(nGC_89)** &
                      4d0 + 3d0*coupl(nGC_17)*coupl(nGC_29)*coupl(nGC_708) +   &
                      3d0*coupl(nGC_17)*coupl(nGC_290)*coupl(nGC_51) + 3d0*    &
                      coupl(nGC_17)*coupl(nGC_30)*coupl(nGC_866) - 3d0*coupl(  &
                      nGC_21)*coupl(nGC_29)*coupl(nGC_708) - 3d0*coupl(nGC_21)*&
                      coupl(nGC_30)*coupl(nGC_866) - 3d0*coupl(nGC_290)*coupl( &
                      nGC_51)*coupl(nGC_58))/(16d0*pi**2d0)
    coupl(nGC_6354) = coupl(nGC_14)*dZg_QCD2/2d0 + coupl(nGC_4543)
    coupl(nGC_4260) = (4d0*Nc*coupl(nGC_314)*coupl(nGC_66)**2d0 + 4d0*Nc*coupl(&
                      nGC_314)*coupl(nGC_72)**2d0 + 4d0*Nc*coupl(nGC_314)*coupl&
                      (nGC_81)**2d0 + 4d0*Nc*coupl(nGC_316)*coupl(nGC_69)**2d0 &
                       + 4d0*Nc*coupl(nGC_316)*coupl(nGC_84)**2d0 + 4d0*Nc*    &
                      coupl(nGC_316)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_336 &
                      )*coupl(nGC_69)**2d0 - 4d0*Nc*coupl(nGC_336)*coupl(nGC_84&
                      )**2d0 - 4d0*Nc*coupl(nGC_336)*coupl(nGC_90)**2d0 - 4d0* &
                      Nc*coupl(nGC_338)*coupl(nGC_66)**2d0 - 4d0*Nc*coupl(     &
                      nGC_338)*coupl(nGC_72)**2d0 - 4d0*Nc*coupl(nGC_338)*coupl&
                      (nGC_81)**2d0 + coupl(nGC_244)**2d0*coupl(nGC_52) - 6d0* &
                      coupl(nGC_29)*coupl(nGC_38)*coupl(nGC_708) + coupl(      &
                      nGC_290)*coupl(nGC_772)*coupl(nGC_866) + coupl(nGC_30)*  &
                      coupl(nGC_33)*coupl(nGC_51) - 6d0*coupl(nGC_33)*coupl(   &
                      nGC_38)*coupl(nGC_772) + coupl(nGC_52)*coupl(nGC_566)**  &
                      2d0 - 4d0*coupl(nGC_53)*coupl(nGC_75)**2d0 - 4d0*coupl(  &
                      nGC_53)*coupl(nGC_78)**2d0 - 4d0*coupl(nGC_53)*coupl(    &
                      nGC_87)**2d0 + 4d0*coupl(nGC_734)*coupl(nGC_75)**2d0 +   &
                      4d0*coupl(nGC_734)*coupl(nGC_78)**2d0 + 4d0*coupl(nGC_734&
                      )*coupl(nGC_87)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4266) = (-coupl(nGC_244)*coupl(nGC_5)*coupl(nGC_84) + 8d0*coupl( &
                      nGC_316)*coupl(nGC_336)*coupl(nGC_84) - coupl(nGC_316)*  &
                      coupl(nGC_566)*coupl(nGC_84) - coupl(nGC_33)*coupl(nGC_34&
                      )*coupl(nGC_86) - coupl(nGC_336)*coupl(nGC_52)*coupl(    &
                      nGC_84) - coupl(nGC_34)*coupl(nGC_85)*coupl(nGC_866) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_84) - coupl(nGC_6&
                      )*coupl(nGC_8)*coupl(nGC_84) - coupl(nGC_66)*coupl(nGC_67&
                      )*coupl(nGC_86) - coupl(nGC_66)*coupl(nGC_68)*coupl(     &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_4267) = coupl(nGC_15)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4268) = (coupl(nGC_244)*coupl(nGC_6)*coupl(nGC_69) + coupl(nGC_29&
                      )*coupl(nGC_34)*coupl(nGC_70) + 8d0*coupl(nGC_316)*coupl(&
                      nGC_336)*coupl(nGC_69) + coupl(nGC_316)*coupl(nGC_52)*   &
                      coupl(nGC_69) + coupl(nGC_336)*coupl(nGC_566)*coupl(     &
                      nGC_69) + coupl(nGC_34)*coupl(nGC_71)*coupl(nGC_772) +   &
                      8d0*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_69) + coupl(nGC_5&
                      )*coupl(nGC_69)*coupl(nGC_8) - coupl(nGC_70)*coupl(nGC_81&
                      )*coupl(nGC_83) - coupl(nGC_71)*coupl(nGC_81)*coupl(     &
                      nGC_82))/(32d0*pi**2d0)
    coupl(nGC_4269) = coupl(nGC_15)**2d0*coupl(nGC_69)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4465) = (12d0*cima*coupl(nGC_10)**2d0 + 24d0*cima*coupl(nGC_23)**&
                      2d0 + 6d0*cima*coupl(nGC_24)**2d0 - 5d0*cima*coupl(      &
                      nGC_244)**4d0 - 10d0*cima*coupl(nGC_244)**2d0*coupl(     &
                      nGC_260)**2d0 - 10d0*cima*coupl(nGC_244)**2d0*coupl(nGC_8&
                      )**2d0 - 20d0*cima*coupl(nGC_244)*coupl(nGC_260)*coupl(  &
                      nGC_37)*coupl(nGC_8) - 5d0*cima*coupl(nGC_260)**4d0 -    &
                      10d0*cima*coupl(nGC_260)**2d0*coupl(nGC_37)**2d0 - 5d0*  &
                      cima*coupl(nGC_276)**2d0*coupl(nGC_32)**2d0 - 10d0*cima* &
                      coupl(nGC_276)*coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_808 &
                      ) + 12d0*cima*coupl(nGC_28)**2d0 - 5d0*cima*coupl(nGC_31 &
                      )**2d0*coupl(nGC_808)**2d0 - 5d0*cima*coupl(nGC_37)**4d0 &
                       - 10d0*cima*coupl(nGC_37)**2d0*coupl(nGC_8)**2d0 + 24d0*&
                      cima*coupl(nGC_43)**2d0 - 5d0*cima*coupl(nGC_8)**4d0 -   &
                      6d0*coupl(nGC_10)*coupl(nGC_244)**2d0 - 6d0*coupl(nGC_10 &
                      )*coupl(nGC_8)**2d0 + 6d0*coupl(nGC_2)*coupl(nGC_276)*   &
                      coupl(nGC_32) + 6d0*coupl(nGC_2)*coupl(nGC_31)*coupl(    &
                      nGC_808) - 6d0*coupl(nGC_23)*coupl(nGC_276)*coupl(nGC_32 &
                      ) - 6d0*coupl(nGC_23)*coupl(nGC_31)*coupl(nGC_808) - 3d0*&
                      coupl(nGC_24)*coupl(nGC_276)*coupl(nGC_31) - 3d0*coupl(  &
                      nGC_24)*coupl(nGC_32)*coupl(nGC_808) + 6d0*coupl(nGC_244 &
                      )**2d0*coupl(nGC_3) - 12d0*coupl(nGC_244)*coupl(nGC_260)*&
                      coupl(nGC_43) + 6d0*coupl(nGC_244)*coupl(nGC_3)*coupl(   &
                      nGC_8) - 6d0*coupl(nGC_260)**2d0*coupl(nGC_28) + 6d0*    &
                      coupl(nGC_260)**2d0*coupl(nGC_3) + 6d0*coupl(nGC_260)*   &
                      coupl(nGC_3)*coupl(nGC_37) - 6d0*coupl(nGC_28)*coupl(    &
                      nGC_37)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_37)**2d0 + 6d0*&
                      coupl(nGC_3)*coupl(nGC_8)**2d0 - 12d0*coupl(nGC_37)*coupl&
                      (nGC_43)*coupl(nGC_8))/(96d0*pi**2d0)
    coupl(nGC_4509) = (-5d0*cima*coupl(nGC_14)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_16)**2d0 - 6d0*cima*coupl(nGC_16)*coupl(nGC_658) +   &
                      3d0*cima*coupl(nGC_658)**2d0 + 9d0*coupl(nGC_14)**2d0*   &
                      coupl(nGC_16)*sq2**2d0 - 6d0*coupl(nGC_14)**2d0*coupl(   &
                      nGC_658)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_7884) = coupl(nGC_4629) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZnu_tauL_QED2
    coupl(nGC_4462) = (12d0*cima*coupl(nGC_21)*coupl(nGC_25) - 10d0*cima*coupl(&
                      nGC_276)*coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_772) -    &
                      10d0*cima*coupl(nGC_31)*coupl(nGC_33)*coupl(nGC_772)*    &
                      coupl(nGC_808) + 3d0*coupl(nGC_1)*coupl(nGC_276)*coupl(  &
                      nGC_32) + 3d0*coupl(nGC_1)*coupl(nGC_290)*coupl(nGC_51   &
                      ) + 3d0*coupl(nGC_1)*coupl(nGC_31)*coupl(nGC_808) + 6d0* &
                      coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_772) - 3d0*coupl(   &
                      nGC_21)*coupl(nGC_276)*coupl(nGC_32) - 3d0*coupl(nGC_21)*&
                      coupl(nGC_31)*coupl(nGC_808) - 6d0*coupl(nGC_25)*coupl(  &
                      nGC_33)*coupl(nGC_772))/(96d0*pi**2d0)
    coupl(nGC_4503) = cima*coupl(nGC_15)**3d0*sq2**3d0*(coupl(nGC_314) + coupl(&
                      nGC_316) + coupl(nGC_336) + coupl(nGC_338))/(32d0*pi**2d0&
                      *Nc**2d0)
    coupl(nGC_4502) = cima*coupl(nGC_15)**3d0*sq2**3d0*(-coupl(nGC_314) - coupl&
                      (nGC_316) - coupl(nGC_336) - coupl(nGC_338))/(64d0*pi**  &
                      2d0*Nc)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
