!******************************************************************************!
!                                                                              !
!    ctparameter115.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter115.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter115
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter115()
  dZnu_tauL_QED2 = (-2d0*Ten192*coupl(nGC_53)**2d0 + Ten392*(2d0*coupl(nGC_34  &
                   )**2d0 + coupl(nGC_87)**2d0) + Ten393*(2d0*coupl(nGC_34)**  &
                   2d0 + coupl(nGC_87)**2d0) + pi**2d0*(-coupl(nGC_34)**2d0/pi &
                   **2d0 - coupl(nGC_53)**2d0/pi**2d0))/(16d0*pi**2d0)
  dZnu_tauL_QED2 = cone*real(dZnu_tauL_QED2,kind=dp)
end subroutine set_ctparameter115
end module ctparameter115
