!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 3, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 221, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 819, check)
    call createCurrent(P_A, P_A, P_H1, 1494, check)
    call createCurrent(P_HPlus, P_Z, P_H2, P_WMinus, 242, check)
    call createCurrent(P_HPlus, P_GMinus, P_GPlus, P_HMinus, 723, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 256, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 509, check)
    call createCurrent(P_H1, P_H1, P_WMinus, P_WPlus, 362, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 433, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 866, check)
    call createCurrent(P_WMinus, P_HPlus, P_WPlus, P_HMinus, 397, check)
    call createCurrent(P_g, P_cAnti, P_c, 1313, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 1068, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 890, check)
    call createCurrent(P_H2, P_WPlus, P_A, P_HMinus, 1144, check)
    call createCurrent(P_H1, P_bAnti, P_b, 116, check)
    call createCurrent(P_HPlus, P_HPlus, P_HMinus, P_HMinus, 50, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 267, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_G0, 1023, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 922, check)
    call createCurrent(P_H2, P_WPlus, P_Z, P_HMinus, 352, check)
    call createCurrent(P_H2, P_Z, P_WPlus, P_HMinus, 733, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 538, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_Z, 542, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 1139, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 735, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 545, check)
    call createCurrent(P_GMinus, P_GPlus, P_H1, 1338, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1472, check)
    call createCurrent(P_H2, P_H1, P_H1, P_H2, 1034, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 815, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 808, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_Z, 407, check)
    call createCurrent(P_A, P_HMinus, P_H2, P_WPlus, 454, check)
    call createCurrent(P_GMinus, P_GPlus, 1464, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 419, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1293, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1402, check)
    call createCurrent(P_HPlus, P_H2, P_HMinus, P_H2, 531, check)
    call createCurrent(P_H1, P_GMinus, P_Z, P_WPlus, 84, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H1, 442, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 1138, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 1308, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_H2, 664, check)
    call createCurrent(P_Z, P_GPlus, P_H1, P_WMinus, 140, check)
    call createCurrent(P_bAnti, P_b, P_g, 36, check)
    call createCurrent(P_cAnti, P_Z, P_c, 408, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, 618, check)
    call createCurrent(P_H1, P_b, P_bAnti, 742, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 546, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 10, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 232, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 411, check)
    call createCurrent(P_G0, P_H2, P_H2, P_G0, 1208, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 647, check)
    call createCurrent(P_t, P_Z, P_tAnti, 801, check)
    call createCurrent(P_G0, P_dAnti, P_d, 521, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 872, check)
    call createCurrent(P_WMinus, P_HPlus, P_HPlus, P_WMinus, 1107, check)
    call createCurrent(P_s, P_Z, P_sAnti, 277, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 124, check)
    call createCurrent(P_HMinus, P_HPlus, P_GPlus, P_GMinus, 792, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 1028, check)
    call createCurrent(P_t, P_tAnti, P_H1, 217, check)
    call createCurrent(P_GPlus, P_HPlus, P_GMinus, P_HMinus, 998, check)
    call createCurrent(P_bAnti, P_b, P_Z, 641, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H1, 163, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 514, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 376, check)
    call createCurrent(P_GMinus, P_H1, P_A, P_WPlus, 861, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 74, check)
    call createCurrent(P_Z, P_H1, P_A, P_H1, 1449, check)
    call createCurrent(P_G0, P_uAnti, P_u, 1122, check)
    call createCurrent(P_Z, P_G0, P_H1, 965, check)
    call createCurrent(P_G0, P_c, P_cAnti, 1153, check)
    call createCurrent(P_H1, P_HMinus, P_HPlus, P_H1, 726, check)
    call createCurrent(P_A, P_WMinus, P_H1, P_GPlus, 381, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, 976, check)
    call createCurrent(P_G0, P_A, P_H1, 1382, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 1092, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 166, check)
    call createCurrent(P_Z, P_H1, P_GMinus, P_WPlus, 208, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 997, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1384, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H1, 552, check)
    call createCurrent(P_WMinus, P_H2, P_H2, P_WPlus, 558, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1548, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H1, 1102, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 1135, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 937, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1553, check)
    call createCurrent(P_GMinus, P_H1, P_GPlus, 1040, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1408, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 436, check)
    call createCurrent(P_dAnti, P_d, P_A, 399, check)
    call createCurrent(P_Z, P_uAnti, P_u, 474, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 962, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 175, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, 1046, check)
    call createCurrent(P_Z, P_H1, P_Z, 164, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 254, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, 1290, check)
    call createCurrent(P_dAnti, P_g, P_d, 945, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_A, 48, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_H2, 1322, check)
    call createCurrent(P_c, P_cAnti, P_A, 989, check)
    call createCurrent(P_GMinus, P_Z, P_H1, P_WPlus, 231, check)
    call createCurrent(P_WMinus, P_HPlus, P_HMinus, P_WPlus, 1280, check)
    call createCurrent(P_Z, P_H1, P_H1, P_Z, 754, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1486, check)
    call createCurrent(P_tAnti, P_t, P_A, 239, check)
    call createCurrent(P_H1, P_GMinus, P_H1, P_GPlus, 0, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1380, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 428, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 1305, check)
    call createCurrent(P_WPlus, P_HPlus, P_HMinus, P_WMinus, 631, check)
    call createCurrent(P_A, P_d, P_dAnti, 539, check)
    call createCurrent(P_bAnti, P_b, P_H1, 315, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 657, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 441, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 345, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_A, 372, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H1, 923, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H1, 680, check)
    call createCurrent(P_H1, P_g, P_H1, P_g, 1500, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_A, 1350, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 423, check)
    call createCurrent(P_sAnti, P_A, P_s, 27, check)
    call createCurrent(P_sAnti, P_g, P_s, 280, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 564, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_HMinus, 659, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, 728, check)
    call createCurrent(P_H2, P_H2, P_WPlus, P_WMinus, 966, check)
    call createCurrent(P_H1, P_A, P_Z, P_H1, 1454, check)
    call createCurrent(P_H1, P_GPlus, P_A, P_WMinus, 37, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1396, check)
    call createCurrent(P_GMinus, P_H2, P_H2, P_GPlus, 366, check)
    call createCurrent(P_dAnti, P_H1, P_d, 1084, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 971, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 483, check)
    call createCurrent(P_H1, P_ghZAnti, P_ghZ, 1090, check)
    call createCurrent(P_uAnti, P_u, P_g, 1060, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, P_Z, 379, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, P_A, 1357, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 389, check)
    call createCurrent(P_H2, P_WMinus, P_A, P_HPlus, 1002, check)
    call createCurrent(P_u, P_uAnti, 1411, check)
    call createCurrent(P_Z, P_GMinus, P_H1, P_WPlus, 790, check)
    call createCurrent(P_H1, P_H1, 1392, check)
    call createCurrent(P_H2, P_H2, P_GMinus, P_GPlus, 765, check)
    call createCurrent(P_tAnti, P_t, P_Z, 1166, check)
    call createCurrent(P_A, P_HMinus, P_A, P_HPlus, 1030, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 761, check)
    call createCurrent(P_A, P_HPlus, P_H2, P_WMinus, 604, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 1226, check)
    call createCurrent(P_sAnti, P_s, P_Z, 556, check)
    call createCurrent(P_A, P_H1, P_G0, 1369, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H1, 899, check)
    call createCurrent(P_H1, P_GMinus, P_GPlus, 1221, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 88, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 1125, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 1003, check)
    call createCurrent(P_cAnti, P_c, 1460, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_H2, 1024, check)
    call createCurrent(P_c, P_cAnti, P_G0, 520, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 149, check)
    call createCurrent(P_HMinus, P_WPlus, P_HMinus, P_WPlus, 1257, check)
    call createCurrent(P_G0, P_tAnti, P_t, 274, check)
    call createCurrent(P_HPlus, P_Z, P_Z, P_HMinus, 921, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 767, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 451, check)
    call createCurrent(P_GPlus, P_HMinus, P_GMinus, P_HPlus, 977, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 917, check)
    call createCurrent(P_g, P_g, P_H1, 1522, check)
    call createCurrent(P_WMinus, P_WMinus, P_HPlus, P_HPlus, 1001, check)
    call createCurrent(P_dAnti, P_d, P_g, 473, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 18, check)
    call createCurrent(P_c, P_cAnti, 1423, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1507, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 960, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 182, check)
    call createCurrent(P_WMinus, P_HMinus, P_HPlus, P_WPlus, 794, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 390, check)
    call createCurrent(P_A, P_G0, P_H1, 1409, check)
    call createCurrent(P_s, P_sAnti, P_g, 369, check)
    call createCurrent(P_uAnti, P_Z, P_u, 327, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 432, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, 1087, check)
    call createCurrent(P_d, P_dAnti, 1416, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_Z, 710, check)
    call createCurrent(P_H1, P_H1, P_Z, P_A, 1403, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 173, check)
    call createCurrent(P_H1, P_G0, P_G0, 584, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1119, check)
    call createCurrent(P_H2, P_H2, P_WMinus, P_WPlus, 1150, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_H2, 951, check)
    call createCurrent(P_Z, P_Z, P_HMinus, P_HPlus, 92, check)
    call createCurrent(P_G0, P_G0, P_H2, P_H2, 688, check)
    call createCurrent(P_G0, P_d, P_dAnti, 769, check)
    call createCurrent(P_bAnti, P_G0, P_b, 1173, check)
    call createCurrent(P_muMinus, P_muPlus, P_H1, 1192, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 52, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_Z, 165, check)
    call createCurrent(P_HMinus, P_WPlus, P_HPlus, P_WMinus, 12, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, 751, check)
    call createCurrent(P_bAnti, P_Z, P_b, 1294, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1429, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 1206, check)
    call createCurrent(P_d, P_dAnti, P_A, 495, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 133, check)
    call createCurrent(P_dAnti, P_d, P_H1, 476, check)
    call createCurrent(P_G0, P_H1, P_G0, P_H1, 13, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, 1242, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 1297, check)
    call createCurrent(P_WPlus, P_WMinus, 1377, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 1346, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1401, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 868, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_A, 585, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 673, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 487, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 118, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 910, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 1303, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1324, check)
    call createCurrent(P_H1, P_A, P_A, 1552, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 601, check)
    call createCurrent(P_d, P_G0, P_dAnti, 1099, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 491, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 736, check)
    call createCurrent(P_H1, P_H1, P_GPlus, P_GMinus, 686, check)
    call createCurrent(P_HMinus, P_GMinus, P_HPlus, P_GPlus, 1075, check)
    call createCurrent(P_H1, P_A, P_H1, P_Z, 1381, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1536, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 1058, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 835, check)
    call createCurrent(P_H2, P_H2, P_A, P_A, 1590, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_H2, 61, check)
    call createCurrent(P_WPlus, P_H2, P_Z, P_HMinus, 82, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1529, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, P_Z, 569, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 87, check)
    call createCurrent(P_A, P_s, P_sAnti, 1073, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 94, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_A, 32, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1568, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 201, check)
    call createCurrent(P_d, P_g, P_dAnti, 681, check)
    call createCurrent(P_g, P_t, P_tAnti, 827, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 406, check)
    call createCurrent(P_t, P_tAnti, 1417, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, P_Z, 1196, check)
    call createCurrent(P_Z, P_H1, P_G0, 153, check)
    call createCurrent(P_H1, P_G0, P_A, 1366, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1471, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 1013, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1458, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 477, check)
    call createCurrent(P_G0, P_G0, P_H1, P_H1, 1239, check)
    call createCurrent(P_c, P_cAnti, P_g, 912, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 675, check)
    call createCurrent(P_u, P_uAnti, P_Z, 1362, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 967, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, 209, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 798, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H1, 669, check)
    call createCurrent(P_A, P_WPlus, P_H1, P_GMinus, 864, check)
    call createCurrent(P_g, P_b, P_bAnti, 1094, check)
    call createCurrent(P_A, P_b, P_bAnti, 1182, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 1269, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1434, check)
    call createCurrent(P_WPlus, P_Z, P_H2, P_HMinus, 580, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 377, check)
    call createCurrent(P_H2, P_Z, P_HMinus, P_WPlus, 154, check)
    call createCurrent(P_ghWp, P_H1, P_ghWpAnti, 304, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1502, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 568, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 122, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, 616, check)
    call createCurrent(P_H1, P_WPlus, P_WMinus, 636, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, P_Z, 16, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 292, check)
    call createCurrent(P_H1, P_Z, P_WMinus, P_GPlus, 306, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, P_A, 504, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 1193, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1560, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 658, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1436, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_HMinus, 1098, check)
    call createCurrent(P_HMinus, P_H2, P_HPlus, P_H2, 909, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H1, 1252, check)
    call createCurrent(P_sAnti, P_s, P_G0, 781, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_HMinus, 571, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_HPlus, 422, check)
    call createCurrent(P_H1, P_cAnti, P_c, 1005, check)
    call createCurrent(P_u, P_G0, P_uAnti, 570, check)
    call createCurrent(P_H2, P_Z, P_H2, P_Z, 1497, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1426, check)
    call createCurrent(P_G0, P_sAnti, P_s, 770, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 849, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 787, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 373, check)
    call createCurrent(P_A, P_HMinus, P_Z, P_HPlus, 401, check)
    call createCurrent(P_Z, P_H1, P_WPlus, P_GMinus, 1043, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1549, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 30, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 782, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, P_Z, 615, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 190, check)
    call createCurrent(P_GPlus, P_A, P_H1, P_WMinus, 270, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H1, 402, check)
    call createCurrent(P_d, P_dAnti, P_G0, 731, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, 83, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 817, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 1201, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 714, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 204, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 577, check)
    call createCurrent(P_Z, P_A, 1430, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 1316, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1468, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, 111, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 1355, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 1250, check)
    call createCurrent(P_c, P_cAnti, P_H1, 176, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1170, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 925, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 738, check)
    call createCurrent(P_H1, P_GMinus, P_A, P_WPlus, 358, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 188, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 930, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 23, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1383, check)
    call createCurrent(P_c, P_Z, P_cAnti, 994, check)
    call createCurrent(P_WPlus, P_WMinus, P_H2, P_H2, 535, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 875, check)
    call createCurrent(P_H1, P_uAnti, P_u, 1178, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, P_Z, 953, check)
    call createCurrent(P_g, P_g, 1420, check)
    call createCurrent(P_GPlus, P_GMinus, P_H1, 594, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 750, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 926, check)
    call createCurrent(P_H1, P_ePlus, P_eMinus, 1356, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 455, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 259, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 168, check)
    call createCurrent(P_Z, P_Z, 1367, check)
    call createCurrent(P_H1, P_A, P_A, P_H1, 1514, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 885, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 894, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, 1021, check)
    call createCurrent(P_u, P_uAnti, P_g, 1159, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 446, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 1103, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, 1328, check)
    call createCurrent(P_H2, P_H2, P_A, P_Z, 1467, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 879, check)
    call createCurrent(P_WPlus, P_GMinus, 1389, check)
    call createCurrent(P_H1, P_Z, P_GMinus, P_WPlus, 1140, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H1, 240, check)
    call createCurrent(P_u, P_g, P_uAnti, 81, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 205, check)
    call createCurrent(P_H1, P_GPlus, P_GMinus, P_H1, 744, check)
    call createCurrent(P_H2, P_G0, P_G0, P_H2, 261, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, 566, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 942, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 313, check)
    call createCurrent(P_H1, P_ghZ, P_ghZAnti, 484, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 990, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1495, check)
    call createCurrent(P_GMinus, P_GPlus, P_H2, P_H2, 938, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 1039, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 826, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 202, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 184, check)
    call createCurrent(P_t, P_tAnti, P_A, 722, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_H2, 1017, check)
    call createCurrent(P_HMinus, P_HPlus, P_WPlus, P_WMinus, 929, check)
    call createCurrent(P_H2, P_HPlus, P_H2, P_HMinus, 421, check)
    call createCurrent(P_Z, P_WPlus, P_H2, P_HMinus, 492, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 46, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1450, check)
    call createCurrent(P_A, P_A, P_HPlus, P_HMinus, 225, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_HPlus, 102, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1374, check)
    call createCurrent(P_HPlus, P_H2, P_H2, P_HMinus, 1255, check)
    call createCurrent(P_G0, P_Z, P_H1, 1311, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 271, check)
    call createCurrent(P_t, P_tAnti, P_G0, 559, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 916, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 1163, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 64, check)
    call createCurrent(P_A, P_H1, P_A, P_H1, 1564, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_H2, 1050, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_A, 282, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 1358, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 597, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 1256, check)
    call createCurrent(P_g, P_g, P_H1, P_H1, 1557, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 704, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 1149, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 260, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 1121, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 775, check)
    call createCurrent(P_d, P_H1, P_dAnti, 595, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, P_A, 187, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 1187, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 177, check)
    call createCurrent(P_H1, P_A, P_G0, 1422, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1484, check)
    call createCurrent(P_s, P_A, P_sAnti, 1145, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1574, check)
    call createCurrent(P_H2, P_G0, P_H2, P_G0, 589, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 70, check)
    call createCurrent(P_H1, P_Z, P_A, P_H1, 1433, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 869, check)
    call createCurrent(P_HPlus, P_H1, P_HMinus, 1025, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1532, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 194, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1440, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 788, check)
    call createCurrent(P_Z, P_Z, P_H1, P_H1, 1273, check)
    call createCurrent(P_cAnti, P_A, P_c, 6, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 993, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 47, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 949, check)
    call createCurrent(P_Z, P_H1, P_Z, P_H1, 444, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 1089, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 310, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 460, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 131, check)
    call createCurrent(P_muMinus, P_muPlus, 1448, check)
    call createCurrent(P_H1, P_H1, P_A, P_Z, 1439, check)
    call createCurrent(P_HPlus, P_WMinus, P_WMinus, P_HPlus, 518, check)
    call createCurrent(P_WPlus, P_A, P_H1, P_GMinus, 1181, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_G0, 824, check)
    call createCurrent(P_bAnti, P_b, P_G0, 665, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1475, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 368, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 717, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 51, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 936, check)
    call createCurrent(P_H2, P_H2, P_Z, P_Z, 1518, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 157, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 653, check)
    call createCurrent(P_A, P_Z, 1368, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_H2, 1260, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 778, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 54, check)
    call createCurrent(P_b, P_bAnti, P_G0, 380, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 404, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 1267, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 262, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 640, check)
    call createCurrent(P_A, P_H2, P_WPlus, P_HMinus, 757, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_H2, 316, check)
    call createCurrent(P_WPlus, P_Z, P_H1, P_GMinus, 467, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 1118, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1487, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 1282, check)
    call createCurrent(P_H1, P_A, P_Z, 1438, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, 456, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, P_A, 417, check)
    call createCurrent(P_WMinus, P_H1, P_WPlus, P_H1, 172, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 1106, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 530, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 203, check)
    call createCurrent(P_GPlus, P_GMinus, P_H1, P_H1, 148, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 622, check)
    call createCurrent(P_HPlus, P_HPlus, P_WMinus, P_WMinus, 850, check)
    call createCurrent(P_GPlus, P_H1, P_Z, P_WMinus, 510, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 179, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H1, 902, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1588, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_H2, 485, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 245, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1444, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 592, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 1335, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 234, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 1171, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, P_A, 927, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 602, check)
    call createCurrent(P_G0, P_Z, 1388, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_HMinus, 62, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1452, check)
    call createCurrent(P_WMinus, P_H1, P_WPlus, 1029, check)
    call createCurrent(P_HPlus, P_HMinus, P_WMinus, P_WPlus, 1341, check)
    call createCurrent(P_HPlus, P_WMinus, P_H2, P_Z, 848, check)
    call createCurrent(P_WMinus, P_H1, P_A, P_GPlus, 104, check)
    call createCurrent(P_H1, P_A, P_H1, P_A, 1528, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 58, check)
    call createCurrent(P_G0, P_H1, P_Z, 272, check)
    call createCurrent(P_HPlus, P_WMinus, P_HMinus, P_WPlus, 1230, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1491, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1379, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 988, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 547, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 1342, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 1175, check)
    call createCurrent(P_G0, P_bAnti, P_b, 563, check)
    call createCurrent(P_H1, P_H1, P_GMinus, P_GPlus, 576, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 560, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 613, check)
    call createCurrent(P_GMinus, P_HMinus, P_HPlus, P_GPlus, 711, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 627, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 65, check)
    call createCurrent(P_H1, P_WPlus, P_Z, P_GMinus, 347, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 29, check)
    call createCurrent(P_WPlus, P_WPlus, P_HMinus, P_HMinus, 482, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 1321, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, P_Z, 219, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 386, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 287, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1400, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 931, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1457, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, 1007, check)
    call createCurrent(P_A, P_A, P_H2, P_H2, 1530, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 19, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 703, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1488, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_G0, 321, check)
    call createCurrent(P_G0, P_H1, P_A, 1432, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 1067, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_H2, 1177, check)
    call createCurrent(P_H2, P_WMinus, P_WPlus, P_H2, 886, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 1247, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 1133, check)
    call createCurrent(P_Z, P_u, P_uAnti, 276, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 756, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 829, check)
    call createCurrent(P_H1, P_s, P_sAnti, 529, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_H2, 690, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 361, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 63, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 523, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 610, check)
    call createCurrent(P_WMinus, P_A, P_H2, P_HPlus, 103, check)
    call createCurrent(P_H1, P_muPlus, P_muMinus, 160, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 207, check)
    call createCurrent(P_H1, P_H2, P_H1, P_H2, 784, check)
    call createCurrent(P_HMinus, P_WPlus, P_WPlus, P_HMinus, 469, check)
    call createCurrent(P_uAnti, P_A, P_u, 1278, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, 856, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1038, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 180, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 1262, check)
    call createCurrent(P_H2, P_HMinus, P_HPlus, P_H2, 89, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_H2, 679, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1563, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 697, check)
    call createCurrent(P_GPlus, P_H1, P_H1, P_GMinus, 393, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 95, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 593, check)
    call createCurrent(P_H2, P_Z, P_H2, P_A, 1498, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 1212, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1455, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, P_A, 1222, check)
    call createCurrent(P_H2, P_H2, P_HMinus, P_HPlus, 1254, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1445, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_HPlus, 363, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 768, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 71, check)
    call createCurrent(P_b, P_Z, P_bAnti, 839, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 661, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 409, check)
    call createCurrent(P_cAnti, P_c, P_H1, 1174, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 463, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_HPlus, 1151, check)
    call createCurrent(P_Z, P_HPlus, P_H2, P_WMinus, 1162, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 1235, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 105, check)
    call createCurrent(P_d, P_dAnti, P_H1, 2, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 435, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 53, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 211, check)
    call createCurrent(P_Z, P_H1, P_WMinus, P_GPlus, 512, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H1, 1095, check)
    call createCurrent(P_H1, P_ghWm, P_ghWmAnti, 1, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 1240, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 1225, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 35, check)
    call createCurrent(P_H2, P_Z, P_HPlus, P_WMinus, 583, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_HMinus, 939, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1490, check)
    call createCurrent(P_G0, P_b, P_bAnti, 698, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_HPlus, 741, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 218, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 479, check)
    call createCurrent(P_H1, P_Z, P_WPlus, P_GMinus, 611, check)
    call createCurrent(P_HMinus, P_H2, P_A, P_WPlus, 528, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, 126, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 141, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 86, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 834, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 878, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1447, check)
    call createCurrent(P_A, P_H1, P_Z, 1406, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 351, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, P_Z, 265, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 1288, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 214, check)
    call createCurrent(P_HPlus, P_H2, P_WMinus, 699, check)
    call createCurrent(P_H1, P_G0, P_G0, P_H1, 786, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 1232, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 1061, check)
    call createCurrent(P_s, P_sAnti, P_H1, 972, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1566, check)
    call createCurrent(P_GMinus, P_A, P_H1, P_WPlus, 1165, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 1248, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H1, 907, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, P_Z, 1215, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 643, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, 1189, check)
    call createCurrent(P_H2, P_HMinus, P_H2, P_HPlus, 113, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1391, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 387, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 283, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_GPlus, 93, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 857, check)
    call createCurrent(P_H1, P_WMinus, P_A, P_GPlus, 322, check)
    call createCurrent(P_Z, P_H1, P_GPlus, P_WMinus, 21, check)
    call createCurrent(P_A, P_H1, P_A, 1478, check)
    call createCurrent(P_eMinus, P_ePlus, 1370, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 449, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 303, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 426, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 226, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 69, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 771, check)
    call createCurrent(P_H1, P_HMinus, P_H1, P_HPlus, 979, check)
    call createCurrent(P_A, P_tAnti, P_t, 837, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, 1204, check)
    call createCurrent(P_H2, P_H2, P_H1, 236, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 222, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 901, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 650, check)
    call createCurrent(P_Z, P_d, P_dAnti, 1284, check)
    call createCurrent(P_g, P_H1, P_g, P_H1, 1504, check)
    call createCurrent(P_H2, P_WMinus, P_Z, P_HPlus, 340, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_HPlus, 970, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 1202, check)
    call createCurrent(P_H2, P_GMinus, P_H2, P_GPlus, 1072, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 447, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 344, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 367, check)
    call createCurrent(P_g, P_c, P_cAnti, 572, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_A, 1132, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 197, check)
    call createCurrent(P_WMinus, P_H1, P_Z, P_GPlus, 346, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 634, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1179, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1352, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 106, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 656, check)
    call createCurrent(P_Z, P_H2, P_WPlus, P_HMinus, 285, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 249, check)
    call createCurrent(P_HPlus, P_H1, P_H1, P_HMinus, 836, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H1, 612, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 764, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 434, check)
    call createCurrent(P_WMinus, P_GPlus, 1399, check)
    call createCurrent(P_g, P_sAnti, P_s, 1036, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, 940, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 648, check)
    call createCurrent(P_GMinus, P_WPlus, 1378, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1451, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 185, check)
    call createCurrent(P_A, P_t, P_tAnti, 370, check)
    call createCurrent(P_b, P_G0, P_bAnti, 587, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 766, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, P_Z, 297, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 392, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 862, check)
    call createCurrent(P_Z, P_s, P_sAnti, 1037, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1042, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 933, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 987, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 1229, check)
    call createCurrent(P_A, P_Z, P_H1, 1393, check)
    call createCurrent(P_H1, P_A, P_WMinus, P_GPlus, 780, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 796, check)
    call createCurrent(P_sAnti, P_s, P_g, 915, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1546, check)
    call createCurrent(P_Z, P_A, P_H2, P_H2, 1583, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 450, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 609, check)
    call createCurrent(P_b, P_bAnti, P_H1, 41, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_HMinus, 385, check)
    call createCurrent(P_tAnti, P_t, P_g, 312, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 1071, check)
    call createCurrent(P_A, P_H1, P_GMinus, P_WPlus, 511, check)
    call createCurrent(P_WMinus, P_H2, P_Z, P_HPlus, 1219, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 1200, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 1234, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 975, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 398, check)
    call createCurrent(P_HMinus, P_HPlus, P_H2, P_H2, 809, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 508, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 134, check)
    call createCurrent(P_uAnti, P_u, P_Z, 119, check)
    call createCurrent(P_Z, P_WMinus, P_H2, P_HPlus, 1315, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 646, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 1198, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 725, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 713, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H1, 464, check)
    call createCurrent(P_HPlus, P_H2, P_A, P_WMinus, 1070, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 1286, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 1347, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 709, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 152, check)
    call createCurrent(P_H1, P_H1, P_HMinus, P_HPlus, 507, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 478, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1492, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 1186, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_Z, 702, check)
    call createCurrent(P_GPlus, P_GMinus, P_H2, P_H2, 279, check)
    call createCurrent(P_A, P_bAnti, P_b, 629, check)
    call createCurrent(P_HPlus, P_HMinus, P_H1, 396, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1453, check)
    call createCurrent(P_H2, P_A, P_HPlus, P_WMinus, 371, check)
    call createCurrent(P_ePlus, P_eMinus, 1462, check)
    call createCurrent(P_WPlus, P_A, P_H2, P_HMinus, 453, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 1227, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 465, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1534, check)
    call createCurrent(P_A, P_GMinus, P_H1, P_WPlus, 97, check)
    call createCurrent(P_Z, P_Z, P_H2, P_H2, 1541, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 1114, check)
    call createCurrent(P_WMinus, P_WPlus, P_H2, P_H2, 1295, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 98, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 888, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1128, check)
    call createCurrent(P_c, P_H1, P_cAnti, 1115, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_GMinus, 919, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 1116, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 685, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, P_A, 1093, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 1285, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 414, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H1, 935, check)
    call createCurrent(P_WMinus, P_WPlus, P_H1, 860, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1539, check)
    call createCurrent(P_H1, P_H1, P_g, P_g, 1586, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 230, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1371, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1319, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 1088, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, P_Z, 633, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 865, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1456, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 330, check)
    call createCurrent(P_H1, P_d, P_dAnti, 783, check)
    call createCurrent(P_H2, P_A, P_HMinus, P_WPlus, 603, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 1032, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1465, check)
    call createCurrent(P_tAnti, P_t, P_G0, 295, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 732, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, P_A, 497, check)
    call createCurrent(P_s, P_G0, P_sAnti, 980, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 670, check)
    call createCurrent(P_H1, P_WMinus, P_WPlus, 896, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 293, check)
    call createCurrent(P_H1, P_ghWmAnti, P_ghWm, 854, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 1364, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1424, check)
    call createCurrent(P_GPlus, P_H1, P_GMinus, P_H1, 1110, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 14, check)
    call createCurrent(P_d, P_A, P_dAnti, 410, check)
    call createCurrent(P_HPlus, P_WMinus, P_WPlus, P_HMinus, 705, check)
    call createCurrent(P_Z, P_H2, P_WMinus, P_HPlus, 115, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 1083, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_H2, 178, check)
    call createCurrent(P_H1, P_H2, P_H2, P_H1, 42, check)
    call createCurrent(P_H2, P_H1, P_H2, P_H1, 544, check)
    call createCurrent(P_HMinus, P_GPlus, P_HPlus, P_GMinus, 838, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1567, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 1014, check)
    call createCurrent(P_HPlus, P_GPlus, P_HMinus, P_GMinus, 502, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 198, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 996, check)
    call createCurrent(P_H1, P_GPlus, P_GMinus, 489, check)
    call createCurrent(P_H2, P_H2, P_GPlus, P_GMinus, 439, check)
    call createCurrent(P_tAnti, P_A, P_t, 437, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1397, check)
    call createCurrent(P_H1, P_A, P_WPlus, P_GMinus, 746, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 1091, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1296, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_HPlus, 136, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1466, check)
    call createCurrent(P_s, P_sAnti, P_A, 130, check)
    call createCurrent(P_t, P_tAnti, P_g, 795, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 630, check)
    call createCurrent(P_H1, P_Z, P_H1, P_A, 1425, check)
    call createCurrent(P_GPlus, P_H1, P_A, P_WMinus, 696, check)
    call createCurrent(P_Z, P_bAnti, P_b, 1236, check)
    call createCurrent(P_H1, P_G0, P_H1, P_G0, 431, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1579, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 490, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 195, check)
    call createCurrent(P_GMinus, P_GPlus, P_H1, P_H1, 342, check)
    call createCurrent(P_Z, P_dAnti, P_d, 991, check)
    call createCurrent(P_ghZ, P_H1, P_ghZAnti, 170, check)
    call createCurrent(P_Z, P_HMinus, P_H2, P_WPlus, 846, check)
    call createCurrent(P_HPlus, P_HMinus, P_H1, P_H1, 637, check)
    call createCurrent(P_tAnti, P_H1, P_t, 39, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, P_A, 748, check)
    call createCurrent(P_A, P_c, P_cAnti, 1049, check)
    call createCurrent(P_H1, P_H1, P_Z, P_Z, 1301, check)
    call createCurrent(P_A, P_uAnti, P_u, 671, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 549, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 1057, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 555, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1578, check)
    call createCurrent(P_uAnti, P_u, 1376, check)
    call createCurrent(P_b, P_A, P_bAnti, 863, check)
    call createCurrent(P_WPlus, P_WMinus, P_H1, 668, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 503, check)
    call createCurrent(P_s, P_g, P_sAnti, 60, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1041, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 740, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_A, 486, check)
    call createCurrent(P_H1, P_H1, P_HPlus, P_HMinus, 999, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1558, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 687, check)
    call createCurrent(P_A, P_H2, P_H2, P_Z, 1525, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H1, 758, check)
    call createCurrent(P_H2, P_WPlus, P_HMinus, 871, check)
    call createCurrent(P_dAnti, P_d, 1461, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 466, check)
    call createCurrent(P_s, P_sAnti, P_Z, 43, check)
    call createCurrent(P_muPlus, P_muMinus, P_H1, 666, check)
    call createCurrent(P_A, P_H1, P_H1, P_A, 1508, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 1261, check)
    call createCurrent(P_GMinus, P_H1, P_Z, P_WPlus, 248, check)
    call createCurrent(P_u, P_uAnti, P_H1, 816, check)
    call createCurrent(P_g, P_d, P_dAnti, 76, check)
    call createCurrent(P_GPlus, P_H1, P_GMinus, 15, check)
    call createCurrent(P_cAnti, P_g, P_c, 269, check)
    call createCurrent(P_A, P_cAnti, P_c, 582, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 307, check)
    call createCurrent(P_H1, P_WMinus, P_H1, P_WPlus, 1337, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H1, 1274, check)
    call createCurrent(P_Z, P_H2, P_H2, P_A, 1481, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 1223, check)
    call createCurrent(P_g, P_tAnti, P_t, 137, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 745, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1565, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 145, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1537, check)
    call createCurrent(P_H2, P_Z, P_WMinus, P_HPlus, 258, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, P_Z, 1304, check)
    call createCurrent(P_t, P_g, P_tAnti, 1330, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 252, check)
    call createCurrent(P_G0, P_G0, P_HPlus, P_HMinus, 797, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 34, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 200, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 120, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 1147, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 695, check)
    call createCurrent(P_G0, P_u, P_uAnti, 588, check)
    call createCurrent(P_muPlus, P_muMinus, 1446, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 617, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 1344, check)
    call createCurrent(P_H1, P_A, P_GPlus, P_WMinus, 281, check)
    call createCurrent(P_uAnti, P_G0, P_u, 17, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 1218, check)
    call createCurrent(P_dAnti, P_d, P_Z, 318, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, P_Z, 820, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 973, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 1113, check)
    call createCurrent(P_A, P_H2, P_HMinus, P_WPlus, 715, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_HPlus, 206, check)
    call createCurrent(P_H1, P_WPlus, P_WMinus, P_H1, 1080, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1517, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 599, check)
    call createCurrent(P_H2, P_A, P_WMinus, P_HPlus, 325, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_G0, 914, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1130, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 689, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 1211, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 109, check)
    call createCurrent(P_HMinus, P_WMinus, P_HPlus, P_WPlus, 833, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 1045, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_H2, 1353, check)
    call createCurrent(P_g, P_u, P_uAnti, 1361, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 773, check)
    call createCurrent(P_HMinus, P_HPlus, 1386, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_A, 1006, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1244, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 892, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 1015, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 147, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 644, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1556, check)
    call createCurrent(P_sAnti, P_s, P_A, 992, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1520, check)
    call createCurrent(P_Z, P_H1, P_H1, P_A, 1463, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 452, check)
    call createCurrent(P_Z, P_H2, P_A, P_H2, 1561, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1169, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 278, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 338, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 887, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 326, check)
    call createCurrent(P_H1, P_H1, P_A, P_A, 1496, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 578, check)
    call createCurrent(P_cAnti, P_c, P_g, 1243, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 1097, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 405, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1501, check)
    call createCurrent(P_sAnti, P_H1, P_s, 948, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1535, check)
    call createCurrent(P_A, P_sAnti, P_s, 332, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, P_A, 1354, check)
    call createCurrent(P_H1, P_tAnti, P_t, 1129, check)
    call createCurrent(P_WPlus, P_HMinus, P_HPlus, P_WMinus, 1065, check)
    call createCurrent(P_WMinus, P_H1, P_GPlus, P_Z, 660, check)
    call createCurrent(P_H2, P_H2, P_Z, P_A, 1521, check)
    call createCurrent(P_d, P_dAnti, P_Z, 334, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_HMinus, 825, check)
    call createCurrent(P_tauPlus, P_H1, P_tauMinus, 832, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H1, 8, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 777, check)
    call createCurrent(P_WPlus, P_H2, P_HMinus, P_Z, 677, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 1318, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 1063, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 301, check)
    call createCurrent(P_ghZAnti, P_H1, P_ghZ, 621, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1483, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H1, 59, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 1251, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 898, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_H2, 920, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 1124, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_H2, 299, check)
    call createCurrent(P_GPlus, P_WMinus, P_H1, P_A, 737, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 151, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1365, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 1233, check)
    call createCurrent(P_sAnti, P_G0, P_s, 574, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_H2, 73, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1265, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 257, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 68, check)
    call createCurrent(P_H2, P_A, P_A, P_H2, 1569, check)
    call createCurrent(P_b, P_bAnti, P_A, 1137, check)
    call createCurrent(P_A, P_G0, 1405, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 802, check)
    call createCurrent(P_Z, P_t, P_tAnti, 107, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 1172, check)
    call createCurrent(P_WMinus, P_WPlus, P_H1, P_H1, 462, check)
    call createCurrent(P_g, P_g, P_g, P_g, 932, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1228, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1544, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 1190, check)
    call createCurrent(P_A, P_WMinus, P_H2, P_HPlus, 1054, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_HPlus, 146, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1279, check)
    call createCurrent(P_A, P_H2, P_HPlus, P_WMinus, 652, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 498, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 1078, check)
    call createCurrent(P_H1, P_G0, P_Z, 1056, check)
    call createCurrent(P_H1, P_H1, P_WPlus, P_WMinus, 496, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 793, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1545, check)
    call createCurrent(P_HMinus, P_HMinus, P_WPlus, P_WPlus, 853, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, P_A, 1289, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 1220, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, P_A, 438, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 500, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 522, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 1055, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1489, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 85, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 424, check)
    call createCurrent(P_bAnti, P_A, P_b, 672, check)
    call createCurrent(P_H1, P_t, P_tAnti, 712, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1587, check)
    call createCurrent(P_G0, P_t, P_tAnti, 654, check)
    call createCurrent(P_cAnti, P_c, P_G0, 807, check)
    call createCurrent(P_g, P_H1, P_g, 1531, check)
    call createCurrent(P_WPlus, P_H1, P_WMinus, 117, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 67, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 114, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 635, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_Z, 129, check)
    call createCurrent(P_WMinus, P_A, P_H1, P_GPlus, 562, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 284, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, 138, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 859, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, P_A, 459, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 590, check)
    call createCurrent(P_g, P_uAnti, P_u, 706, check)
    call createCurrent(P_H2, P_H1, P_H2, 956, check)
    call createCurrent(P_H1, P_H1, P_G0, P_G0, 1348, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 156, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, 762, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H1, 830, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 1238, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1160, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 969, check)
    call createCurrent(P_HPlus, P_WMinus, P_HPlus, P_WMinus, 1154, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 243, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 1184, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, P_A, 1047, check)
    call createCurrent(P_H1, P_H1, P_H2, P_H2, 1185, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1351, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 918, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 353, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1515, check)
    call createCurrent(P_WPlus, P_HMinus, P_WPlus, P_HMinus, 759, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1555, check)
    call createCurrent(P_uAnti, P_u, P_H1, 291, check)
    call createCurrent(P_H2, P_A, P_Z, P_H2, 1550, check)
    call createCurrent(P_WMinus, P_H2, P_WPlus, P_H2, 986, check)
    call createCurrent(P_HMinus, P_H1, P_HPlus, 760, check)
    call createCurrent(P_Z, P_cAnti, P_c, 337, check)
    call createCurrent(P_A, P_H2, P_H2, P_A, 1573, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_HPlus, 311, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 804, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1437, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1035, check)
    call createCurrent(P_WPlus, P_HMinus, P_HMinus, P_WPlus, 171, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 1191, check)
    call createCurrent(P_H2, P_HPlus, P_Z, P_WMinus, 799, check)
    call createCurrent(P_H1, P_Z, P_GPlus, P_WMinus, 1340, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, P_A, 947, check)
    call createCurrent(P_H2, P_HMinus, P_Z, P_WPlus, 1085, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 718, check)
    call createCurrent(P_cAnti, P_c, P_A, 1327, check)
    call createCurrent(P_WPlus, P_H1, P_WMinus, P_H1, 224, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 554, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 803, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_HPlus, 1100, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 691, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 822, check)
    call createCurrent(P_ePlus, P_eMinus, P_H1, 904, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_G0, 75, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 273, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 968, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_HPlus, 1111, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 623, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, P_Z, 551, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_H2, 364, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_HMinus, 286, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H1, 941, check)
    call createCurrent(P_H2, P_H2, P_H1, P_H1, 1010, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 1194, check)
    call createCurrent(P_uAnti, P_u, P_A, 1141, check)
    call createCurrent(P_tAnti, P_G0, P_t, 1008, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 811, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 526, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 882, check)
    call createCurrent(P_tAnti, P_Z, P_t, 33, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 676, check)
    call createCurrent(P_H2, P_WPlus, P_H2, P_WMinus, 494, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_GPlus, 233, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 1258, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 806, check)
    call createCurrent(P_b, P_bAnti, P_g, 1012, check)
    call createCurrent(P_H1, P_sAnti, P_s, 77, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 963, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 1074, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 427, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1309, check)
    call createCurrent(P_H1, P_dAnti, P_d, 324, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1582, check)
    call createCurrent(P_A, P_H1, P_Z, P_H1, 1418, check)
    call createCurrent(P_sAnti, P_Z, P_s, 600, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1493, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1585, check)
    call createCurrent(P_Z, P_A, P_H1, P_H1, 1427, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 903, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 537, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 667, check)
    call createCurrent(P_dAnti, P_A, P_d, 1216, check)
    call createCurrent(P_GPlus, P_WMinus, 1421, check)
    call createCurrent(P_Z, P_tAnti, P_t, 821, check)
    call createCurrent(P_WPlus, P_H2, P_A, P_HMinus, 1027, check)
    call createCurrent(P_H1, P_muMinus, P_muPlus, 708, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 471, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1245, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1572, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 881, check)
    call createCurrent(P_A, P_Z, P_H1, P_H1, 1407, check)
    call createCurrent(P_s, P_sAnti, 1414, check)
    call createCurrent(P_WMinus, P_HPlus, P_WMinus, P_HPlus, 575, check)
    call createCurrent(P_Z, P_Z, P_H1, 541, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 263, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 700, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1059, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1505, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 150, check)
    call createCurrent(P_H2, P_H2, P_H2, P_H2, 1126, check)
    call createCurrent(P_WPlus, P_H1, P_GMinus, P_Z, 981, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 253, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 828, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 55, check)
    call createCurrent(P_G0, P_H1, P_G0, 1076, check)
    call createCurrent(P_cAnti, P_H1, P_c, 823, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 375, check)
    call createCurrent(P_HMinus, P_H1, P_HPlus, P_H1, 1066, check)
    call createCurrent(P_G0, P_G0, 1390, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1503, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1339, check)
    call createCurrent(P_s, P_H1, P_sAnti, 1044, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 721, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 266, check)
    call createCurrent(P_bAnti, P_H1, P_b, 186, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 320, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 135, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 913, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, P_A, 800, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 355, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 22, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 391, check)
    call createCurrent(P_A, P_HPlus, P_A, P_HMinus, 1299, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 1096, check)
    call createCurrent(P_A, P_H2, P_Z, P_H2, 1589, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 605, check)
    call createCurrent(P_bAnti, P_g, P_b, 591, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 506, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 692, check)
    call createCurrent(P_Z, P_WPlus, P_H1, P_GMinus, 384, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 694, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 1333, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_G0, 1127, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 348, check)
    call createCurrent(P_HPlus, P_HMinus, P_H2, P_H2, 458, check)
    call createCurrent(P_ghWpAnti, P_H1, P_ghWp, 579, check)
    call createCurrent(P_g, P_bAnti, P_b, 1345, check)
    call createCurrent(P_GMinus, P_H2, P_GPlus, P_H2, 314, check)
    call createCurrent(P_A, P_H1, P_GPlus, P_WMinus, 1142, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 1331, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_HPlus, 1009, check)
    call createCurrent(P_H2, P_WPlus, P_WMinus, P_H2, 11, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_A, 196, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 557, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 908, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 1320, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 125, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 911, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 416, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 1026, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 244, check)
    call createCurrent(P_bAnti, P_b, P_A, 101, check)
    call createCurrent(P_HPlus, P_HMinus, P_GPlus, P_GMinus, 561, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 1164, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 674, check)
    call createCurrent(P_H1, P_WPlus, P_H1, P_WMinus, 162, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_HPlus, 734, check)
    call createCurrent(P_Z, P_H2, P_HMinus, P_WPlus, 606, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 845, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 429, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H1, 24, check)
    call createCurrent(P_muMinus, P_H1, P_muPlus, 805, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 1359, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 44, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 752, check)
    call createCurrent(P_GMinus, P_H1, P_GPlus, P_H1, 785, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 1268, check)
    call createCurrent(P_sAnti, P_s, P_H1, 430, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, P_A, 1020, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 1143, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 1000, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H1, 517, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1188, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 1323, check)
    call createCurrent(P_H1, P_Z, P_A, 1442, check)
    call createCurrent(P_GMinus, P_H1, P_H1, P_GPlus, 488, check)
    call createCurrent(P_b, P_bAnti, 1385, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 900, check)
    call createCurrent(P_H1, P_A, P_GMinus, P_WPlus, 1077, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 1332, check)
    call createCurrent(P_Z, P_G0, 1375, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1413, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 143, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1081, check)
    call createCurrent(P_uAnti, P_g, P_u, 847, check)
    call createCurrent(P_H2, P_H2, P_G0, P_G0, 91, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 843, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 678, check)
    call createCurrent(P_G0, P_A, 1441, check)
    call createCurrent(P_H2, P_WMinus, P_H2, P_WPlus, 4, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1513, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H1, 813, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 1246, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_HPlus, 1241, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_HMinus, 525, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1474, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 1004, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 480, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 227, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 1123, check)
    call createCurrent(P_GPlus, P_H2, P_GMinus, P_H2, 1360, check)
    call createCurrent(P_dAnti, P_d, P_G0, 210, check)
    call createCurrent(P_G0, P_cAnti, P_c, 31, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 383, check)
    call createCurrent(P_c, P_G0, P_cAnti, 461, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_HMinus, 110, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 944, check)
    call createCurrent(P_uAnti, P_H1, P_u, 543, check)
    call createCurrent(P_H2, P_HPlus, P_HMinus, P_H2, 9, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 1176, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_H2, 339, check)
    call createCurrent(P_G0, P_G0, P_H1, 1287, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1108, check)
    call createCurrent(P_WMinus, P_H2, P_A, P_HPlus, 818, check)
    call createCurrent(P_WMinus, P_H2, P_HPlus, P_Z, 309, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1527, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 199, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1523, check)
    call createCurrent(P_H2, P_GPlus, P_H2, P_GMinus, 620, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 774, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_H2, 229, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 645, check)
    call createCurrent(P_G0, P_H2, P_G0, P_H2, 99, check)
    call createCurrent(P_A, P_H1, P_WPlus, P_GMinus, 884, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1551, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_Z, 974, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 791, check)
    call createCurrent(P_A, P_dAnti, P_d, 540, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 1249, check)
    call createCurrent(P_sAnti, P_s, 1415, check)
    call createCurrent(P_H1, P_H1, P_H1, P_H1, 328, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 983, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1336, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 747, check)
    call createCurrent(P_tAnti, P_t, 1419, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 1016, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, P_Z, 90, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 1033, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 995, check)
    call createCurrent(P_u, P_uAnti, P_G0, 139, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_HMinus, 1079, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 445, check)
    call createCurrent(P_t, P_G0, P_tAnti, 66, check)
    call createCurrent(P_tauMinus, P_H1, P_tauPlus, 810, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1431, check)
    call createCurrent(P_ghWm, P_H1, P_ghWmAnti, 183, check)
    call createCurrent(P_H1, P_WMinus, P_WPlus, P_H1, 1312, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1152, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 598, check)
    call createCurrent(P_HMinus, P_H2, P_Z, P_WPlus, 943, check)
    call createCurrent(P_Z, P_H2, P_H2, P_Z, 1482, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 950, check)
    call createCurrent(P_H2, P_Z, P_Z, P_H2, 1499, check)
    call createCurrent(P_HPlus, P_G0, P_G0, P_HMinus, 472, check)
    call createCurrent(P_H1, P_tauMinus, P_tauPlus, 440, check)
    call createCurrent(P_H1, P_WPlus, P_A, P_GMinus, 121, check)
    call createCurrent(P_Z, P_H2, P_Z, P_H2, 1519, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 80, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 763, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 1053, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 1197, check)
    call createCurrent(P_WMinus, P_Z, P_H2, P_HPlus, 5, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 889, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 1231, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 1307, check)
    call createCurrent(P_H1, P_GMinus, P_GPlus, P_H1, 978, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 684, check)
    call createCurrent(P_H1, P_g, P_g, 1485, check)
    call createCurrent(P_u, P_A, P_uAnti, 858, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 128, check)
    call createCurrent(P_A, P_u, P_uAnti, 127, check)
    call createCurrent(P_HMinus, P_HPlus, P_H1, P_H1, 215, check)
    call createCurrent(P_A, P_H2, P_WMinus, P_HPlus, 132, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 212, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 964, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 701, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 891, check)
    call createCurrent(P_H1, P_H2, P_H2, 333, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1314, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 412, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H1, 1326, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 308, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_H2, 193, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 905, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 1259, check)
    call createCurrent(P_GMinus, P_H1, P_WPlus, P_Z, 1272, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 216, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1148, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 1195, check)
    call createCurrent(P_HMinus, P_WPlus, P_H2, P_A, 57, check)
    call createCurrent(P_HMinus, P_H2, P_H2, P_HPlus, 275, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 739, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1349, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 329, check)
    call createCurrent(P_WPlus, P_GMinus, P_H1, P_A, 682, check)
    call createCurrent(P_H1, P_HPlus, P_H1, P_HMinus, 238, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 870, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 56, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 1082, check)
    call createCurrent(P_H2, P_WMinus, P_HPlus, P_Z, 112, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 1019, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1570, check)
    call createCurrent(P_ghWmAnti, P_H1, P_ghWm, 632, check)
    call createCurrent(P_GMinus, P_WPlus, P_H1, 1343, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 625, check)
    call createCurrent(P_b, P_H1, P_bAnti, 1291, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 394, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, P_A, 78, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 651, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 955, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 25, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1577, check)
    call createCurrent(P_H2, P_H2, P_HPlus, P_HMinus, 300, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 1210, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 553, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 365, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1214, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1571, check)
    call createCurrent(P_GPlus, P_H1, P_WMinus, P_Z, 72, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 241, check)
    call createCurrent(P_muPlus, P_H1, P_muMinus, 155, check)
    call createCurrent(P_H1, P_GMinus, P_WPlus, 1180, check)
    call createCurrent(P_WPlus, P_H2, P_H2, P_WMinus, 527, check)
    call createCurrent(P_HPlus, P_H2, P_Z, P_WMinus, 7, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1509, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, 298, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, P_A, 716, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_HPlus, 403, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 812, check)
    call createCurrent(P_d, P_dAnti, P_g, 418, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 946, check)
    call createCurrent(P_HMinus, P_HPlus, P_H1, 1018, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 305, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 954, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 100, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 49, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 513, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1524, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1538, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 851, check)
    call createCurrent(P_HMinus, P_H1, P_H1, P_HPlus, 957, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 776, check)
    call createCurrent(P_WMinus, P_Z, P_H1, P_GPlus, 755, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_GMinus, 533, check)
    call createCurrent(P_WPlus, P_WMinus, P_H1, P_H1, 181, check)
    call createCurrent(P_GPlus, P_GMinus, 1459, check)
    call createCurrent(P_u, P_H1, P_uAnti, 693, check)
    call createCurrent(P_c, P_g, P_cAnti, 1264, check)
    call createCurrent(P_c, P_cAnti, P_Z, 228, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 831, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H1, 984, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1101, check)
    call createCurrent(P_dAnti, P_Z, P_d, 707, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 189, check)
    call createCurrent(P_H1, P_Z, P_Z, 251, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H1, 1205, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 614, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 1136, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 296, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1131, check)
    call createCurrent(P_uAnti, P_u, P_G0, 642, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 395, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 906, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 20, check)
    call createCurrent(P_WMinus, P_HPlus, P_H2, 161, check)
    call createCurrent(P_WPlus, P_H1, P_Z, P_GMinus, 349, check)
    call createCurrent(P_H2, P_HPlus, P_WMinus, 842, check)
    call createCurrent(P_H2, P_H2, 1387, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1540, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 724, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1469, check)
    call createCurrent(P_H1, P_WPlus, P_GMinus, 1277, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 1052, check)
    call createCurrent(P_HPlus, P_H1, P_HMinus, P_H1, 934, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 167, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1470, check)
    call createCurrent(P_H1, P_c, P_cAnti, 1317, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_HPlus, 302, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 1224, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1476, check)
    call createCurrent(P_b, P_bAnti, P_Z, 378, check)
    call createCurrent(P_GPlus, P_H2, P_H2, P_GMinus, 519, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 45, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1559, check)
    call createCurrent(P_H1, P_g, P_g, P_H1, 1580, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 1209, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_HMinus, 1168, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 174, check)
    call createCurrent(P_H2, P_Z, P_A, P_H2, 1506, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 79, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1516, check)
    call createCurrent(P_H1, P_Z, P_H1, P_Z, 573, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H1, 649, check)
    call createCurrent(P_Z, P_sAnti, P_s, 192, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 727, check)
    call createCurrent(P_H1, P_H1, P_H1, 1329, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 213, check)
    call createCurrent(P_WPlus, P_H1, P_H1, P_WMinus, 468, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 1155, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 1203, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 336, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_HPlus, 1302, check)
    call createCurrent(P_G0, P_H1, P_H1, P_G0, 567, check)
    call createCurrent(P_Z, P_WMinus, P_H1, P_GPlus, 1283, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 1134, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 1022, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1512, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 958, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 505, check)
    call createCurrent(P_A, P_H1, P_H1, P_Z, 1412, check)
    call createCurrent(P_H1, P_WMinus, P_GPlus, 1051, check)
    call createCurrent(P_H1, P_Z, P_G0, 359, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 840, check)
    call createCurrent(P_H1, P_GPlus, P_WMinus, P_A, 123, check)
    call createCurrent(P_H1, P_ghWp, P_ghWpAnti, 1300, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_H2, 928, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1533, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 1031, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1372, check)
    call createCurrent(P_HPlus, P_A, P_A, P_HMinus, 247, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 730, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1270, check)
    call createCurrent(P_H1, P_Z, P_Z, P_H1, 873, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 420, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 481, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_Z, 1276, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 1062, check)
    call createCurrent(P_H2, P_A, P_H2, P_Z, 1511, check)
    call createCurrent(P_H1, P_HMinus, P_HPlus, 532, check)
    call createCurrent(P_H1, P_WMinus, P_Z, P_GPlus, 142, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 1271, check)
    call createCurrent(P_WMinus, P_WPlus, 1395, check)
    call createCurrent(P_H1, P_GPlus, P_H1, P_GMinus, 719, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 1237, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 475, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 663, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1526, check)
    call createCurrent(P_H1, P_ghWpAnti, P_ghWp, 565, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1576, check)
    call createCurrent(P_g, P_s, P_sAnti, 655, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 26, check)
    call createCurrent(P_H2, P_GPlus, P_GMinus, P_H2, 448, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1275, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 1157, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 382, check)
    call createCurrent(P_c, P_A, P_cAnti, 38, check)
    call createCurrent(P_WPlus, P_HMinus, P_H2, P_A, 331, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 749, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 536, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 893, check)
    call createCurrent(P_A, P_H1, P_WMinus, P_GPlus, 457, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 237, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1048, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 413, check)
    call createCurrent(P_bAnti, P_b, 1373, check)
    call createCurrent(P_g, P_g, P_g, 789, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 515, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 335, check)
    call createCurrent(P_H1, P_eMinus, P_ePlus, 961, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1542, check)
    call createCurrent(P_WPlus, P_H2, P_WMinus, P_H2, 108, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1410, check)
    call createCurrent(P_t, P_tAnti, P_Z, 638, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 1112, check)
    call createCurrent(P_A, P_WPlus, P_H2, P_HMinus, 516, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 40, check)
    call createCurrent(P_A, P_Z, P_H2, P_H2, 1575, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 499, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 607, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 874, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 290, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 855, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1584, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 959, check)
    call createCurrent(P_H1, P_u, P_uAnti, 1011, check)
    call createCurrent(P_eMinus, P_ePlus, P_H1, 1310, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 1363, check)
    call createCurrent(P_Z, P_A, P_H1, 1435, check)
    call createCurrent(P_A, P_A, P_H1, P_H1, 1581, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 550, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 1213, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 264, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 608, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 255, check)
    call createCurrent(P_g, P_H1, P_H1, P_g, 1554, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 191, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 144, check)
    call createCurrent(P_s, P_sAnti, P_G0, 1334, check)
    call createCurrent(P_Z, P_H2, P_HPlus, P_WMinus, 356, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 96, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1298, check)
    call createCurrent(P_HPlus, P_HMinus, P_WPlus, P_WMinus, 289, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 246, check)
    call createCurrent(P_H2, P_HMinus, P_WPlus, 493, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 534, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 400, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 388, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 1156, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H1, 895, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H1, 374, check)
    call createCurrent(P_eMinus, P_H1, P_ePlus, 683, check)
    call createCurrent(P_HMinus, P_A, P_H2, P_WPlus, 743, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1207, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 753, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1477, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_GPlus, 223, check)
    call createCurrent(P_H1, P_HPlus, P_HMinus, 158, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 360, check)
    call createCurrent(P_b, P_g, P_bAnti, 844, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 1292, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 443, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 619, check)
    call createCurrent(P_t, P_H1, P_tAnti, 343, check)
    call createCurrent(P_WPlus, P_H1, P_A, P_GMinus, 628, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 470, check)
    call createCurrent(P_HMinus, P_HPlus, P_WMinus, P_WPlus, 876, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 982, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1105, check)
    call createCurrent(P_H2, P_A, P_H2, P_A, 1510, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 841, check)
    call createCurrent(P_HMinus, P_H2, P_WPlus, P_Z, 169, check)
    call createCurrent(P_H1, P_HPlus, P_HMinus, P_H1, 1109, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1069, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 1217, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 729, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 639, check)
    call createCurrent(P_WMinus, P_GPlus, P_H1, 159, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 897, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 1146, check)
    call createCurrent(P_H2, P_GMinus, P_GPlus, P_H2, 581, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1562, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 952, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 548, check)
    call createCurrent(P_H1, P_tauPlus, P_tauMinus, 985, check)
    call createCurrent(P_g, P_dAnti, P_d, 779, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 877, check)
    call createCurrent(P_d, P_Z, P_dAnti, 586, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 1120, check)
    call createCurrent(P_HPlus, P_A, P_H2, P_WMinus, 1158, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 720, check)
    call createCurrent(P_Z, P_H1, P_A, 1428, check)
    call createCurrent(P_t, P_A, P_tAnti, 220, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1404, check)
    call createCurrent(P_WMinus, P_H1, P_H1, P_WPlus, 288, check)
    call createCurrent(P_cAnti, P_c, P_Z, 624, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1086, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 1167, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 880, check)
    call createCurrent(P_H1, P_GPlus, P_Z, P_WMinus, 425, check)
    call createCurrent(P_HPlus, P_HMinus, 1398, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1064, check)
    call createCurrent(P_tAnti, P_t, P_H1, 1281, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 1117, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 415, check)
    call createCurrent(P_ePlus, P_H1, P_eMinus, 1161, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1443, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_A, 1306, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1325, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 354, check)
    call createCurrent(P_A, P_GPlus, P_H1, P_WMinus, 250, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1547, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 626, check)
    call createCurrent(P_dAnti, P_G0, P_d, 924, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 772, check)
    call createCurrent(P_A, P_A, 1394, check)
    call createCurrent(P_GPlus, P_Z, P_H1, P_WMinus, 1104, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 323, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 662, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 852, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 883, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_HPlus, 867, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 341, check)
    call createCurrent(P_tAnti, P_g, P_t, 1183, check)
    call createCurrent(P_cAnti, P_G0, P_c, 596, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 524, check)
    call createCurrent(P_H2, P_A, P_WPlus, P_HMinus, 501, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1253, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 28, check)
    call createCurrent(P_u, P_uAnti, P_A, 350, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 1263, check)
    call createCurrent(P_HMinus, P_Z, P_H2, P_WPlus, 814, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 268, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1480, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 235, check)
    call createCurrent(P_H2, P_HMinus, P_A, P_WPlus, 317, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_H2, 294, check)
    call createCurrent(P_A, P_H2, P_A, P_H2, 1473, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 357, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1479, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1543, check)
    call createCurrent(P_H2, P_HPlus, P_A, P_WMinus, 319, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 1199, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 1266, check)
  end subroutine fill_current_1
end module currents_info1
