!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten398, Ten399, Ten390, Ten391, Ten392, Ten393, Ten394, Ten395&
                 , Ten396, Ten397, Ten72, Ten73, Ten70, Ten71, Ten76, Ten77,   &
                 Ten74, Ten75, Ten78, Ten79, Ten365, Ten364, Ten367, Ten366,   &
                 Ten361, Ten360, Ten248, Ten249, Ten246, Ten247, Ten244, Ten245&
                 , Ten242, Ten243, Ten240, Ten241, Ten228, Ten99, Ten149,      &
                 Ten148, Ten419, Ten418, Ten145, Ten144, Ten147, Ten146, Ten141&
                 , Ten140, Ten143, Ten142, Ten224, Ten216, Ten225, Ten226,     &
                 Ten97, Ten198, Ten90, Ten212, Ten91, Ten196, Ten222, Ten89,   &
                 Ten88, Ten87, Ten86, Ten85, Ten84, Ten83, Ten82, Ten81, Ten80 &
                 , Ten195, Ten192, Ten193, Ten190, Ten191, Ten116, Ten117,     &
                 Ten189, Ten363, Ten362, Ten188, Ten369, Ten368, Ten38, Ten39, &
                 Ten36, Ten37, Ten34, Ten35, Ten32, Ten33, Ten30, Ten31, Ten329&
                 , Ten328, Ten321, Ten320, Ten323, Ten322, Ten325, Ten324,     &
                 Ten327, Ten326, Ten51, Ten518, Ten519, Ten512, Ten513, Ten510 &
                 , Ten511, Ten516, Ten517, Ten514, Ten515, Ten110, Ten215,     &
                 Ten214, Ten49, Ten48, Ten211, Ten210, Ten213, Ten199, Ten43,  &
                 Ten197, Ten41, Ten40, Ten219, Ten218, Ten45, Ten44, Ten111,   &
                 Ten358, Ten359, Ten354, Ten355, Ten356, Ten357, Ten350, Ten351&
                 , Ten352, Ten353, Ten174, Ten175, Ten176, Ten177, Ten170,     &
                 Ten171, Ten172, Ten173, Ten178, Ten179, Ten453, Ten452, Ten451&
                 , Ten450, Ten457, Ten456, Ten455, Ten454, Ten109, Ten108,     &
                 Ten459, Ten458, Ten415, Ten414, Ten413, Ten412, Ten411, Ten410&
                 , Ten46, Ten298, Ten101, Ten100, Ten103, Ten295, Ten102,      &
                 Ten294, Ten105, Ten297, Ten104, Ten389, Ten388, Ten107, Ten383&
                 , Ten382, Ten381, Ten380, Ten387, Ten386, Ten385, Ten384,     &
                 Ten268, Ten293, Ten292, Ten310, Ten311, Ten312, Ten313, Ten314&
                 , Ten315, Ten316, Ten317, Ten251, Ten250, Ten253, Ten252,     &
                 Ten255, Ten254, Ten257, Ten256, Ten138, Ten139, Ten428, Ten429&
                 , Ten130, Ten131, Ten132, Ten133, Ten134, Ten135, Ten136,     &
                 Ten137, Ten98, Ten229, Ten94, Ten95, Ten96, Ten227, Ten220,   &
                 Ten221, Ten550, Ten93, Ten270, Ten69, Ten68, Ten207, Ten67,   &
                 Ten66, Ten62, Ten42, Ten58, Ten261, Ten262, Ten263, Ten264,   &
                 Ten265, Ten266, Ten267, Ten181, Ten180, Ten183, Ten182, Ten54 &
                 , Ten55, Ten56, Ten57, Ten349, Ten348, Ten347, Ten346, Ten345 &
                 , Ten344, Ten343, Ten342, Ten341, Ten340, Ten167, Ten166,     &
                 Ten165, Ten164, Ten163, Ten162, Ten161, Ten160, Ten169, Ten168&
                 , Ten505, Ten504, Ten507, Ten506, Ten501, Ten500, Ten468,     &
                 Ten469, Ten466, Ten47, Ten464, Ten465, Ten462, Ten463, Ten460 &
                 , Ten461, Ten217, Ten484, Ten485, Ten486, Ten487, Ten480,     &
                 Ten481, Ten482, Ten483, Ten156, Ten488, Ten489, Ten157, Ten158&
                 , Ten159, Ten194, Ten280, Ten14, Ten15, Ten16, Ten17, Ten10,  &
                 Ten11, Ten12, Ten13, Ten286, Ten18, Ten19, Ten287, Ten303,    &
                 Ten302, Ten301, Ten300, Ten307, Ten306, Ten305, Ten304, Ten309&
                 , Ten308, Ten114, Ten123, Ten115, Ten122, Ten112, Ten288,     &
                 Ten113, Ten282, Ten283, Ten129, Ten281, Ten538, Ten539, Ten284&
                 , Ten285, Ten534, Ten535, Ten536, Ten537, Ten530, Ten126,     &
                 Ten125, Ten124, Ten532, Ten531, Ten533, Ten549, Ten548, Ten239&
                 , Ten238, Ten237, Ten236, Ten235, Ten234, Ten233, Ten232,     &
                 Ten231, Ten230, Ten185, Ten435, Ten434, Ten437, Ten436, Ten431&
                 , Ten430, Ten433, Ten432, Ten546, Ten439, Ten438, Ten296,     &
                 Ten92, Ten291, Ten290, Ten184, Ten260, Ten59, Ten541, Ten540, &
                 Ten543, Ten273, Ten272, Ten271, Ten542, Ten277, Ten276, Ten275&
                 , Ten274, Ten65, Ten64, Ten279, Ten278, Ten61, Ten60, Ten63,  &
                 Ten544, Ten50, Ten378, Ten379, Ten547, Ten269, Ten372, Ten373 &
                 , Ten370, Ten371, Ten376, Ten377, Ten374, Ten375, Ten152,     &
                 Ten153, Ten150, Ten151, Ten408, Ten409, Ten154, Ten155, Ten404&
                 , Ten405, Ten406, Ten407, Ten400, Ten401, Ten402, Ten403,     &
                 Ten187, Ten186, Ten479, Ten478, Ten471, Ten470, Ten473, Ten472&
                 , Ten475, Ten474, Ten477, Ten476, Ten259, Ten128, Ten258,     &
                 Ten497, Ten496, Ten495, Ten494, Ten493, Ten492, Ten491, Ten490&
                 , Ten499, Ten498, Ten318, Ten319, Ten223, Ten5, Ten29, Ten28, &
                 Ten21, Ten20, Ten23, Ten22, Ten25, Ten24, Ten27, Ten26, Ten338&
                 , Ten339, Ten336, Ten337, Ten334, Ten335, Ten332, Ten333,     &
                 Ten330, Ten331, Ten53, Ten299, Ten106, Ten529, Ten528, Ten527 &
                 , Ten526, Ten525, Ten524, Ten523, Ten522, Ten521, Ten520,     &
                 Ten121, Ten422, Ten208, Ten209, Ten120, Ten423, Ten202, Ten203&
                 , Ten200, Ten201, Ten206, Ten420, Ten204, Ten205, Ten421,     &
                 Ten426, Ten427, Ten127, Ten424, Ten425, Ten440, Ten441, Ten442&
                 , Ten443, Ten444, Ten445, Ten446, Ten447, Ten448, Ten449,     &
                 Ten118, Ten119, Ten289, Ten417, Ten503, Ten8, Ten9, Ten6, Ten7&
                 , Ten4, Ten502, Ten2, Ten3, Ten0, Ten1, Ten416, Ten467, Ten52 &
                 , Ten509, Ten508, Ten545
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten474 = DB0(rMZ2, cMW2_reg, cMW2_reg)
    Ten475 = DB0(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten476 = DB0(rMZ2, cME2_reg, cME2_reg)
    Ten477 = DB0(rMZ2, cMM2_reg, cMM2_reg)
    Ten470 = B00(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten429 = B0(rMZ2, cMM2_reg, cMM2_reg)
    Ten472 = B0(rMZ2, cnul, cnul)
    Ten473 = B0(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten428 = B0(rMZ2, cME2_reg, cME2_reg)
    Ten478 = DB0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten479 = DB0(rMZ2, cMU2_reg, cMU2_reg)
    Ten208 = DB1(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten276 = DB1(rMB2, cMB2_reg, cMH12_reg)
    Ten277 = DB1(rMB2, cnul, cMB2_reg)
    Ten274 = DB0(rMB2, cMZ2_reg, cMB2_reg)
    Ten275 = DB0(rMB2, cMW2_reg, cMT2_reg)
    Ten272 = DB0(rMB2, cMB2_reg, cMH12_reg)
    Ten273 = DB0(rMB2, cnul, cMB2_reg)
    Ten270 = B1(rMB2, cMW2_reg, cMT2_reg)
    Ten271 = B0(rMB2, cMB2_reg, cMH12_reg)
    Ten377 = B1(cMTA2_reg, cnul, cMTA2_reg)
    Ten376 = B1(cMTA2_reg, cMTA2_reg, cMH12_reg)
    Ten375 = B0(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten374 = B0(cMTA2_reg, cnul, cMTA2_reg)
    Ten373 = DB1(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten372 = DB1(rMTA2, cnul, cMW2_reg)
    Ten278 = DB1(rMB2, cMZ2_reg, cMB2_reg)
    Ten279 = DB1(rMB2, cMW2_reg, cMT2_reg)
    Ten0 = A0(cMH12_reg)
    Ten7 = A0(cMC2_reg)
    Ten6 = A0(cMU2_reg)
    Ten4 = A0(cMM2_reg)
    Ten5 = A0(cMTA2_reg)
    Ten420 = HT(cME2_reg, cME2_reg)
    Ten53 = B1(rMH12, cMS2_reg, cMS2_reg)
    Ten21 = B0(rMH12, cMC2_reg, cMC2_reg)
    Ten52 = B11(rMH12, cMD2_reg, cMD2_reg)
    Ten146 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten50 = B1(rMH12, cMD2_reg, cMD2_reg)
    Ten140 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten141 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten55 = B11(rMH12, cMS2_reg, cMS2_reg)
    Ten143 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten379 = B1(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten378 = B1(cMTA2_reg, cnul, cMW2_reg)
    Ten489 = B00(rMW2, cnul, cMW2_reg)
    Ten321 = B1(cME2_reg, cnul, cMW2_reg)
    Ten371 = DB1(rMTA2, cnul, cMTA2_reg)
    Ten370 = DB1(rMTA2, cMTA2_reg, cMH12_reg)
    Ten128 = DB1(rMHP2, cMW2_reg, cMHP2_reg)
    Ten550 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten126 = DB11(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten328 = DB1(cME2_reg, cnul, cME2_reg)
    Ten124 = DB1(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten125 = DB00(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten122 = DB11(rMHP2, cnul, cMHP2_reg)
    Ten123 = DB0(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten120 = DB1(rMHP2, cnul, cMHP2_reg)
    Ten480 = DB0(rMZ2, cMC2_reg, cMC2_reg)
    Ten44 = B1(rMH12, cMC2_reg, cMC2_reg)
    Ten45 = B00(rMH12, cMC2_reg, cMC2_reg)
    Ten46 = B11(rMH12, cMC2_reg, cMC2_reg)
    Ten47 = B1(rMH12, cMT2_reg, cMT2_reg)
    Ten40 = B11(rMH12, cMTA2_reg, cMTA2_reg)
    Ten41 = B1(rMH12, cMU2_reg, cMU2_reg)
    Ten42 = B00(rMH12, cMU2_reg, cMU2_reg)
    Ten43 = B11(rMH12, cMU2_reg, cMU2_reg)
    Ten529 = DB0(rMW2, cMT2_reg, cMB2_reg)
    Ten48 = B00(rMH12, cMT2_reg, cMT2_reg)
    Ten49 = B11(rMH12, cMT2_reg, cMT2_reg)
    Ten159 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten158 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten153 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten152 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten151 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten150 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten157 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten156 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten155 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten154 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten333 = B0(rMM2, cMZ2_reg, cMM2_reg)
    Ten332 = B0(rMM2, cnul, cMM2_reg)
    Ten331 = B1(cnul, cnul, cMW2_reg)
    Ten330 = DB1(cME2_reg, cMZ2_reg, cME2_reg)
    Ten337 = B1(rMM2, cMZ2_reg, cMM2_reg)
    Ten336 = B1(rMM2, cnul, cMW2_reg)
    Ten335 = B1(rMM2, cnul, cMM2_reg)
    Ten334 = B1(rMM2, cMM2_reg, cMH12_reg)
    Ten339 = DB0(rMM2, cMM2_reg, cMH12_reg)
    Ten338 = B0(rMM2, cMM2_reg, cMH12_reg)
    Ten238 = DB0(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten239 = DB0(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten232 = B1(cMC2_reg, cnul, cMC2_reg)
    Ten233 = B1(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten230 = B0(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten231 = B1(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten236 = DB0(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten237 = DB0(cMC2_reg, cnul, cMC2_reg)
    Ten234 = B1(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten235 = B0(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten346 = B0(cMM2_reg, cnul, cMM2_reg)
    Ten347 = B0(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten344 = DB1(rMM2, cnul, cMW2_reg)
    Ten345 = DB1(rMM2, cMZ2_reg, cMM2_reg)
    Ten342 = DB1(rMM2, cMM2_reg, cMH12_reg)
    Ten343 = DB1(rMM2, cnul, cMM2_reg)
    Ten340 = DB0(rMM2, cnul, cMM2_reg)
    Ten341 = DB0(rMM2, cMZ2_reg, cMM2_reg)
    Ten427 = B0(rMZ2, cMW2_reg, cMW2_reg)
    Ten426 = B0(rMZ2, cMZ2_reg, cMH12_reg)
    Ten425 = B11(cnul, cMHP2_reg, cMHP2_reg)
    Ten424 = B1(cnul, cMHP2_reg, cMHP2_reg)
    Ten423 = B0(cnul, cMHP2_reg, cMHP2_reg)
    Ten422 = HT(cMTA2_reg, cMTA2_reg)
    Ten348 = B1(cMM2_reg, cMM2_reg, cMH12_reg)
    Ten349 = B1(cMM2_reg, cnul, cMM2_reg)
    Ten8 = A0(cMT2_reg)
    Ten421 = HT(cMM2_reg, cMM2_reg)
    Ten82 = DB1(rMH12, cMC2_reg, cMC2_reg)
    Ten281 = B0(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten127 = DB0(rMHP2, cMW2_reg, cMHP2_reg)
    Ten280 = B0(cMB2_reg, cnul, cMB2_reg)
    Ten519 = B0(rMW2, cMU2_reg, cMD2_reg)
    Ten518 = B0(rMW2, cnul, cMTA2_reg)
    Ten513 = B11(rMW2, cMU2_reg, cMD2_reg)
    Ten512 = B11(rMW2, cMZ2_reg, cMW2_reg)
    Ten511 = B11(rMW2, cnul, cMTA2_reg)
    Ten510 = B11(rMW2, cnul, cMM2_reg)
    Ten517 = B0(rMW2, cnul, cMM2_reg)
    Ten516 = B0(rMW2, cnul, cME2_reg)
    Ten515 = B11(rMW2, cMT2_reg, cMB2_reg)
    Ten514 = B11(rMW2, cMC2_reg, cMS2_reg)
    Ten84 = DB1(rMH12, cMD2_reg, cMD2_reg)
    Ten526 = DB0(rMW2, cnul, cMTA2_reg)
    Ten527 = DB0(rMW2, cMU2_reg, cMD2_reg)
    Ten162 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten163 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten160 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten161 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten79 = DB1(rMH12, cMM2_reg, cMM2_reg)
    Ten78 = DB1(rMH12, cME2_reg, cME2_reg)
    Ten164 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten165 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten75 = DB0(rMH12, cMB2_reg, cMB2_reg)
    Ten282 = B0(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten168 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten76 = DB0(rMH12, cMH12_reg, cMH12_reg)
    Ten71 = DB0(rMH12, cMC2_reg, cMC2_reg)
    Ten70 = DB0(rMH12, cMU2_reg, cMU2_reg)
    Ten73 = DB0(rMH12, cMD2_reg, cMD2_reg)
    Ten72 = DB0(rMH12, cMT2_reg, cMT2_reg)
    Ten463 = B00(rMZ2, cMB2_reg, cMB2_reg)
    Ten462 = B00(rMZ2, cMS2_reg, cMS2_reg)
    Ten461 = B00(rMZ2, cMD2_reg, cMD2_reg)
    Ten460 = B1(rMZ2, cMB2_reg, cMB2_reg)
    Ten467 = B1(rMZ2, cnul, cnul)
    Ten466 = B11(rMZ2, cMB2_reg, cMB2_reg)
    Ten465 = B11(rMZ2, cMS2_reg, cMS2_reg)
    Ten464 = B11(rMZ2, cMD2_reg, cMD2_reg)
    Ten469 = B00(rMZ2, cnul, cnul)
    Ten468 = B00(rMZ2, cMZ2_reg, cMH12_reg)
    Ten265 = B0(rMB2, cMZ2_reg, cMB2_reg)
    Ten264 = B0(rMB2, cnul, cMB2_reg)
    Ten267 = B1(rMB2, cMB2_reg, cMH12_reg)
    Ten266 = B0(rMB2, cMW2_reg, cMT2_reg)
    Ten261 = DB1(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten260 = DB1(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten263 = B1(cnul, cMW2_reg, cMC2_reg)
    Ten262 = B0(cnul, cMW2_reg, cMC2_reg)
    Ten302 = B1(rMT2, cnul, cMT2_reg)
    Ten303 = B1(rMT2, cMZ2_reg, cMT2_reg)
    Ten300 = B0(rMT2, cMW2_reg, cMB2_reg)
    Ten301 = B1(rMT2, cMT2_reg, cMH12_reg)
    Ten306 = DB0(rMT2, cMT2_reg, cMH12_reg)
    Ten268 = B1(rMB2, cnul, cMB2_reg)
    Ten304 = B1(rMT2, cMW2_reg, cMB2_reg)
    Ten305 = B0(rMT2, cMT2_reg, cMH12_reg)
    Ten416 = DB00(cnul, cMM2_reg, cMM2_reg)
    Ten417 = DB00(cnul, cMTA2_reg, cMTA2_reg)
    Ten414 = DB0(cnul, cMTA2_reg, cMTA2_reg)
    Ten415 = DB00(cnul, cME2_reg, cME2_reg)
    Ten412 = DB0(cnul, cME2_reg, cME2_reg)
    Ten413 = DB0(cnul, cMM2_reg, cMM2_reg)
    Ten410 = B00(cnul, cMHP2_reg, cMHP2_reg)
    Ten411 = DB00(cnul, cMW2_reg, cMW2_reg)
    Ten418 = DB00(cnul, cMHP2_reg, cMHP2_reg)
    Ten419 = DB0(cnul, cMW2_reg, cMW2_reg)
    Ten68 = DB0(rMH12, cMM2_reg, cMM2_reg)
    Ten69 = DB0(rMH12, cMTA2_reg, cMTA2_reg)
    Ten66 = DB11(rMH12, cMW2_reg, cMW2_reg)
    Ten178 = B1(cMU2_reg, cnul, cMU2_reg)
    Ten449 = B1(rMZ2, cMU2_reg, cMU2_reg)
    Ten448 = B11(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten522 = B0(rMW2, cMHP2_reg, cMHP2_reg)
    Ten523 = DB0(rMW2, cnul, cMW2_reg)
    Ten520 = B0(rMW2, cMC2_reg, cMS2_reg)
    Ten521 = B0(rMW2, cMT2_reg, cMB2_reg)
    Ten139 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten138 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten524 = DB0(rMW2, cnul, cME2_reg)
    Ten525 = DB0(rMW2, cnul, cMM2_reg)
    Ten135 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten134 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten137 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten136 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten131 = DB0(rMHP2, cMH12_reg, cMHP2_reg)
    Ten130 = DB11(rMHP2, cMW2_reg, cMHP2_reg)
    Ten133 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten132 = B0(cnul, cnul, cnul)
    Ten441 = B1(rMZ2, cMM2_reg, cMM2_reg)
    Ten440 = B1(rMZ2, cME2_reg, cME2_reg)
    Ten31 = B11(rMH12, cMW2_reg, cMW2_reg)
    Ten30 = B00(rMH12, cMW2_reg, cMW2_reg)
    Ten33 = B00(rMH12, cME2_reg, cME2_reg)
    Ten32 = B1(rMH12, cME2_reg, cME2_reg)
    Ten35 = B1(rMH12, cMM2_reg, cMM2_reg)
    Ten34 = B11(rMH12, cME2_reg, cME2_reg)
    Ten37 = B11(rMH12, cMM2_reg, cMM2_reg)
    Ten36 = B00(rMH12, cMM2_reg, cMM2_reg)
    Ten39 = B00(rMH12, cMTA2_reg, cMTA2_reg)
    Ten38 = B1(rMH12, cMTA2_reg, cMTA2_reg)
    Ten229 = B0(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten228 = B0(cMC2_reg, cnul, cMC2_reg)
    Ten182 = DB0(cMU2_reg, cMU2_reg, cMH12_reg)
    Ten183 = DB0(cMU2_reg, cnul, cMU2_reg)
    Ten184 = DB0(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten185 = DB0(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten186 = DB1(cMU2_reg, cMU2_reg, cMH12_reg)
    Ten187 = DB1(cMU2_reg, cnul, cMU2_reg)
    Ten221 = DB0(rMC2, cnul, cMC2_reg)
    Ten220 = DB0(rMC2, cMC2_reg, cMH12_reg)
    Ten223 = DB0(rMC2, cMW2_reg, cMS2_reg)
    Ten222 = DB0(rMC2, cMZ2_reg, cMC2_reg)
    Ten225 = DB1(rMC2, cnul, cMC2_reg)
    Ten224 = DB1(rMC2, cMC2_reg, cMH12_reg)
    Ten227 = DB1(rMC2, cMW2_reg, cMS2_reg)
    Ten226 = DB1(rMC2, cMZ2_reg, cMC2_reg)
    Ten319 = B1(cME2_reg, cME2_reg, cMH12_reg)
    Ten318 = B0(cME2_reg, cMZ2_reg, cME2_reg)
    Ten299 = B0(rMT2, cMZ2_reg, cMT2_reg)
    Ten116 = B00(rMHP2, cMW2_reg, cMHP2_reg)
    Ten355 = DB0(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten354 = DB0(cMM2_reg, cnul, cMM2_reg)
    Ten458 = B1(rMZ2, cMD2_reg, cMD2_reg)
    Ten459 = B1(rMZ2, cMS2_reg, cMS2_reg)
    Ten351 = B1(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten350 = B1(cMM2_reg, cnul, cMW2_reg)
    Ten353 = DB0(cMM2_reg, cMM2_reg, cMH12_reg)
    Ten352 = B0(cMM2_reg, cMM2_reg, cMH12_reg)
    Ten452 = B00(rMZ2, cMU2_reg, cMU2_reg)
    Ten453 = B00(rMZ2, cMC2_reg, cMC2_reg)
    Ten450 = B1(rMZ2, cMC2_reg, cMC2_reg)
    Ten451 = B1(rMZ2, cMT2_reg, cMT2_reg)
    Ten456 = B11(rMZ2, cMC2_reg, cMC2_reg)
    Ten457 = B11(rMZ2, cMT2_reg, cMT2_reg)
    Ten454 = B00(rMZ2, cMT2_reg, cMT2_reg)
    Ten455 = B11(rMZ2, cMU2_reg, cMU2_reg)
    Ten180 = B1(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten181 = B0(cMU2_reg, cMU2_reg, cMH12_reg)
    Ten188 = DB1(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten189 = DB1(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten259 = DB1(cMS2_reg, cnul, cMS2_reg)
    Ten171 = HT(cMD2_reg, cMD2_reg)
    Ten170 = HT(cMC2_reg, cMC2_reg)
    Ten173 = HT(cMB2_reg, cMB2_reg)
    Ten172 = HT(cMS2_reg, cMS2_reg)
    Ten175 = B0(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten174 = B0(cMU2_reg, cnul, cMU2_reg)
    Ten177 = B1(cMU2_reg, cMU2_reg, cMH12_reg)
    Ten176 = B0(cMU2_reg, cMW2_reg, cMD2_reg)
    Ten179 = B1(cMU2_reg, cMZ2_reg, cMU2_reg)
    Ten67 = DB0(rMH12, cME2_reg, cME2_reg)
    Ten64 = DB1(rMH12, cMW2_reg, cMW2_reg)
    Ten65 = DB00(rMH12, cMW2_reg, cMW2_reg)
    Ten62 = DB11(rMH12, cMZ2_reg, cMZ2_reg)
    Ten63 = DB0(rMH12, cMW2_reg, cMW2_reg)
    Ten60 = DB1(rMH12, cMZ2_reg, cMZ2_reg)
    Ten61 = DB00(rMH12, cMZ2_reg, cMZ2_reg)
    Ten498 = B1(rMW2, cMC2_reg, cMS2_reg)
    Ten499 = B1(rMW2, cMT2_reg, cMB2_reg)
    Ten496 = B1(rMW2, cMZ2_reg, cMW2_reg)
    Ten497 = B1(rMW2, cMU2_reg, cMD2_reg)
    Ten494 = B1(rMW2, cnul, cMM2_reg)
    Ten495 = B1(rMW2, cnul, cMTA2_reg)
    Ten492 = B0(rMW2, cMZ2_reg, cMW2_reg)
    Ten493 = B1(rMW2, cnul, cME2_reg)
    Ten490 = B11(rMW2, cnul, cMW2_reg)
    Ten491 = B0(rMW2, cMW2_reg, cMH12_reg)
    Ten250 = B1(cMS2_reg, cnul, cMS2_reg)
    Ten251 = B1(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten252 = B1(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten253 = B0(cMS2_reg, cMS2_reg, cMH12_reg)
    Ten254 = DB0(cMS2_reg, cMS2_reg, cMH12_reg)
    Ten255 = DB0(cMS2_reg, cnul, cMS2_reg)
    Ten256 = DB0(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten257 = DB0(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten311 = DB1(rMT2, cnul, cMT2_reg)
    Ten310 = DB1(rMT2, cMT2_reg, cMH12_reg)
    Ten313 = DB1(rMT2, cMW2_reg, cMB2_reg)
    Ten312 = DB1(rMT2, cMZ2_reg, cMT2_reg)
    Ten315 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten314 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten317 = B0(cME2_reg, cnul, cME2_reg)
    Ten316 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten129 = DB00(rMHP2, cMW2_reg, cMHP2_reg)
    Ten382 = DB0(cMTA2_reg, cnul, cMTA2_reg)
    Ten383 = DB0(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten380 = B0(cMTA2_reg, cMTA2_reg, cMH12_reg)
    Ten381 = DB0(cMTA2_reg, cMTA2_reg, cMH12_reg)
    Ten386 = DB1(cMTA2_reg, cnul, cMW2_reg)
    Ten387 = DB1(cMTA2_reg, cMZ2_reg, cMTA2_reg)
    Ten384 = DB1(cMTA2_reg, cMTA2_reg, cMH12_reg)
    Ten385 = DB1(cMTA2_reg, cnul, cMTA2_reg)
    Ten388 = B0(cnul, cMW2_reg, cME2_reg)
    Ten389 = B1(cnul, cMW2_reg, cME2_reg)
    Ten405 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten404 = B0(cnul, cME2_reg, cME2_reg)
    Ten407 = B00(cnul, cME2_reg, cME2_reg)
    Ten406 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten401 = B11(cnul, cME2_reg, cME2_reg)
    Ten400 = B1(cnul, cMTA2_reg, cMTA2_reg)
    Ten403 = B11(cnul, cMTA2_reg, cMTA2_reg)
    Ten402 = B11(cnul, cMM2_reg, cMM2_reg)
    Ten121 = DB00(rMHP2, cnul, cMHP2_reg)
    Ten409 = B00(cnul, cMTA2_reg, cMTA2_reg)
    Ten408 = B00(cnul, cMM2_reg, cMM2_reg)
    Ten119 = DB0(rMHP2, cnul, cMHP2_reg)
    Ten118 = B11(rMHP2, cMW2_reg, cMHP2_reg)
    Ten289 = DB0(cMB2_reg, cnul, cMB2_reg)
    Ten288 = DB0(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten166 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten167 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten108 = B00(rMHP2, cnul, cMHP2_reg)
    Ten109 = B11(rMHP2, cnul, cMHP2_reg)
    Ten533 = B00(cnul, cnul, cMW2_reg)
    Ten532 = DB0(rMW2, cMHP2_reg, cMHP2_reg)
    Ten535 = B00(cnul, cnul, cME2_reg)
    Ten534 = B00(cnul, cMW2_reg, cMH12_reg)
    Ten537 = B00(cnul, cnul, cMTA2_reg)
    Ten536 = B00(cnul, cnul, cMM2_reg)
    Ten100 = DB11(rMH12, cMC2_reg, cMC2_reg)
    Ten101 = DB11(rMH12, cMT2_reg, cMT2_reg)
    Ten102 = DB11(rMH12, cMD2_reg, cMD2_reg)
    Ten103 = DB11(rMH12, cMS2_reg, cMS2_reg)
    Ten104 = DB11(rMH12, cMB2_reg, cMB2_reg)
    Ten105 = A0(cnul)
    Ten106 = B0(rMHP2, cnul, cMHP2_reg)
    Ten107 = B1(rMHP2, cnul, cMHP2_reg)
    Ten283 = B1(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten74 = DB0(rMH12, cMS2_reg, cMS2_reg)
    Ten77 = DB0(rMH12, cMHP2_reg, cMHP2_reg)
    Ten22 = B0(rMH12, cMT2_reg, cMT2_reg)
    Ten23 = B0(rMH12, cMD2_reg, cMD2_reg)
    Ten20 = B0(rMH12, cMU2_reg, cMU2_reg)
    Ten169 = HT(cMU2_reg, cMU2_reg)
    Ten26 = B1(rMH12, cMZ2_reg, cMZ2_reg)
    Ten27 = B00(rMH12, cMZ2_reg, cMZ2_reg)
    Ten24 = B0(rMH12, cMS2_reg, cMS2_reg)
    Ten25 = B0(rMH12, cMB2_reg, cMB2_reg)
    Ten287 = B0(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten28 = B11(rMH12, cMZ2_reg, cMZ2_reg)
    Ten29 = B1(rMH12, cMW2_reg, cMW2_reg)
    Ten357 = DB1(cMM2_reg, cnul, cMM2_reg)
    Ten286 = B1(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten356 = DB1(cMM2_reg, cMM2_reg, cMH12_reg)
    Ten285 = B1(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten284 = B1(cMB2_reg, cnul, cMB2_reg)
    Ten214 = B0(rMC2, cMW2_reg, cMS2_reg)
    Ten215 = B1(rMC2, cMC2_reg, cMH12_reg)
    Ten216 = B1(rMC2, cnul, cMC2_reg)
    Ten217 = B1(rMC2, cMZ2_reg, cMC2_reg)
    Ten210 = B0(cnul, cMW2_reg, cMU2_reg)
    Ten211 = B1(cnul, cMW2_reg, cMU2_reg)
    Ten212 = B0(rMC2, cnul, cMC2_reg)
    Ten213 = B0(rMC2, cMZ2_reg, cMC2_reg)
    Ten218 = B1(rMC2, cMW2_reg, cMS2_reg)
    Ten219 = B0(rMC2, cMC2_reg, cMH12_reg)
    Ten199 = B1(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten198 = B1(cMD2_reg, cnul, cMD2_reg)
    Ten197 = B1(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten196 = B0(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten195 = B0(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten194 = B0(cMD2_reg, cnul, cMD2_reg)
    Ten193 = B1(cnul, cnul, cMH12_reg)
    Ten192 = B1(cnul, cnul, cMZ2_reg)
    Ten191 = B1(cnul, cMW2_reg, cMD2_reg)
    Ten190 = B0(cnul, cMW2_reg, cMD2_reg)
    Ten359 = DB1(cMM2_reg, cMZ2_reg, cMM2_reg)
    Ten358 = DB1(cMM2_reg, cnul, cMW2_reg)
    Ten97 = DB11(rMH12, cMM2_reg, cMM2_reg)
    Ten96 = DB11(rMH12, cME2_reg, cME2_reg)
    Ten95 = DB00(rMH12, cMB2_reg, cMB2_reg)
    Ten94 = DB00(rMH12, cMS2_reg, cMS2_reg)
    Ten93 = DB00(rMH12, cMD2_reg, cMD2_reg)
    Ten92 = DB00(rMH12, cMT2_reg, cMT2_reg)
    Ten91 = DB00(rMH12, cMC2_reg, cMC2_reg)
    Ten90 = DB00(rMH12, cMU2_reg, cMU2_reg)
    Ten258 = DB1(cMS2_reg, cMS2_reg, cMH12_reg)
    Ten99 = DB11(rMH12, cMU2_reg, cMU2_reg)
    Ten98 = DB11(rMH12, cMTA2_reg, cMTA2_reg)
    Ten360 = B0(rMTA2, cnul, cMTA2_reg)
    Ten361 = B0(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten362 = B1(rMTA2, cMTA2_reg, cMH12_reg)
    Ten363 = B1(rMTA2, cnul, cMTA2_reg)
    Ten364 = B1(rMTA2, cnul, cMW2_reg)
    Ten365 = B1(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten366 = B0(rMTA2, cMTA2_reg, cMH12_reg)
    Ten367 = DB0(rMTA2, cMTA2_reg, cMH12_reg)
    Ten368 = DB0(rMTA2, cnul, cMTA2_reg)
    Ten369 = DB0(rMTA2, cMZ2_reg, cMTA2_reg)
    Ten443 = B00(rMZ2, cME2_reg, cME2_reg)
    Ten442 = B1(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten445 = B00(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten444 = B00(rMZ2, cMM2_reg, cMM2_reg)
    Ten447 = B11(rMZ2, cMM2_reg, cMM2_reg)
    Ten446 = B11(rMZ2, cME2_reg, cME2_reg)
    Ten308 = DB0(rMT2, cMZ2_reg, cMT2_reg)
    Ten309 = DB0(rMT2, cMW2_reg, cMB2_reg)
    Ten269 = B1(rMB2, cMZ2_reg, cMB2_reg)
    Ten307 = DB0(rMT2, cnul, cMT2_reg)
    Ten548 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten549 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten540 = B00(cnul, cMC2_reg, cMS2_reg)
    Ten541 = B00(cnul, cMT2_reg, cMB2_reg)
    Ten542 = B0(cnul, cMW2_reg, cMH12_reg)
    Ten543 = B0(cnul, cnul, cMW2_reg)
    Ten544 = B0(cnul, cMZ2_reg, cMW2_reg)
    Ten545 = B0(cnul, cME2_reg, cME2_reg)
    Ten546 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten547 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten59 = DB0(rMH12, cMZ2_reg, cMZ2_reg)
    Ten58 = B11(rMH12, cMB2_reg, cMB2_reg)
    Ten148 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten149 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten144 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten145 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten51 = B00(rMH12, cMD2_reg, cMD2_reg)
    Ten147 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten57 = B00(rMH12, cMB2_reg, cMB2_reg)
    Ten56 = B1(rMH12, cMB2_reg, cMB2_reg)
    Ten142 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten54 = B00(rMH12, cMS2_reg, cMS2_reg)
    Ten324 = DB0(cME2_reg, cME2_reg, cMH12_reg)
    Ten325 = DB0(cME2_reg, cnul, cME2_reg)
    Ten326 = DB0(cME2_reg, cMZ2_reg, cME2_reg)
    Ten327 = DB1(cME2_reg, cME2_reg, cMH12_reg)
    Ten320 = B1(cME2_reg, cnul, cME2_reg)
    Ten488 = B1(rMW2, cnul, cMW2_reg)
    Ten322 = B1(cME2_reg, cMZ2_reg, cME2_reg)
    Ten323 = B0(cME2_reg, cME2_reg, cMH12_reg)
    Ten485 = DB0(rMZ2, cnul, cnul)
    Ten484 = DB0(rMZ2, cMB2_reg, cMB2_reg)
    Ten487 = B0(rMW2, cnul, cMW2_reg)
    Ten486 = DB0(rMZ2, cMZ2_reg, cMH12_reg)
    Ten481 = DB0(rMZ2, cMT2_reg, cMT2_reg)
    Ten329 = DB1(cME2_reg, cnul, cMW2_reg)
    Ten483 = DB0(rMZ2, cMS2_reg, cMS2_reg)
    Ten482 = DB0(rMZ2, cMD2_reg, cMD2_reg)
    Ten249 = B1(cMS2_reg, cMS2_reg, cMH12_reg)
    Ten248 = B0(cMS2_reg, cMW2_reg, cMC2_reg)
    Ten247 = B0(cMS2_reg, cMZ2_reg, cMS2_reg)
    Ten246 = B0(cMS2_reg, cnul, cMS2_reg)
    Ten245 = B1(cnul, cMW2_reg, cMS2_reg)
    Ten244 = B0(cnul, cMW2_reg, cMS2_reg)
    Ten243 = DB1(cMC2_reg, cMW2_reg, cMS2_reg)
    Ten242 = DB1(cMC2_reg, cMZ2_reg, cMC2_reg)
    Ten241 = DB1(cMC2_reg, cnul, cMC2_reg)
    Ten240 = DB1(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten391 = B1(cnul, cMW2_reg, cMM2_reg)
    Ten390 = B0(cnul, cMW2_reg, cMM2_reg)
    Ten393 = B1(cnul, cMW2_reg, cMTA2_reg)
    Ten392 = B0(cnul, cMW2_reg, cMTA2_reg)
    Ten395 = B1(cnul, cMW2_reg, cMW2_reg)
    Ten394 = B0(cnul, cMW2_reg, cMW2_reg)
    Ten397 = B00(cnul, cMW2_reg, cMW2_reg)
    Ten396 = B11(cnul, cMW2_reg, cMW2_reg)
    Ten399 = B1(cnul, cMM2_reg, cMM2_reg)
    Ten398 = B1(cnul, cME2_reg, cME2_reg)
    Ten430 = B0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten431 = B0(rMZ2, cMU2_reg, cMU2_reg)
    Ten432 = B0(rMZ2, cMC2_reg, cMC2_reg)
    Ten433 = B0(rMZ2, cMT2_reg, cMT2_reg)
    Ten434 = B0(rMZ2, cMD2_reg, cMD2_reg)
    Ten435 = B0(rMZ2, cMS2_reg, cMS2_reg)
    Ten436 = B0(rMZ2, cMB2_reg, cMB2_reg)
    Ten437 = B1(rMZ2, cMW2_reg, cMW2_reg)
    Ten438 = B00(rMZ2, cMW2_reg, cMW2_reg)
    Ten439 = B11(rMZ2, cMW2_reg, cMW2_reg)
    Ten206 = DB1(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten471 = B11(rMZ2, cnul, cnul)
    Ten3 = A0(cME2_reg)
    Ten2 = A0(cMW2_reg)
    Ten531 = DB0(rMW2, cMZ2_reg, cMW2_reg)
    Ten508 = B00(rMW2, cMHP2_reg, cMHP2_reg)
    Ten509 = B11(rMW2, cnul, cME2_reg)
    Ten530 = DB0(rMW2, cMW2_reg, cMH12_reg)
    Ten504 = B00(rMW2, cMZ2_reg, cMW2_reg)
    Ten505 = B00(rMW2, cMU2_reg, cMD2_reg)
    Ten506 = B00(rMW2, cMC2_reg, cMS2_reg)
    Ten507 = B00(rMW2, cMT2_reg, cMB2_reg)
    Ten500 = B00(rMW2, cMW2_reg, cMH12_reg)
    Ten501 = B00(rMW2, cnul, cME2_reg)
    Ten502 = B00(rMW2, cnul, cMM2_reg)
    Ten503 = B00(rMW2, cnul, cMTA2_reg)
    Ten1 = A0(cMZ2_reg)
    Ten80 = DB1(rMH12, cMTA2_reg, cMTA2_reg)
    Ten19 = B0(rMH12, cMTA2_reg, cMTA2_reg)
    Ten18 = B0(rMH12, cMM2_reg, cMM2_reg)
    Ten17 = B0(rMH12, cME2_reg, cME2_reg)
    Ten16 = B0(rMH12, cMHP2_reg, cMHP2_reg)
    Ten15 = B0(rMH12, cMH12_reg, cMH12_reg)
    Ten14 = B0(rMH12, cMW2_reg, cMW2_reg)
    Ten13 = B0(rMH12, cMZ2_reg, cMZ2_reg)
    Ten12 = A0(cMHP2_reg)
    Ten11 = A0(cMB2_reg)
    Ten10 = A0(cMS2_reg)
    Ten539 = B00(cnul, cMU2_reg, cMD2_reg)
    Ten83 = DB1(rMH12, cMT2_reg, cMT2_reg)
    Ten538 = B00(cnul, cMZ2_reg, cMW2_reg)
    Ten113 = B1(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten85 = DB1(rMH12, cMS2_reg, cMS2_reg)
    Ten203 = DB0(cMD2_reg, cnul, cMD2_reg)
    Ten202 = DB0(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten201 = B0(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten200 = B1(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten207 = DB1(cMD2_reg, cnul, cMD2_reg)
    Ten86 = DB1(rMH12, cMB2_reg, cMB2_reg)
    Ten205 = DB0(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten204 = DB0(cMD2_reg, cMZ2_reg, cMD2_reg)
    Ten209 = DB1(cMD2_reg, cMW2_reg, cMU2_reg)
    Ten87 = DB00(rMH12, cME2_reg, cME2_reg)
    Ten88 = DB00(rMH12, cMM2_reg, cMM2_reg)
    Ten89 = DB00(rMH12, cMTA2_reg, cMTA2_reg)
    Ten528 = DB0(rMW2, cMC2_reg, cMS2_reg)
    Ten9 = A0(cMD2_reg)
    Ten117 = B11(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten81 = DB1(rMH12, cMU2_reg, cMU2_reg)
    Ten115 = B00(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten114 = B1(rMHP2, cMW2_reg, cMHP2_reg)
    Ten298 = B0(rMT2, cnul, cMT2_reg)
    Ten112 = B0(rMHP2, cMH12_reg, cMHP2_reg)
    Ten111 = B0(rMHP2, cMW2_reg, cMHP2_reg)
    Ten110 = B0(rMHP2, cMZ2_reg, cMHP2_reg)
    Ten294 = DB1(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten295 = DB1(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten296 = B0(cnul, cMW2_reg, cMT2_reg)
    Ten297 = B1(cnul, cMW2_reg, cMT2_reg)
    Ten290 = DB0(cMB2_reg, cMZ2_reg, cMB2_reg)
    Ten291 = DB0(cMB2_reg, cMW2_reg, cMT2_reg)
    Ten292 = DB1(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten293 = DB1(cMB2_reg, cnul, cMB2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
