!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:0))
    call av(800, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_260])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_64])

    allocate(vertices(804)%branch(0:0))
    call av(804, 0, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_494, nGC_79])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_80, nGC_80])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_462, nGC_71])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_518, nGC_44, nGC_518])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_2])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_89, nGC_89])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 1, 1, 0, FaFS1, 0, [0, 1], [nGC_78])

    allocate(vertices(812)%branch(0:0))
    call av(812, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_244])

    allocate(vertices(816)%branch(0:0))
    call av(816, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_91, nGC_91])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_22, nGC_468, nGC_22])

    allocate(vertices(818)%branch(0:0))
    call av(818, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_66, nGC_84])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_452, nGC_88])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_70, nGC_70])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_78])

    allocate(vertices(827)%branch(0:1))
    call av(827, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(827, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_89, nGC_89])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_772])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_89, nGC_89])

    allocate(vertices(833)%branch(0:0))
    call av(833, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(836)%branch(0:0))
    call av(836, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_75])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_75])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_32])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(844)%branch(0:1))
    call av(844, 0, 32, 4, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(844, 1, 33, 5, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_494, nGC_79])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(847)%branch(0:1))
    call av(847, 0, 36, 4, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(847, 1, 37, 5, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_45])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_24])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_24])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_46])

    allocate(vertices(855)%branch(0:0))
    call av(855, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_866])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_244])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_388])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_63])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_40])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_260])

    allocate(vertices(863)%branch(0:0))
    call av(863, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_244])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_45])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_53])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_494, nGC_79])

    allocate(vertices(870)%branch(0:0))
    call av(870, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_34])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_276])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_48])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_58])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_7])

    allocate(vertices(875)%branch(0:0))
    call av(875, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_84, nGC_66])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_518, nGC_44, nGC_518])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_39])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(881)%branch(0:0))
    call av(881, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_60])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_788])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_388])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_84, nGC_66])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_260])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_788])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_52])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 1, 1, 0, FaSF1, 0, [0, 1], [nGC_78])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_518, nGC_518, nGC_44])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_9, nGC_272])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_46])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_63])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_90, nGC_72])

    allocate(vertices(899)%branch(0:0))
    call av(899, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_87])

    allocate(vertices(902)%branch(0:0))
    call av(902, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_77, nGC_77])

    allocate(vertices(905)%branch(0:0))
    call av(905, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_788])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_90, nGC_72])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_2])

    allocate(vertices(910)%branch(0:0))
    call av(910, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_39])

    allocate(vertices(912)%branch(0:1))
    call av(912, 0, 11, 4, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    call av(912, 1, 12, 5, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(913)%branch(0:0))
    call av(913, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(915)%branch(0:1))
    call av(915, 0, 34, 4, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(915, 1, 35, 5, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_788])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_772])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_57])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(924)%branch(0:0))
    call av(924, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_1168, nGC_73])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_78])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_41])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_64])

    allocate(vertices(931)%branch(0:0))
    call av(931, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_34])

    allocate(vertices(932)%branch(0:5))
    call av(932, 0, 4, 6, 0, VVVV0, 0, [2, 0], [nGC_16, nGC_16, nGC_670])

    call av(932, 1, 5, 6, 0, VVVV0, 0, [2, 0], [nGC_16, nGC_16, nGC_670])

    call av(932, 2, 6, 7, 0, VVVV0, 0, [2, 0], [nGC_660, nGC_658, nGC_658])

    call av(932, 3, 7, 7, 0, VVVV0, 0, [2, 0], [nGC_658, nGC_660, nGC_658])

    call av(932, 4, 8, 7, 0, VVVV0, 0, [2, 0], [nGC_660, nGC_658, nGC_658])

    call av(932, 5, 9, 7, 0, VVVV0, 0, [2, 0], [nGC_658, nGC_660, nGC_658])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(935)%branch(0:0))
    call av(935, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_34])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_260])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 1, 1, 0, FaSF1, 0, [0, 1], [nGC_87])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(944)%branch(0:0))
    call av(944, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_78])

    allocate(vertices(945)%branch(0:1))
    call av(945, 0, 36, 4, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(945, 1, 37, 5, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_64])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_41])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(950)%branch(0:0))
    call av(950, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_260])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(952)%branch(0:0))
    call av(952, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(953)%branch(0:0))
    call av(953, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_18])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_9, nGC_272])

    allocate(vertices(956)%branch(0:0))
    call av(956, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_59])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_53])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_38])

    allocate(vertices(960)%branch(0:0))
    call av(960, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_77, nGC_77])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_51])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_25])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_53])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_75])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(970)%branch(0:0))
    call av(970, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(971)%branch(0:0))
    call av(971, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_388])

    allocate(vertices(974)%branch(0:0))
    call av(974, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_43])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_644, nGC_76])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_37])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(979)%branch(0:0))
    call av(979, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_558, nGC_82])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_34])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_69, nGC_81])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_89, nGC_89])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_260])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_272, nGC_9, nGC_9])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(990)%branch(0:0))
    call av(990, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_260])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_260])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_39])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_518, nGC_518])

    allocate(vertices(1001)%branch(0:0))
    call av(1001, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(1002)%branch(0:0))
    call av(1002, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1003)%branch(0:0))
    call av(1003, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1004)%branch(0:0))
    call av(1004, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_788])

    allocate(vertices(1005)%branch(0:0))
    call av(1005, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_70, nGC_70])

    allocate(vertices(1006)%branch(0:0))
    call av(1006, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1007)%branch(0:0))
    call av(1007, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_30])

    allocate(vertices(1008)%branch(0:0))
    call av(1008, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_578, nGC_86])

    allocate(vertices(1009)%branch(0:0))
    call av(1009, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1010)%branch(0:0))
    call av(1010, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1011)%branch(0:0))
    call av(1011, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_91, nGC_91])

    allocate(vertices(1012)%branch(0:1))
    call av(1012, 0, 11, 4, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    call av(1012, 1, 12, 5, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1013)%branch(0:0))
    call av(1013, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_788])

    allocate(vertices(1014)%branch(0:0))
    call av(1014, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_518, nGC_518])

    allocate(vertices(1015)%branch(0:0))
    call av(1015, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_52])

    allocate(vertices(1016)%branch(0:0))
    call av(1016, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1017)%branch(0:0))
    call av(1017, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1018)%branch(0:0))
    call av(1018, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_59])

    allocate(vertices(1019)%branch(0:0))
    call av(1019, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1020)%branch(0:0))
    call av(1020, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_41])

    allocate(vertices(1021)%branch(0:0))
    call av(1021, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_31])

    allocate(vertices(1022)%branch(0:0))
    call av(1022, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1023)%branch(0:0))
    call av(1023, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1024)%branch(0:0))
    call av(1024, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1025)%branch(0:0))
    call av(1025, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_59])

    allocate(vertices(1026)%branch(0:0))
    call av(1026, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_388])

    allocate(vertices(1027)%branch(0:0))
    call av(1027, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1028)%branch(0:0))
    call av(1028, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1029)%branch(0:0))
    call av(1029, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_63])

    allocate(vertices(1030)%branch(0:0))
    call av(1030, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(1031)%branch(0:0))
    call av(1031, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(1032)%branch(0:0))
    call av(1032, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1033)%branch(0:0))
    call av(1033, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1034)%branch(0:0))
    call av(1034, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1035)%branch(0:0))
    call av(1035, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1036)%branch(0:1))
    call av(1036, 0, 40, 4, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    call av(1036, 1, 41, 5, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1037)%branch(0:0))
    call av(1037, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(1038)%branch(0:0))
    call av(1038, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1039)%branch(0:0))
    call av(1039, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_388])

    allocate(vertices(1040)%branch(0:0))
    call av(1040, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_61])

    allocate(vertices(1041)%branch(0:0))
    call av(1041, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1042)%branch(0:0))
    call av(1042, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1043)%branch(0:0))
    call av(1043, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1044)%branch(0:0))
    call av(1044, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(1045)%branch(0:0))
    call av(1045, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1046)%branch(0:0))
    call av(1046, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_32])

    allocate(vertices(1047)%branch(0:0))
    call av(1047, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1048)%branch(0:0))
    call av(1048, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(1049)%branch(0:0))
    call av(1049, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1050)%branch(0:0))
    call av(1050, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1051)%branch(0:0))
    call av(1051, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_29])

    allocate(vertices(1052)%branch(0:0))
    call av(1052, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1053)%branch(0:0))
    call av(1053, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(1054)%branch(0:0))
    call av(1054, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1055)%branch(0:0))
    call av(1055, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1056)%branch(0:0))
    call av(1056, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_290])

    allocate(vertices(1057)%branch(0:0))
    call av(1057, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_566])

    allocate(vertices(1058)%branch(0:0))
    call av(1058, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_244])

    allocate(vertices(1059)%branch(0:0))
    call av(1059, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1060)%branch(0:1))
    call av(1060, 0, 34, 4, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1060, 1, 35, 5, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1061)%branch(0:0))
    call av(1061, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_87])

    allocate(vertices(1062)%branch(0:0))
    call av(1062, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_69, nGC_81])

    allocate(vertices(1063)%branch(0:0))
    call av(1063, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_81, nGC_69])

    allocate(vertices(1064)%branch(0:0))
    call av(1064, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1065)%branch(0:0))
    call av(1065, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(1066)%branch(0:0))
    call av(1066, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1067)%branch(0:0))
    call av(1067, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_53])

    allocate(vertices(1068)%branch(0:0))
    call av(1068, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1069)%branch(0:0))
    call av(1069, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(1070)%branch(0:0))
    call av(1070, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_41])

    allocate(vertices(1071)%branch(0:0))
    call av(1071, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_55])

    allocate(vertices(1072)%branch(0:0))
    call av(1072, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1073)%branch(0:0))
    call av(1073, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1074)%branch(0:0))
    call av(1074, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_34])

    allocate(vertices(1075)%branch(0:0))
    call av(1075, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1076)%branch(0:0))
    call av(1076, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_61])

    allocate(vertices(1077)%branch(0:0))
    call av(1077, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1078)%branch(0:0))
    call av(1078, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_87])

    allocate(vertices(1079)%branch(0:0))
    call av(1079, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1080)%branch(0:0))
    call av(1080, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1081)%branch(0:0))
    call av(1081, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1082)%branch(0:0))
    call av(1082, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(1083)%branch(0:0))
    call av(1083, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_772])

    allocate(vertices(1084)%branch(0:0))
    call av(1084, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_74, nGC_74])

    allocate(vertices(1085)%branch(0:0))
    call av(1085, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1086)%branch(0:0))
    call av(1086, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_69, nGC_81])

    allocate(vertices(1087)%branch(0:0))
    call av(1087, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_866])

    allocate(vertices(1088)%branch(0:1))
    call av(1088, 0, 28, 2, 0, VUUa0, 0, [1, 0], [nGC_426])

    call av(1088, 1, 29, 3, 0, VUUa0, 0, [1, 0], [nGC_426])

    allocate(vertices(1089)%branch(0:0))
    call av(1089, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_39])

    allocate(vertices(1090)%branch(0:0))
    call av(1090, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_56])

    allocate(vertices(1091)%branch(0:0))
    call av(1091, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1092)%branch(0:0))
    call av(1092, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_33])

    allocate(vertices(1093)%branch(0:0))
    call av(1093, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_41])

    allocate(vertices(1094)%branch(0:1))
    call av(1094, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1094, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1095)%branch(0:0))
    call av(1095, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1096)%branch(0:0))
    call av(1096, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_260])

    allocate(vertices(1097)%branch(0:0))
    call av(1097, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_48])

    allocate(vertices(1098)%branch(0:0))
    call av(1098, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_3])

    allocate(vertices(1099)%branch(0:0))
    call av(1099, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_1168, nGC_73])

    allocate(vertices(1100)%branch(0:0))
    call av(1100, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1101)%branch(0:0))
    call av(1101, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1102)%branch(0:0))
    call av(1102, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(1103)%branch(0:0))
    call av(1103, 0, 1, 1, 0, FaFS1, 0, [0, 1], [nGC_75])

    allocate(vertices(1104)%branch(0:0))
    call av(1104, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1105)%branch(0:0))
    call av(1105, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_34])

    allocate(vertices(1106)%branch(0:1))
    call av(1106, 0, 26, 2, 0, UaVU0, 0, [1, 0], [nGC_426])

    call av(1106, 1, 27, 3, 0, UaVU0, 0, [1, 0], [nGC_426])

    allocate(vertices(1107)%branch(0:0))
    call av(1107, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_24])

    allocate(vertices(1108)%branch(0:0))
    call av(1108, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_78])

    allocate(vertices(1109)%branch(0:0))
    call av(1109, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1110)%branch(0:0))
    call av(1110, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1111)%branch(0:0))
    call av(1111, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(1112)%branch(0:0))
    call av(1112, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_55])

    allocate(vertices(1113)%branch(0:0))
    call av(1113, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1114)%branch(0:0))
    call av(1114, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_55])

    allocate(vertices(1115)%branch(0:0))
    call av(1115, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_70, nGC_70])

    allocate(vertices(1116)%branch(0:0))
    call av(1116, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_244])

    allocate(vertices(1117)%branch(0:0))
    call av(1117, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_772])

    allocate(vertices(1118)%branch(0:0))
    call av(1118, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_272, nGC_9])

    allocate(vertices(1119)%branch(0:0))
    call av(1119, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1120)%branch(0:0))
    call av(1120, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_388])

    allocate(vertices(1121)%branch(0:0))
    call av(1121, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_644, nGC_76])

    allocate(vertices(1122)%branch(0:0))
    call av(1122, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_400, nGC_92])

    allocate(vertices(1123)%branch(0:0))
    call av(1123, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_39])

    allocate(vertices(1124)%branch(0:0))
    call av(1124, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_260])

    allocate(vertices(1125)%branch(0:0))
    call av(1125, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1126)%branch(0:0))
    call av(1126, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_4])

    allocate(vertices(1127)%branch(0:0))
    call av(1127, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1128)%branch(0:0))
    call av(1128, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(1129)%branch(0:0))
    call av(1129, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_85, nGC_85])

    allocate(vertices(1130)%branch(0:0))
    call av(1130, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(1131)%branch(0:0))
    call av(1131, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1132)%branch(0:0))
    call av(1132, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(1133)%branch(0:0))
    call av(1133, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1134)%branch(0:0))
    call av(1134, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1135)%branch(0:0))
    call av(1135, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_64])

    allocate(vertices(1136)%branch(0:0))
    call av(1136, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(1137)%branch(0:0))
    call av(1137, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1138)%branch(0:0))
    call av(1138, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_286, nGC_27])

    allocate(vertices(1139)%branch(0:0))
    call av(1139, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_75])

    allocate(vertices(1140)%branch(0:0))
    call av(1140, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1141)%branch(0:0))
    call av(1141, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1142)%branch(0:0))
    call av(1142, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1143)%branch(0:0))
    call av(1143, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1144)%branch(0:0))
    call av(1144, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1145)%branch(0:0))
    call av(1145, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1146)%branch(0:0))
    call av(1146, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_27, nGC_286])

    allocate(vertices(1147)%branch(0:0))
    call av(1147, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_272, nGC_9, nGC_9])

    allocate(vertices(1148)%branch(0:0))
    call av(1148, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1149)%branch(0:0))
    call av(1149, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1150)%branch(0:0))
    call av(1150, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_25])

    allocate(vertices(1151)%branch(0:0))
    call av(1151, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(1152)%branch(0:0))
    call av(1152, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_788])

    allocate(vertices(1153)%branch(0:0))
    call av(1153, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_462, nGC_71])

    allocate(vertices(1154)%branch(0:0))
    call av(1154, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_24])

    allocate(vertices(1155)%branch(0:0))
    call av(1155, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_244])

    allocate(vertices(1156)%branch(0:0))
    call av(1156, 0, 1, 1, 0, FFaS2, 0, [0, 1], [nGC_75])

    allocate(vertices(1157)%branch(0:0))
    call av(1157, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1158)%branch(0:0))
    call av(1158, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_41])

    allocate(vertices(1159)%branch(0:1))
    call av(1159, 0, 11, 4, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    call av(1159, 1, 12, 5, 0, FFaV1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1160)%branch(0:0))
    call av(1160, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_388])

    allocate(vertices(1161)%branch(0:0))
    call av(1161, 0, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_77, nGC_77])

    allocate(vertices(1162)%branch(0:0))
    call av(1162, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1163)%branch(0:0))
    call av(1163, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1164)%branch(0:0))
    call av(1164, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1165)%branch(0:0))
    call av(1165, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1166)%branch(0:0))
    call av(1166, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(1167)%branch(0:0))
    call av(1167, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_286, nGC_27, nGC_27])

    allocate(vertices(1168)%branch(0:0))
    call av(1168, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(1169)%branch(0:0))
    call av(1169, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1170)%branch(0:0))
    call av(1170, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1171)%branch(0:0))
    call av(1171, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_260])

    allocate(vertices(1172)%branch(0:0))
    call av(1172, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1173)%branch(0:0))
    call av(1173, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_254, nGC_67])

    allocate(vertices(1174)%branch(0:0))
    call av(1174, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_70, nGC_70])

    allocate(vertices(1175)%branch(0:0))
    call av(1175, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_20])

    allocate(vertices(1176)%branch(0:0))
    call av(1176, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_494, nGC_79])

    allocate(vertices(1177)%branch(0:0))
    call av(1177, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1178)%branch(0:0))
    call av(1178, 0, 21, 1, 0, SFaF0, 0, [0, 1], [nGC_91, nGC_91])

    allocate(vertices(1179)%branch(0:0))
    call av(1179, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1180)%branch(0:0))
    call av(1180, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_708])

    allocate(vertices(1181)%branch(0:0))
    call av(1181, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(1182)%branch(0:0))
    call av(1182, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1183)%branch(0:1))
    call av(1183, 0, 36, 4, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1183, 1, 37, 5, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1184)%branch(0:0))
    call av(1184, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_452, nGC_88])

    allocate(vertices(1185)%branch(0:0))
    call av(1185, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1186)%branch(0:0))
    call av(1186, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_78])

    allocate(vertices(1187)%branch(0:0))
    call av(1187, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_34])

    allocate(vertices(1188)%branch(0:0))
    call av(1188, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1189)%branch(0:0))
    call av(1189, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_260])

    allocate(vertices(1190)%branch(0:0))
    call av(1190, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1191)%branch(0:0))
    call av(1191, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(1192)%branch(0:0))
    call av(1192, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_80, nGC_80])

    allocate(vertices(1193)%branch(0:0))
    call av(1193, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_468, nGC_22, nGC_22])

    allocate(vertices(1194)%branch(0:0))
    call av(1194, 0, 19, 1, 0, FaSF0, 0, [0, 1], [nGC_81, nGC_69])

    allocate(vertices(1195)%branch(0:0))
    call av(1195, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1196)%branch(0:0))
    call av(1196, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1197)%branch(0:0))
    call av(1197, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_84, nGC_66])

    allocate(vertices(1198)%branch(0:0))
    call av(1198, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_286, nGC_27, nGC_27])

    allocate(vertices(1199)%branch(0:0))
    call av(1199, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(1200)%branch(0:0))
    call av(1200, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_788])

    allocate(vertices(1201)%branch(0:0))
    call av(1201, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1202)%branch(0:0))
    call av(1202, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_55])

    allocate(vertices(1203)%branch(0:0))
    call av(1203, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1204)%branch(0:0))
    call av(1204, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_866])

    allocate(vertices(1205)%branch(0:0))
    call av(1205, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(1206)%branch(0:0))
    call av(1206, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_452, nGC_88])

    allocate(vertices(1207)%branch(0:0))
    call av(1207, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(1208)%branch(0:0))
    call av(1208, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1209)%branch(0:0))
    call av(1209, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_7])

    allocate(vertices(1210)%branch(0:0))
    call av(1210, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1211)%branch(0:0))
    call av(1211, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1212)%branch(0:0))
    call av(1212, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_60])

    allocate(vertices(1213)%branch(0:0))
    call av(1213, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_788])

    allocate(vertices(1214)%branch(0:0))
    call av(1214, 0, 1, 1, 0, SFFa1, 0, [0, 1], [nGC_78])

    allocate(vertices(1215)%branch(0:0))
    call av(1215, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1216)%branch(0:0))
    call av(1216, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1217)%branch(0:0))
    call av(1217, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_566])

    allocate(vertices(1218)%branch(0:0))
    call av(1218, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_53])

    allocate(vertices(1219)%branch(0:0))
    call av(1219, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1220)%branch(0:0))
    call av(1220, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1221)%branch(0:0))
    call av(1221, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_61])

    allocate(vertices(1222)%branch(0:0))
    call av(1222, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_41])

    allocate(vertices(1223)%branch(0:0))
    call av(1223, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1224)%branch(0:0))
    call av(1224, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_244])

    allocate(vertices(1225)%branch(0:0))
    call av(1225, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_260])

    allocate(vertices(1226)%branch(0:0))
    call av(1226, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1227)%branch(0:0))
    call av(1227, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_53])

    allocate(vertices(1228)%branch(0:0))
    call av(1228, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1229)%branch(0:0))
    call av(1229, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_18])

    allocate(vertices(1230)%branch(0:0))
    call av(1230, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(1231)%branch(0:0))
    call av(1231, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(1232)%branch(0:0))
    call av(1232, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_388])

    allocate(vertices(1233)%branch(0:0))
    call av(1233, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_286, nGC_27])

    allocate(vertices(1234)%branch(0:0))
    call av(1234, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1235)%branch(0:0))
    call av(1235, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1236)%branch(0:0))
    call av(1236, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(1237)%branch(0:0))
    call av(1237, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_772])

    allocate(vertices(1238)%branch(0:0))
    call av(1238, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_78])

    allocate(vertices(1239)%branch(0:0))
    call av(1239, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1240)%branch(0:0))
    call av(1240, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_388])

    allocate(vertices(1241)%branch(0:0))
    call av(1241, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1242)%branch(0:0))
    call av(1242, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_8])

    allocate(vertices(1243)%branch(0:1))
    call av(1243, 0, 34, 4, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1243, 1, 35, 5, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1244)%branch(0:0))
    call av(1244, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1245)%branch(0:0))
    call av(1245, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(1246)%branch(0:0))
    call av(1246, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1247)%branch(0:0))
    call av(1247, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_244])

    allocate(vertices(1248)%branch(0:0))
    call av(1248, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_788])

    allocate(vertices(1249)%branch(0:0))
    call av(1249, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(1250)%branch(0:0))
    call av(1250, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1251)%branch(0:0))
    call av(1251, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(1252)%branch(0:0))
    call av(1252, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1253)%branch(0:0))
    call av(1253, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_55])

    allocate(vertices(1254)%branch(0:0))
    call av(1254, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_2])

    allocate(vertices(1255)%branch(0:0))
    call av(1255, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_2])

    allocate(vertices(1256)%branch(0:0))
    call av(1256, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1257)%branch(0:0))
    call av(1257, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_24])

    allocate(vertices(1258)%branch(0:0))
    call av(1258, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(1259)%branch(0:0))
    call av(1259, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_47])

    allocate(vertices(1260)%branch(0:0))
    call av(1260, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1261)%branch(0:0))
    call av(1261, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_788])

    allocate(vertices(1262)%branch(0:0))
    call av(1262, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_518, nGC_518])

    allocate(vertices(1263)%branch(0:0))
    call av(1263, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(1264)%branch(0:1))
    call av(1264, 0, 32, 4, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1264, 1, 33, 5, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1265)%branch(0:1))
    call av(1265, 0, 2, 2, 0, UaUV0, 0, [1, 0], [nGC_426])

    call av(1265, 1, 3, 3, 0, UaUV0, 0, [1, 0], [nGC_426])

    allocate(vertices(1266)%branch(0:0))
    call av(1266, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1267)%branch(0:0))
    call av(1267, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1268)%branch(0:0))
    call av(1268, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1269)%branch(0:0))
    call av(1269, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_644, nGC_76])

    allocate(vertices(1270)%branch(0:0))
    call av(1270, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_286, nGC_27])

    allocate(vertices(1271)%branch(0:0))
    call av(1271, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1272)%branch(0:0))
    call av(1272, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1273)%branch(0:0))
    call av(1273, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1274)%branch(0:0))
    call av(1274, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(1275)%branch(0:0))
    call av(1275, 0, 1, 1, 0, FSFa0, 0, [0, 1], [nGC_644, nGC_76])

    allocate(vertices(1276)%branch(0:0))
    call av(1276, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1277)%branch(0:0))
    call av(1277, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_30])

    allocate(vertices(1278)%branch(0:0))
    call av(1278, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1279)%branch(0:0))
    call av(1279, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1280)%branch(0:0))
    call av(1280, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(1281)%branch(0:0))
    call av(1281, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_85, nGC_85])

    allocate(vertices(1282)%branch(0:0))
    call av(1282, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_64])

    allocate(vertices(1283)%branch(0:0))
    call av(1283, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1284)%branch(0:0))
    call av(1284, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(1285)%branch(0:0))
    call av(1285, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(1286)%branch(0:0))
    call av(1286, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_18])

    allocate(vertices(1287)%branch(0:0))
    call av(1287, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_61])

    allocate(vertices(1288)%branch(0:0))
    call av(1288, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1289)%branch(0:0))
    call av(1289, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1290)%branch(0:0))
    call av(1290, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_244])

    allocate(vertices(1291)%branch(0:0))
    call av(1291, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_68, nGC_68])

    allocate(vertices(1292)%branch(0:0))
    call av(1292, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1293)%branch(0:0))
    call av(1293, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1294)%branch(0:0))
    call av(1294, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_314, nGC_316])

    allocate(vertices(1295)%branch(0:0))
    call av(1295, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(1296)%branch(0:0))
    call av(1296, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(1297)%branch(0:0))
    call av(1297, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_272, nGC_9])

    allocate(vertices(1298)%branch(0:0))
    call av(1298, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_48])

    allocate(vertices(1299)%branch(0:0))
    call av(1299, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(1300)%branch(0:0))
    call av(1300, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_46])

    allocate(vertices(1301)%branch(0:0))
    call av(1301, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1302)%branch(0:0))
    call av(1302, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1303)%branch(0:0))
    call av(1303, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(1304)%branch(0:0))
    call av(1304, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1305)%branch(0:0))
    call av(1305, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_34])

    allocate(vertices(1306)%branch(0:0))
    call av(1306, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1307)%branch(0:0))
    call av(1307, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_788])

    allocate(vertices(1308)%branch(0:0))
    call av(1308, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_388])

    allocate(vertices(1309)%branch(0:0))
    call av(1309, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(1310)%branch(0:0))
    call av(1310, 0, 1, 1, 0, FFaS0, 0, [0, 1], [nGC_77, nGC_77])

    allocate(vertices(1311)%branch(0:0))
    call av(1311, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_290])

    allocate(vertices(1312)%branch(0:0))
    call av(1312, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1313)%branch(0:1))
    call av(1313, 0, 40, 4, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    call av(1313, 1, 41, 5, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1314)%branch(0:0))
    call av(1314, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_45])

    allocate(vertices(1315)%branch(0:0))
    call av(1315, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1316)%branch(0:0))
    call av(1316, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(1317)%branch(0:0))
    call av(1317, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_70, nGC_70])

    allocate(vertices(1318)%branch(0:0))
    call av(1318, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_244])

    allocate(vertices(1319)%branch(0:0))
    call av(1319, 0, 20, 1, 0, SFFa2, 0, [0, 1], [nGC_558, nGC_82])

    allocate(vertices(1320)%branch(0:0))
    call av(1320, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_20])

    allocate(vertices(1321)%branch(0:0))
    call av(1321, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1322)%branch(0:0))
    call av(1322, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1323)%branch(0:0))
    call av(1323, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(1324)%branch(0:0))
    call av(1324, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_75])

    allocate(vertices(1325)%branch(0:0))
    call av(1325, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(1326)%branch(0:0))
    call av(1326, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_40])

    allocate(vertices(1327)%branch(0:0))
    call av(1327, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1328)%branch(0:0))
    call av(1328, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_244])

    allocate(vertices(1329)%branch(0:0))
    call av(1329, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_62])

    allocate(vertices(1330)%branch(0:1))
    call av(1330, 0, 32, 4, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1330, 1, 33, 5, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1331)%branch(0:0))
    call av(1331, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_244])

    allocate(vertices(1332)%branch(0:0))
    call av(1332, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_39])

    allocate(vertices(1333)%branch(0:0))
    call av(1333, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_48])

    allocate(vertices(1334)%branch(0:0))
    call av(1334, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_558, nGC_82])

    allocate(vertices(1335)%branch(0:0))
    call av(1335, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1336)%branch(0:0))
    call av(1336, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_20])

    allocate(vertices(1337)%branch(0:0))
    call av(1337, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(1338)%branch(0:0))
    call av(1338, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_61])

    allocate(vertices(1339)%branch(0:0))
    call av(1339, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_34])

    allocate(vertices(1340)%branch(0:0))
    call av(1340, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1341)%branch(0:0))
    call av(1341, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(1342)%branch(0:0))
    call av(1342, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1343)%branch(0:0))
    call av(1343, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_708])

    allocate(vertices(1344)%branch(0:0))
    call av(1344, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1345)%branch(0:1))
    call av(1345, 0, 40, 4, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    call av(1345, 1, 41, 5, 0, VFaF1, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1346)%branch(0:0))
    call av(1346, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1347)%branch(0:0))
    call av(1347, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1348)%branch(0:0))
    call av(1348, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1349)%branch(0:0))
    call av(1349, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_494, nGC_79])

    allocate(vertices(1350)%branch(0:0))
    call av(1350, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(1351)%branch(0:0))
    call av(1351, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_734, nGC_736])

    allocate(vertices(1352)%branch(0:0))
    call av(1352, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(1353)%branch(0:0))
    call av(1353, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_41])

    allocate(vertices(1354)%branch(0:0))
    call av(1354, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1355)%branch(0:0))
    call av(1355, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1356)%branch(0:0))
    call av(1356, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_77, nGC_77])

    allocate(vertices(1357)%branch(0:0))
    call av(1357, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_40])

    allocate(vertices(1358)%branch(0:0))
    call av(1358, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(1359)%branch(0:0))
    call av(1359, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_260])

    allocate(vertices(1360)%branch(0:0))
    call av(1360, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_1])

    allocate(vertices(1361)%branch(0:1))
    call av(1361, 0, 38, 4, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1361, 1, 39, 5, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1362)%branch(0:0))
    call av(1362, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_336, nGC_338])

    allocate(vertices(1363)%branch(0:0))
    call av(1363, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_518, nGC_518])

    allocate(vertices(1364)%branch(0:0))
    call av(1364, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(0)%branchCT(0:0))
    call avCT(0, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_6187])

    allocate(vertices(2)%branchCT(0:1))
    call avCT(2, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6195, nGC_6195])

    call avCT(2, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6197, nGC_6197])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(886)%branchCT(0:0))
    call avCT(886, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6204])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(6)%branchCT(0:1))
    call avCT(6, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6222, nGC_6223])

    call avCT(6, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6216, nGC_6218])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_6187])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(11)%branchCT(0:0))
    call avCT(11, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6204])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6251])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(17)%branchCT(0:1))
    call avCT(17, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6261, nGC_6262])

    call avCT(17, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6263, nGC_6264])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(1365)%branchCT(0:0))
    call avCT(1365, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6268])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(26)%branchCT(0:0))
    call avCT(26, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(27)%branchCT(0:1))
    call avCT(27, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6304, nGC_6305])

    call avCT(27, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6297, nGC_6299])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6308, nGC_6308, nGC_6309])

    allocate(vertices(30)%branchCT(0:1))
    call avCT(30, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(30, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6328, nGC_6329])

    call avCT(31, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6330, nGC_6331])

    allocate(vertices(32)%branchCT(0:0))
    call avCT(32, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6335])

    allocate(vertices(33)%branchCT(0:1))
    call avCT(33, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6348, nGC_6349])

    call avCT(33, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6351, nGC_6350])

    allocate(vertices(34)%branchCT(0:1))
    call avCT(34, 0, 22, 2, 0, UUaV0, 0, [3, 0], [nGC_6355])

    call avCT(34, 1, 23, 3, 0, UUaV0, 0, [3, 0], [nGC_6355])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6361])

    allocate(vertices(1366)%branchCT(0:0))
    call avCT(1366, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6363])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(39)%branchCT(0:1))
    call avCT(39, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6374, nGC_6374])

    call avCT(39, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6376, nGC_6376])

    allocate(vertices(1367)%branchCT(0:0))
    call avCT(1367, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_6382, nGC_6377, nGC_6381])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6385])

    allocate(vertices(41)%branchCT(0:1))
    call avCT(41, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6393, nGC_6393])

    call avCT(41, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6395, nGC_6395])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6398])

    allocate(vertices(43)%branchCT(0:1))
    call avCT(43, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6410, nGC_6409])

    call avCT(43, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6412, nGC_6413])

    allocate(vertices(1368)%branchCT(0:0))
    call avCT(1368, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_6414, nGC_6415, nGC_6414 &
    , nGC_6415, nGC_6416])

    allocate(vertices(44)%branchCT(0:1))
    call avCT(44, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6426, nGC_6425])

    call avCT(44, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6428, nGC_6427])

    allocate(vertices(1369)%branchCT(0:0))
    call avCT(1369, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6363])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6437, nGC_6438])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4534])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6447])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6450])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(53)%branchCT(0:0))
    call avCT(53, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6385])

    allocate(vertices(1370)%branchCT(0:0))
    call avCT(1370, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_6459, nGC_6455, nGC_6461&
    , nGC_6461])

    allocate(vertices(55)%branchCT(0:1))
    call avCT(55, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(55, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(56)%branchCT(0:0))
    call avCT(56, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_6489, nGC_6490])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4538])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(60)%branchCT(0:3))
    call avCT(60, 0, 32, 4, 0, FVFa0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(60, 1, 32, 4, 0, FVFa0, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(60, 2, 33, 5, 0, FVFa0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(60, 3, 33, 5, 0, FVFa0, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(1012)%branchCT(0:3))
    call avCT(1012, 0, 11, 4, 0, FFaV1, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(1012, 1, 11, 4, 0, FFaV1, 0, [3, 0], [nGC_6519, nGC_6520])

    call avCT(1012, 2, 12, 5, 0, FFaV1, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(1012, 3, 12, 5, 0, FFaV1, 0, [3, 0], [nGC_6519, nGC_6520])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4541])

    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(64)%branchCT(0:1))
    call avCT(64, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6318, nGC_6319])

    call avCT(64, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6320, nGC_6321])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(66)%branchCT(0:1))
    call avCT(66, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6553, nGC_6554])

    call avCT(66, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6555, nGC_6556])

    allocate(vertices(1371)%branchCT(0:0))
    call avCT(1371, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_6557])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6572])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(73)%branchCT(0:0))
    call avCT(73, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(76)%branchCT(0:3))
    call avCT(76, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(76, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_6594, nGC_6595])

    call avCT(76, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(76, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_6594, nGC_6595])

    allocate(vertices(77)%branchCT(0:1))
    call avCT(77, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6609, nGC_6609])

    call avCT(77, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6611, nGC_6611])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6618])

    allocate(vertices(80)%branchCT(0:0))
    call avCT(80, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(81)%branchCT(0:3))
    call avCT(81, 0, 32, 4, 0, FVFa0, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(81, 1, 32, 4, 0, FVFa0, 0, [3, 0], [nGC_6627, nGC_6628])

    call avCT(81, 2, 33, 5, 0, FVFa0, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(81, 3, 33, 5, 0, FVFa0, 0, [3, 0], [nGC_6627, nGC_6628])

    allocate(vertices(82)%branchCT(0:0))
    call avCT(82, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6640])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(540)%branchCT(0:1))
    call avCT(540, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6653, nGC_6654])

    call avCT(540, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6645, nGC_6647])

    allocate(vertices(547)%branchCT(0:0))
    call avCT(547, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6660])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(89)%branchCT(0:0))
    call avCT(89, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(1351)%branchCT(0:0))
    call avCT(1351, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_6679, nGC_6680])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6477, nGC_6476, nGC_6476])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(1318)%branchCT(0:0))
    call avCT(1318, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6361])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(95)%branchCT(0:0))
    call avCT(95, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_6709, nGC_6710])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(98)%branchCT(0:1))
    call avCT(98, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(98, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(101)%branchCT(0:1))
    call avCT(101, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_6736, nGC_6737])

    call avCT(101, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_6734, nGC_6730])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6447])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6748])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(107)%branchCT(0:1))
    call avCT(107, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_6348, nGC_6349])

    call avCT(107, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_6351, nGC_6350])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6204])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(714)%branchCT(0:0))
    call avCT(714, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6775])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(114)%branchCT(0:0))
    call avCT(114, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6784])

    allocate(vertices(115)%branchCT(0:0))
    call avCT(115, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(1372)%branchCT(0:0))
    call avCT(1372, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(116)%branchCT(0:1))
    call avCT(116, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6395, nGC_6395])

    call avCT(116, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6393, nGC_6393])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6799])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_6679, nGC_6680])

    allocate(vertices(119)%branchCT(0:1))
    call avCT(119, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_6821, nGC_6822])

    call avCT(119, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_6824, nGC_6823])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6832])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(1373)%branchCT(0:1))
    call avCT(1373, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_6845, nGC_6841, nGC_6848&
    , nGC_6848])

    call avCT(1373, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_6846, nGC_6842, nGC_6849&
    , nGC_6849])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6856])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(128)%branchCT(0:0))
    call avCT(128, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6864])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(130)%branchCT(0:1))
    call avCT(130, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6304, nGC_6305])

    call avCT(130, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6297, nGC_6299])

    allocate(vertices(131)%branchCT(0:0))
    call avCT(131, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6886])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(135)%branchCT(0:0))
    call avCT(135, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(136)%branchCT(0:0))
    call avCT(136, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6447])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(141)%branchCT(0:0))
    call avCT(141, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6361])

    allocate(vertices(1374)%branchCT(0:0))
    call avCT(1374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_6909, nGC_6910])

    allocate(vertices(144)%branchCT(0:1))
    call avCT(144, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(144, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(145)%branchCT(0:1))
    call avCT(145, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(145, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_6936])

    allocate(vertices(1375)%branchCT(0:0))
    call avCT(1375, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_51_H1, nGC_6940])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6943])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6950])

    allocate(vertices(152)%branchCT(0:1))
    call avCT(152, 0, 24, 2, 0, UVUa0, 0, [3, 0], [nGC_6355])

    call avCT(152, 1, 25, 3, 0, UVUa0, 0, [3, 0], [nGC_6355])

    allocate(vertices(1145)%branchCT(0:1))
    call avCT(1145, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_6304, nGC_6305])

    call avCT(1145, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_6297, nGC_6299])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(156)%branchCT(0:0))
    call avCT(156, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6969, nGC_6970])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6977])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6983, nGC_6983])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6986])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6989])

    allocate(vertices(1376)%branchCT(0:1))
    call avCT(1376, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_6999, nGC_6995, nGC_7002&
    , nGC_7002])

    call avCT(1376, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_7000, nGC_6996, nGC_7003&
    , nGC_7003])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_7010])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6943])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(1377)%branchCT(0:0))
    call avCT(1377, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_7027, nGC_7022, nGC_7026])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_7033])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_7036])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6989])

    allocate(vertices(1143)%branchCT(0:0))
    call avCT(1143, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(176)%branchCT(0:1))
    call avCT(176, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7052, nGC_7052])

    call avCT(176, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7054, nGC_7054])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6989])

    allocate(vertices(182)%branchCT(0:1))
    call avCT(182, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_7071, nGC_7072])

    call avCT(182, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_7073, nGC_7074])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_6187])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_7084])

    allocate(vertices(186)%branchCT(0:1))
    call avCT(186, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6393, nGC_6393])

    call avCT(186, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6395, nGC_6395])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(461)%branchCT(0:1))
    call avCT(461, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6328, nGC_6329])

    call avCT(461, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6330, nGC_6331])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7108])

    allocate(vertices(191)%branchCT(0:1))
    call avCT(191, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_7112])

    call avCT(191, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_7111])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(194)%branchCT(0:1))
    call avCT(194, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7112])

    call avCT(194, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7111])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(137)%branchCT(0:3))
    call avCT(137, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(137, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_7132, nGC_7133])

    call avCT(137, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(137, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_7132, nGC_7133])

    allocate(vertices(759)%branchCT(0:0))
    call avCT(759, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(199)%branchCT(0:1))
    call avCT(199, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_7112])

    call avCT(199, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_7111])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4541])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7152])

    allocate(vertices(1378)%branchCT(0:0))
    call avCT(1378, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_7156, nGC_TS_GC_30_H1])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6864])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(1379)%branchCT(0:0))
    call avCT(1379, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6268])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_7175])

    allocate(vertices(210)%branchCT(0:1))
    call avCT(210, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_7182, nGC_7183])

    call avCT(210, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_7184, nGC_7185])

    allocate(vertices(211)%branchCT(0:1))
    call avCT(211, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7189])

    call avCT(211, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7188])

    allocate(vertices(1380)%branchCT(0:0))
    call avCT(1380, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_7195, nGC_7191, nGC_7197&
    , nGC_7197])

    allocate(vertices(1381)%branchCT(0:0))
    call avCT(1381, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6618])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(214)%branchCT(0:1))
    call avCT(214, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_7189])

    call avCT(214, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_7188])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(217)%branchCT(0:1))
    call avCT(217, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6374, nGC_6374])

    call avCT(217, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6376, nGC_6376])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4541])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(220)%branchCT(0:1))
    call avCT(220, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7236, nGC_7237])

    call avCT(220, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7231, nGC_7233])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7152])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(1382)%branchCT(0:0))
    call avCT(1382, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6363])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6989])

  end subroutine fill_vertices_mdl2
end module vertices_info2
