!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6335])

    allocate(vertices(36)%branchCT(0:3))
    call avCT(36, 0, 34, 4, 0, FaFV0, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(36, 1, 34, 4, 0, FaFV0, 0, [3, 0], [nGC_6519, nGC_6520])

    call avCT(36, 2, 35, 5, 0, FaFV0, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(36, 3, 35, 5, 0, FaFV0, 0, [3, 0], [nGC_6519, nGC_6520])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6886])

    allocate(vertices(228)%branchCT(0:1))
    call avCT(228, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7277, nGC_7278])

    call avCT(228, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7280, nGC_7279])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_6437, nGC_6438])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_7298, nGC_7299])

    allocate(vertices(120)%branchCT(0:0))
    call avCT(120, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4534])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7308, nGC_7309, nGC_7308])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_7313])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1383)%branchCT(0:0))
    call avCT(1383, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_7195, nGC_7191, nGC_7197&
    , nGC_7197])

    allocate(vertices(239)%branchCT(0:1))
    call avCT(239, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_7236, nGC_7237])

    call avCT(239, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_7231, nGC_7233])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_7033])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6450])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_7341])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_6983, nGC_6983])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7350, nGC_7350, nGC_7351])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_6936])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6335])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6855])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_7010])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4534])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7372])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6572])

    allocate(vertices(1317)%branchCT(0:1))
    call avCT(1317, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_7052, nGC_7052])

    call avCT(1317, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_7054, nGC_7054])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6983, nGC_6983])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_6679, nGC_6680])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6748])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7152])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6886])

    allocate(vertices(1147)%branchCT(0:0))
    call avCT(1147, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7309, nGC_7308, nGC_7308&
    ])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7152])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(269)%branchCT(0:3))
    call avCT(269, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(269, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_7436, nGC_7437])

    call avCT(269, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(269, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_7436, nGC_7437])

    allocate(vertices(1162)%branchCT(0:0))
    call avCT(1162, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6886])

    allocate(vertices(350)%branchCT(0:1))
    call avCT(350, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7459, nGC_7460])

    call avCT(350, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7457, nGC_7452])

    allocate(vertices(840)%branchCT(0:0))
    call avCT(840, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_6936])

    allocate(vertices(274)%branchCT(0:1))
    call avCT(274, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6553, nGC_6554])

    call avCT(274, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6555, nGC_6556])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(276)%branchCT(0:1))
    call avCT(276, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_6821, nGC_6822])

    call avCT(276, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_6824, nGC_6823])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(280)%branchCT(0:3))
    call avCT(280, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(280, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(280, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(280, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7350, nGC_7350, nGC_7351])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_6709, nGC_6710])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1385)%branchCT(0:1))
    call avCT(1385, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_6845, nGC_6841, nGC_6848&
    , nGC_6848])

    call avCT(1385, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_6846, nGC_6842, nGC_6849&
    , nGC_6849])

    allocate(vertices(295)%branchCT(0:1))
    call avCT(295, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6555, nGC_6556])

    call avCT(295, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6553, nGC_6554])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6886])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6774])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6886])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_6187])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7309, nGC_7308, nGC_7308])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6447])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(308)%branchCT(0:1))
    call avCT(308, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6318, nGC_6319])

    call avCT(308, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6320, nGC_6321])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6618])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(312)%branchCT(0:3))
    call avCT(312, 0, 34, 4, 0, FaFV0, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(312, 1, 34, 4, 0, FaFV0, 0, [3, 0], [nGC_7132, nGC_7133])

    call avCT(312, 2, 35, 5, 0, FaFV0, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(312, 3, 35, 5, 0, FaFV0, 0, [3, 0], [nGC_7132, nGC_7133])

    allocate(vertices(1019)%branchCT(0:0))
    call avCT(1019, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_7638])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7647])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7655])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_7084])

    allocate(vertices(655)%branchCT(0:3))
    call avCT(655, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(655, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(655, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(655, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(324)%branchCT(0:1))
    call avCT(324, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6197, nGC_6197])

    call avCT(324, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6195, nGC_6195])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6618])

    allocate(vertices(327)%branchCT(0:1))
    call avCT(327, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6821, nGC_6822])

    call avCT(327, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6824, nGC_6823])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7702])

    allocate(vertices(1137)%branchCT(0:1))
    call avCT(1137, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6736, nGC_6737])

    call avCT(1137, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6734, nGC_6730])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6335])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6385])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(332)%branchCT(0:1))
    call avCT(332, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6304, nGC_6305])

    call avCT(332, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6297, nGC_6299])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_7313])

    allocate(vertices(334)%branchCT(0:1))
    call avCT(334, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7741, nGC_7740])

    call avCT(334, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7743, nGC_7744])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6361])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(338)%branchCT(0:0))
    call avCT(338, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_6936])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(1278)%branchCT(0:1))
    call avCT(1278, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_7459, nGC_7460])

    call avCT(1278, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_7457, nGC_7452])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(1386)%branchCT(0:0))
    call avCT(1386, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_7769, nGC_7765])

    allocate(vertices(343)%branchCT(0:1))
    call avCT(343, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6374, nGC_6374])

    call avCT(343, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6376, nGC_6376])

    allocate(vertices(344)%branchCT(0:0))
    call avCT(344, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6309, nGC_6308, nGC_6308])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6450])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6784])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(993)%branchCT(0:0))
    call avCT(993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(1387)%branchCT(0:0))
    call avCT(1387, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_7800, nGC_7796])

    allocate(vertices(351)%branchCT(0:1))
    call avCT(351, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_7189])

    call avCT(351, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_7188])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6204])

    allocate(vertices(1388)%branchCT(0:0))
    call avCT(1388, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_6940, nGC_TS_GC_51_H1])

    allocate(vertices(1389)%branchCT(0:0))
    call avCT(1389, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_30_H1, nGC_7156])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4538])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(355)%branchCT(0:1))
    call avCT(355, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_7072, nGC_7071])

    call avCT(355, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_7074, nGC_7073])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_7830])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(1284)%branchCT(0:1))
    call avCT(1284, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_7743, nGC_7744])

    call avCT(1284, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_7741, nGC_7740])

    allocate(vertices(875)%branchCT(0:0))
    call avCT(875, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(361)%branchCT(0:1))
    call avCT(361, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7112])

    call avCT(361, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7111])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6251])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(1390)%branchCT(0:0))
    call avCT(1390, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_TS_GC_61_H1])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6886])

    allocate(vertices(367)%branchCT(0:1))
    call avCT(367, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_7072, nGC_7071])

    call avCT(367, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_7074, nGC_7073])

    allocate(vertices(1291)%branchCT(0:1))
    call avCT(1291, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6393, nGC_6393])

    call avCT(1291, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6395, nGC_6395])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_7884])

    allocate(vertices(369)%branchCT(0:3))
    call avCT(369, 0, 11, 4, 0, FFaV1, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(369, 1, 11, 4, 0, FFaV1, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(369, 2, 12, 5, 0, FFaV1, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(369, 3, 12, 5, 0, FFaV1, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(370)%branchCT(0:1))
    call avCT(370, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_7231, nGC_7233])

    call avCT(370, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_7236, nGC_7237])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6335])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_6709, nGC_6710])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7931])

    allocate(vertices(378)%branchCT(0:1))
    call avCT(378, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7943, nGC_7942])

    call avCT(378, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7945, nGC_7946])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(380)%branchCT(0:1))
    call avCT(380, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7956, nGC_7957])

    call avCT(380, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7958, nGC_7959])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6433])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7971])

    allocate(vertices(955)%branchCT(0:0))
    call avCT(955, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7308, nGC_7308, nGC_7309])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(862)%branchCT(0:0))
    call avCT(862, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_7638])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7309, nGC_7308, nGC_7308])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_6832])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6950])

    allocate(vertices(390)%branchCT(0:1))
    call avCT(390, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(390, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(391)%branchCT(0:1))
    call avCT(391, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7071, nGC_7072])

    call avCT(391, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7073, nGC_7074])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(1118)%branchCT(0:0))
    call avCT(1118, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7308, nGC_7309, nGC_7308&
    ])

    allocate(vertices(395)%branchCT(0:1))
    call avCT(395, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6426, nGC_6425])

    call avCT(395, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6428, nGC_6427])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6977])

    allocate(vertices(1022)%branchCT(0:0))
    call avCT(1022, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6268])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_6187])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7654])

    allocate(vertices(960)%branchCT(0:0))
    call avCT(960, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_8056])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6688])

    allocate(vertices(408)%branchCT(0:1))
    call avCT(408, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_7277, nGC_7278])

    call avCT(408, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_7280, nGC_7279])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7107])

    allocate(vertices(410)%branchCT(0:1))
    call avCT(410, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_6653, nGC_6654])

    call avCT(410, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_6645, nGC_6647])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_6909, nGC_6910])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(1392)%branchCT(0:0))
    call avCT(1392, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8094, nGC_8090])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(414)%branchCT(0:1))
    call avCT(414, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(414, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(416)%branchCT(0:1))
    call avCT(416, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_8110])

    call avCT(416, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_8109])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_8114])

    allocate(vertices(418)%branchCT(0:3))
    call avCT(418, 0, 11, 4, 0, FFaV1, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(418, 1, 11, 4, 0, FFaV1, 0, [3, 0], [nGC_6594, nGC_6595])

    call avCT(418, 2, 12, 5, 0, FFaV1, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(418, 3, 12, 5, 0, FFaV1, 0, [3, 0], [nGC_6594, nGC_6595])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6447])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_7341])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7308, nGC_7308, nGC_7309])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4541])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(1394)%branchCT(0:0))
    call avCT(1394, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8156, nGC_8155])

    allocate(vertices(430)%branchCT(0:1))
    call avCT(430, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6609, nGC_6609])

    call avCT(430, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6611, nGC_6611])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_7830])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4525])

    allocate(vertices(1193)%branchCT(0:0))
    call avCT(1193, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6309, nGC_6308, nGC_6308&
    ])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_8173])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(437)%branchCT(0:1))
    call avCT(437, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_7236, nGC_7237])

    call avCT(437, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_7231, nGC_7233])

    allocate(vertices(1395)%branchCT(0:0))
    call avCT(1395, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_7027, nGC_7022, nGC_7026])

    allocate(vertices(1141)%branchCT(0:1))
    call avCT(1141, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_7459, nGC_7460])

    call avCT(1141, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_7457, nGC_7452])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(440)%branchCT(0:0))
    call avCT(440, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_8204, nGC_8204])

    allocate(vertices(441)%branchCT(0:0))
    call avCT(441, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6618])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4534])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_8213])

    allocate(vertices(445)%branchCT(0:0))
    call avCT(445, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6688])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(1396)%branchCT(0:0))
    call avCT(1396, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6268])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6308, nGC_6308, nGC_6309])

    allocate(vertices(451)%branchCT(0:1))
    call avCT(451, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_7071, nGC_7072])

    call avCT(451, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_7073, nGC_7074])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7298, nGC_7299])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(455)%branchCT(0:0))
    call avCT(455, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6986])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(459)%branchCT(0:0))
    call avCT(459, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6572])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6989])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_7830])

    allocate(vertices(1197)%branchCT(0:1))
    call avCT(1197, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(1197, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6361])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6989])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_7341])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_6832])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(1246)%branchCT(0:0))
    call avCT(1246, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(474)%branchCT(0:1))
    call avCT(474, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6824, nGC_6823])

    call avCT(474, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6821, nGC_6822])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(476)%branchCT(0:1))
    call avCT(476, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6195, nGC_6195])

    call avCT(476, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6197, nGC_6197])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4527])

    allocate(vertices(478)%branchCT(0:0))
    call avCT(478, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_6489, nGC_6490])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4540])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_7769, nGC_7765])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_6679, nGC_6680])

    allocate(vertices(1399)%branchCT(0:0))
    call avCT(1399, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_29_H1, nGC_8341])

    allocate(vertices(481)%branchCT(0:0))
    call avCT(481, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_8345])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_6709, nGC_6710])

    allocate(vertices(488)%branchCT(0:0))
    call avCT(488, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_7033])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_6832])

    allocate(vertices(491)%branchCT(0:1))
    call avCT(491, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_8110])

    call avCT(491, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_8109])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6855])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6281])

    allocate(vertices(495)%branchCT(0:1))
    call avCT(495, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6653, nGC_6654])

    call avCT(495, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6645, nGC_6647])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6989])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_7830])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6748])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_6936])

    allocate(vertices(990)%branchCT(0:0))
    call avCT(990, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7152])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_6832])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4538])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_6187])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(521)%branchCT(0:1))
    call avCT(521, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7182, nGC_7183])

    call avCT(521, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7184, nGC_7185])

    allocate(vertices(520)%branchCT(0:1))
    call avCT(520, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6328, nGC_6329])

    call avCT(520, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6330, nGC_6331])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6335])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_7638])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6660])

    allocate(vertices(850)%branchCT(0:0))
    call avCT(850, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_7036])

    allocate(vertices(1241)%branchCT(0:0))
    call avCT(1241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6572])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6204])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(529)%branchCT(0:1))
    call avCT(529, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6609, nGC_6609])

    call avCT(529, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6611, nGC_6611])

    allocate(vertices(530)%branchCT(0:1))
    call avCT(530, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8110])

    call avCT(530, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8109])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6977])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6450])

    allocate(vertices(1208)%branchCT(0:0))
    call avCT(1208, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(536)%branchCT(0:0))
    call avCT(536, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(1400)%branchCT(0:0))
    call avCT(1400, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(537)%branchCT(0:1))
    call avCT(537, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6426, nGC_6425])

    call avCT(537, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6428, nGC_6427])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(539)%branchCT(0:1))
    call avCT(539, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_6645, nGC_6647])

    call avCT(539, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_6653, nGC_6654])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6784])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_7010])

    allocate(vertices(542)%branchCT(0:0))
    call avCT(542, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(543)%branchCT(0:1))
    call avCT(543, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_8540, nGC_8540])

    call avCT(543, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_8542, nGC_8542])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(544)%branchCT(0:0))
    call avCT(544, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6398])

    allocate(vertices(545)%branchCT(0:1))
    call avCT(545, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7112])

    call avCT(545, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7111])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6748])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6308, nGC_6309, nGC_6308])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4540])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_8056])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_7298, nGC_7299])

    allocate(vertices(551)%branchCT(0:0))
    call avCT(551, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6450])

    allocate(vertices(554)%branchCT(0:0))
    call avCT(554, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6361])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(556)%branchCT(0:1))
    call avCT(556, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_6412, nGC_6413])

    call avCT(556, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_6410, nGC_6409])

    allocate(vertices(986)%branchCT(0:0))
    call avCT(986, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6204])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_6832])

    allocate(vertices(559)%branchCT(0:1))
    call avCT(559, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6553, nGC_6554])

    call avCT(559, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6555, nGC_6556])

    allocate(vertices(1401)%branchCT(0:0))
    call avCT(1401, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6268])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6477, nGC_6476, nGC_6476])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6660])

    allocate(vertices(563)%branchCT(0:1))
    call avCT(563, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_7956, nGC_7957])

    call avCT(563, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_7958, nGC_7959])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(565)%branchCT(0:0))
    call avCT(565, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_6187])

    allocate(vertices(337)%branchCT(0:1))
    call avCT(337, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7277, nGC_7278])

    call avCT(337, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7280, nGC_7279])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(570)%branchCT(0:1))
    call avCT(570, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6261, nGC_6262])

    call avCT(570, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6263, nGC_6264])

    allocate(vertices(571)%branchCT(0:0))
    call avCT(571, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(1402)%branchCT(0:0))
    call avCT(1402, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6268])

    allocate(vertices(574)%branchCT(0:1))
    call avCT(574, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_8648, nGC_8649])

    call avCT(574, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_8650, nGC_8651])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_8204, nGC_8204])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6361])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_6187])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(582)%branchCT(0:1))
    call avCT(582, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6222, nGC_6223])

    call avCT(582, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6216, nGC_6218])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6251])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(586)%branchCT(0:1))
    call avCT(586, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7743, nGC_7744])

    call avCT(586, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7741, nGC_7740])

    allocate(vertices(587)%branchCT(0:1))
    call avCT(587, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_7956, nGC_7957])

    call avCT(587, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_7958, nGC_7959])

    allocate(vertices(588)%branchCT(0:1))
    call avCT(588, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6261, nGC_6262])

    call avCT(588, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6263, nGC_6264])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_8213])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(592)%branchCT(0:1))
    call avCT(592, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7189])

    call avCT(592, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7188])

    allocate(vertices(593)%branchCT(0:1))
    call avCT(593, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7189])

    call avCT(593, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7188])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6251])

    allocate(vertices(595)%branchCT(0:1))
    call avCT(595, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6195, nGC_6195])

    call avCT(595, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6197, nGC_6197])

    allocate(vertices(596)%branchCT(0:1))
    call avCT(596, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6328, nGC_6329])

    call avCT(596, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6330, nGC_6331])

    allocate(vertices(964)%branchCT(0:0))
    call avCT(964, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7931])

    allocate(vertices(1325)%branchCT(0:0))
    call avCT(1325, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6247])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(600)%branchCT(0:1))
    call avCT(600, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6412, nGC_6413])

    call avCT(600, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6410, nGC_6409])

    allocate(vertices(1403)%branchCT(0:0))
    call avCT(1403, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6864])

    allocate(vertices(1404)%branchCT(0:0))
    call avCT(1404, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4534])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_7033])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6886])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4540])

    allocate(vertices(1037)%branchCT(0:1))
    call avCT(1037, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_6412, nGC_6413])

    call avCT(1037, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_6410, nGC_6409])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6774])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_6909, nGC_6910])

    allocate(vertices(318)%branchCT(0:1))
    call avCT(318, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_7743, nGC_7744])

    call avCT(318, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_7741, nGC_7740])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_8824, nGC_8825])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_8826])

    allocate(vertices(1090)%branchCT(0:0))
    call avCT(1090, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_7033])

    allocate(vertices(698)%branchCT(0:1))
    call avCT(698, 0, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_7958, nGC_7959])

    call avCT(698, 1, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_7956, nGC_7957])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7655])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6748])

    allocate(vertices(1310)%branchCT(0:0))
    call avCT(1310, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_8845, nGC_8845])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6450])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6335])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_6832])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(629)%branchCT(0:1))
    call avCT(629, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6736, nGC_6737])

    call avCT(629, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6734, nGC_6730])

    allocate(vertices(1152)%branchCT(0:0))
    call avCT(1152, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_8867])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(632)%branchCT(0:0))
    call avCT(632, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_6187])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1172)%branchCT(0:0))
    call avCT(1172, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_8114])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(638)%branchCT(0:1))
    call avCT(638, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6348, nGC_6349])

    call avCT(638, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6351, nGC_6350])

    allocate(vertices(761)%branchCT(0:0))
    call avCT(761, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(762)%branchCT(0:0))
    call avCT(762, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6856])

    allocate(vertices(642)%branchCT(0:1))
    call avCT(642, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6261, nGC_6262])

    call avCT(642, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6263, nGC_6264])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(1323)%branchCT(0:0))
    call avCT(1323, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4541])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7351, nGC_7350, nGC_7350])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6748])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_6909, nGC_6910])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(653)%branchCT(0:1))
    call avCT(653, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_8110])

    call avCT(653, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_8109])

    allocate(vertices(323)%branchCT(0:1))
    call avCT(323, 0, 30, 2, 0, VUaU0, 0, [3, 0], [nGC_6355])

    call avCT(323, 1, 31, 3, 0, VUaU0, 0, [3, 0], [nGC_6355])

    allocate(vertices(656)%branchCT(0:1))
    call avCT(656, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6319, nGC_6318])

    call avCT(656, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6321, nGC_6320])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_6832])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(1407)%branchCT(0:0))
    call avCT(1407, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_7084])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4535])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6272])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(1124)%branchCT(0:0))
    call avCT(1124, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_7638])

    allocate(vertices(665)%branchCT(0:1))
    call avCT(665, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_7958, nGC_7959])

    call avCT(665, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_7956, nGC_7957])

    allocate(vertices(155)%branchCT(0:0))
    call avCT(155, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6983, nGC_6983])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6799])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4541])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6362])

    allocate(vertices(672)%branchCT(0:1))
    call avCT(672, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_6736, nGC_6737])

    call avCT(672, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_6734, nGC_6730])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_8056])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_8173])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(676)%branchCT(0:1))
    call avCT(676, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_7112])

    call avCT(676, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_7111])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(681)%branchCT(0:3))
    call avCT(681, 0, 32, 4, 0, FVFa0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(681, 1, 32, 4, 0, FVFa0, 0, [3, 0], [nGC_6594, nGC_6595])

    call avCT(681, 2, 33, 5, 0, FVFa0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(681, 3, 33, 5, 0, FVFa0, 0, [3, 0], [nGC_6594, nGC_6595])

    allocate(vertices(1171)%branchCT(0:0))
    call avCT(1171, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6864])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_8845, nGC_8845])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4541])

    allocate(vertices(1239)%branchCT(0:0))
    call avCT(1239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(1411)%branchCT(0:1))
    call avCT(1411, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_6999, nGC_6995, nGC_7002&
    , nGC_7002])

    call avCT(1411, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7000, nGC_6996, nGC_7003&
    , nGC_7003])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6476, nGC_6477])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_6936])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(1412)%branchCT(0:0))
    call avCT(1412, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6361])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6443])

    allocate(vertices(693)%branchCT(0:1))
    call avCT(693, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8540, nGC_8540])

    call avCT(693, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8542, nGC_8542])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4538])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6477, nGC_6476, nGC_6476])

    allocate(vertices(695)%branchCT(0:0))
    call avCT(695, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_7830])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(697)%branchCT(0:1))
    call avCT(697, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_7072, nGC_7071])

    call avCT(697, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_7074, nGC_7073])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4540])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6986])

    allocate(vertices(700)%branchCT(0:1))
    call avCT(700, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6318, nGC_6319])

    call avCT(700, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6320, nGC_6321])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4534])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6688])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7350, nGC_7351, nGC_7350])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_6450])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_8056])

    allocate(vertices(706)%branchCT(0:3))
    call avCT(706, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(706, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_6627, nGC_6628])

    call avCT(706, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(706, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_6627, nGC_6628])

    allocate(vertices(707)%branchCT(0:1))
    call avCT(707, 0, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_7743, nGC_7744])

    call avCT(707, 1, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_7741, nGC_7740])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4534])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6281])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6688])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9166])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_6268])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9166])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_8345])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(336)%branchCT(0:0))
    call avCT(336, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_8056])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4534])

    allocate(vertices(718)%branchCT(0:1))
    call avCT(718, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7071, nGC_7072])

    call avCT(718, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7073, nGC_7074])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6886])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7350, nGC_7350, nGC_7351])

    allocate(vertices(721)%branchCT(0:0))
    call avCT(721, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(722)%branchCT(0:1))
    call avCT(722, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7236, nGC_7237])

    call avCT(722, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7231, nGC_7233])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7351, nGC_7350, nGC_7350])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_7830])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6950])

    allocate(vertices(728)%branchCT(0:0))
    call avCT(728, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9223])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6272])

    allocate(vertices(729)%branchCT(0:0))
    call avCT(729, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4538])

    allocate(vertices(1121)%branchCT(0:0))
    call avCT(1121, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_8824, nGC_8825])

    allocate(vertices(730)%branchCT(0:0))
    call avCT(730, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_7175])

    allocate(vertices(731)%branchCT(0:1))
    call avCT(731, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7184, nGC_7185])

    call avCT(731, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7182, nGC_7183])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4535])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(933)%branchCT(0:0))
    call avCT(933, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_6489, nGC_6490])

    allocate(vertices(736)%branchCT(0:1))
    call avCT(736, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_7112])

    call avCT(736, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_7111])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4541])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_7036])

    allocate(vertices(1414)%branchCT(0:1))
    call avCT(1414, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9279, nGC_9272, nGC_9282&
    , nGC_9282])

    call avCT(1414, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9280, nGC_9273, nGC_9283&
    , nGC_9283])

    allocate(vertices(742)%branchCT(0:1))
    call avCT(742, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6393, nGC_6393])

    call avCT(742, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6395, nGC_6395])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(1200)%branchCT(0:0))
    call avCT(1200, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6618])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4527])

    allocate(vertices(1255)%branchCT(0:0))
    call avCT(1255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(1415)%branchCT(0:1))
    call avCT(1415, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9279, nGC_9272, nGC_9282&
    , nGC_9282])

    call avCT(1415, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9280, nGC_9273, nGC_9283&
    , nGC_9283])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_7175])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4540])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9324])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4527])

    allocate(vertices(277)%branchCT(0:1))
    call avCT(277, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_6412, nGC_6413])

    call avCT(277, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_6410, nGC_6409])

    allocate(vertices(753)%branchCT(0:1))
    call avCT(753, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6426, nGC_6425])

    call avCT(753, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6428, nGC_6427])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_8213])

    allocate(vertices(1416)%branchCT(0:1))
    call avCT(1416, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9355, nGC_9348, nGC_9358&
    , nGC_9358])

    call avCT(1416, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9356, nGC_9349, nGC_9359&
    , nGC_9359])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_6385])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4538])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6977])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(641)%branchCT(0:1))
    call avCT(641, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_7945, nGC_7946])

    call avCT(641, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_7943, nGC_7942])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_6832])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(1417)%branchCT(0:1))
    call avCT(1417, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9406, nGC_9399, nGC_9409&
    , nGC_9409])

    call avCT(1417, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9407, nGC_9400, nGC_9410&
    , nGC_9410])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_7638])

    allocate(vertices(769)%branchCT(0:1))
    call avCT(769, 0, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_7184, nGC_7185])

    call avCT(769, 1, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_7182, nGC_7183])

    allocate(vertices(770)%branchCT(0:1))
    call avCT(770, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_8648, nGC_8649])

    call avCT(770, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_8650, nGC_8651])

    allocate(vertices(705)%branchCT(0:0))
    call avCT(705, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_6489, nGC_6490])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4535])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(1419)%branchCT(0:1))
    call avCT(1419, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9406, nGC_9399, nGC_9409&
    , nGC_9409])

    call avCT(1419, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9407, nGC_9400, nGC_9410&
    , nGC_9410])

    allocate(vertices(779)%branchCT(0:3))
    call avCT(779, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(779, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_6594, nGC_6595])

    call avCT(779, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(779, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_6594, nGC_6595])

    allocate(vertices(780)%branchCT(0:0))
    call avCT(780, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(781)%branchCT(0:1))
    call avCT(781, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8650, nGC_8651])

    call avCT(781, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8648, nGC_8649])

    allocate(vertices(989)%branchCT(0:1))
    call avCT(989, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6222, nGC_6223])

    call avCT(989, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6216, nGC_6218])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6886])

    allocate(vertices(783)%branchCT(0:1))
    call avCT(783, 0, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6197, nGC_6197])

    call avCT(783, 1, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6195, nGC_6195])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6398])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(786)%branchCT(0:0))
    call avCT(786, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6184])

    allocate(vertices(787)%branchCT(0:0))
    call avCT(787, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7655])

    allocate(vertices(788)%branchCT(0:1))
    call avCT(788, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(788, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(789)%branchCT(0:1))
    call avCT(789, 0, 2, 2, 0, VVV0, 0, [3, 0], [nGC_9518])

    call avCT(789, 1, 3, 3, 0, VVV0, 0, [3, 0], [nGC_9518])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6276])

    allocate(vertices(671)%branchCT(0:1))
    call avCT(671, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7457, nGC_7452])

    call avCT(671, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7459, nGC_7460])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6281])

    allocate(vertices(791)%branchCT(0:0))
    call avCT(791, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9539])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6618])

    allocate(vertices(794)%branchCT(0:0))
    call avCT(794, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(795)%branchCT(0:3))
    call avCT(795, 0, 11, 4, 0, FFaV1, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(795, 1, 11, 4, 0, FFaV1, 0, [3, 0], [nGC_7132, nGC_7133])

    call avCT(795, 2, 12, 5, 0, FFaV1, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(795, 3, 12, 5, 0, FFaV1, 0, [3, 0], [nGC_7132, nGC_7133])

    allocate(vertices(1420)%branchCT(0:1))
    call avCT(1420, 0, 15, 1, 0, VV3, 0, [2, 0], [nGC_9557, nGC_9556])

    call avCT(1420, 1, 16, 8, 0, VV3, 0, [2, 0], [nGC_9557, nGC_9556])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_8056])

    allocate(vertices(568)%branchCT(0:0))
    call avCT(568, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(798)%branchCT(0:1))
    call avCT(798, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7189])

    call avCT(798, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7188])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(800)%branchCT(0:0))
    call avCT(800, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6288])

    allocate(vertices(801)%branchCT(0:1))
    call avCT(801, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_6348, nGC_6349])

    call avCT(801, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_6351, nGC_6350])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6864])

    allocate(vertices(1282)%branchCT(0:0))
    call avCT(1282, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6969, nGC_6970])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6983, nGC_6983])

    allocate(vertices(806)%branchCT(0:0))
    call avCT(806, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(807)%branchCT(0:1))
    call avCT(807, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6330, nGC_6331])

    call avCT(807, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6328, nGC_6329])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(810)%branchCT(0:0))
    call avCT(810, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_8204, nGC_8204])

    allocate(vertices(1013)%branchCT(0:0))
    call avCT(1013, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6618])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_8173])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6748])

    allocate(vertices(1167)%branchCT(0:0))
    call avCT(1167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7351, nGC_7350, nGC_7350&
    ])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(815)%branchCT(0:0))
    call avCT(815, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6361])

    allocate(vertices(816)%branchCT(0:1))
    call avCT(816, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8540, nGC_8540])

    call avCT(816, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8542, nGC_8542])

    allocate(vertices(572)%branchCT(0:3))
    call avCT(572, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(572, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_7436, nGC_7437])

    call avCT(572, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(572, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_7436, nGC_7437])

    allocate(vertices(818)%branchCT(0:0))
    call avCT(818, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(819)%branchCT(0:1))
    call avCT(819, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6426, nGC_6425])

    call avCT(819, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6428, nGC_6427])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(821)%branchCT(0:1))
    call avCT(821, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_6351, nGC_6350])

    call avCT(821, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_6348, nGC_6349])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6437, nGC_6438])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_8341, nGC_TS_GC_29_H1])

    allocate(vertices(824)%branchCT(0:0))
    call avCT(824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_8173])

    allocate(vertices(827)%branchCT(0:3))
    call avCT(827, 0, 38, 4, 0, VFFa0, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(827, 1, 38, 4, 0, VFFa0, 0, [3, 0], [nGC_7132, nGC_7133])

    call avCT(827, 2, 39, 5, 0, VFFa0, 0, [1, 2], [nGC_7126, nGC_7128])

    call avCT(827, 3, 39, 5, 0, VFFa0, 0, [3, 0], [nGC_7132, nGC_7133])

    allocate(vertices(828)%branchCT(0:1))
    call avCT(828, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_8110])

    call avCT(828, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_8109])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_6943])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_8204, nGC_8204])

    allocate(vertices(831)%branchCT(0:0))
    call avCT(831, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7971])

    allocate(vertices(577)%branchCT(0:0))
    call avCT(577, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4538])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(834)%branchCT(0:0))
    call avCT(834, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_7884])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(836)%branchCT(0:0))
    call avCT(836, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(837)%branchCT(0:1))
    call avCT(837, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_7231, nGC_7233])

    call avCT(837, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_7236, nGC_7237])

    allocate(vertices(838)%branchCT(0:0))
    call avCT(838, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(291)%branchCT(0:1))
    call avCT(291, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_8540, nGC_8540])

    call avCT(291, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_8542, nGC_8542])

    allocate(vertices(839)%branchCT(0:1))
    call avCT(839, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7945, nGC_7946])

    call avCT(839, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7943, nGC_7942])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_6936])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7152])

    allocate(vertices(843)%branchCT(0:0))
    call avCT(843, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(844)%branchCT(0:3))
    call avCT(844, 0, 32, 4, 0, FVFa0, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(844, 1, 32, 4, 0, FVFa0, 0, [3, 0], [nGC_6519, nGC_6520])

    call avCT(844, 2, 33, 5, 0, FVFa0, 0, [1, 2], [nGC_6517, nGC_6513])

    call avCT(844, 3, 33, 5, 0, FVFa0, 0, [3, 0], [nGC_6519, nGC_6520])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6969, nGC_6970])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(847)%branchCT(0:3))
    call avCT(847, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(847, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_6627, nGC_6628])

    call avCT(847, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_6623, nGC_6625])

    call avCT(847, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_6627, nGC_6628])

    allocate(vertices(848)%branchCT(0:0))
    call avCT(848, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6208])

    allocate(vertices(849)%branchCT(0:0))
    call avCT(849, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4535])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_7298, nGC_7299])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_7036])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_6187])

    allocate(vertices(1273)%branchCT(0:0))
    call avCT(1273, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_8213])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1036)%branchCT(0:3))
    call avCT(1036, 0, 40, 4, 0, VFaF1, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(1036, 1, 40, 4, 0, VFaF1, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(1036, 2, 41, 5, 0, VFaF1, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(1036, 3, 41, 5, 0, VFaF1, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(856)%branchCT(0:0))
    call avCT(856, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9818])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6950])

    allocate(vertices(858)%branchCT(0:1))
    call avCT(858, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_7459, nGC_7460])

    call avCT(858, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_7457, nGC_7452])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_8824, nGC_8825])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6799])

    allocate(vertices(1100)%branchCT(0:0))
    call avCT(1100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(1217)%branchCT(0:0))
    call avCT(1217, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7108])

    allocate(vertices(863)%branchCT(0:1))
    call avCT(863, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_6736, nGC_6737])

    call avCT(863, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_6734, nGC_6730])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(865)%branchCT(0:0))
    call avCT(865, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6361])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4535])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6362])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_7884])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6969, nGC_6970])

    allocate(vertices(870)%branchCT(0:0))
    call avCT(870, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6450])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6943])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4541])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_8213])

    allocate(vertices(874)%branchCT(0:0))
    call avCT(874, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7654])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(876)%branchCT(0:0))
    call avCT(876, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(877)%branchCT(0:1))
    call avCT(877, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(877, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(878)%branchCT(0:0))
    call avCT(878, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6476, nGC_6477, nGC_6476])

    allocate(vertices(879)%branchCT(0:0))
    call avCT(879, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(880)%branchCT(0:0))
    call avCT(880, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_6909, nGC_6910])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6281])

    allocate(vertices(1333)%branchCT(0:0))
    call avCT(1333, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4541])

    allocate(vertices(883)%branchCT(0:0))
    call avCT(883, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_7298, nGC_7299])

    allocate(vertices(1423)%branchCT(0:1))
    call avCT(1423, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9920, nGC_9913, nGC_9923&
    , nGC_9923])

    call avCT(1423, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9921, nGC_9914, nGC_9924&
    , nGC_9924])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_6385])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_7830])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6204])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(888)%branchCT(0:1))
    call avCT(888, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6425, nGC_6426])

    call avCT(888, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6427, nGC_6428])

    allocate(vertices(889)%branchCT(0:0))
    call avCT(889, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6864])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_8867])

    allocate(vertices(891)%branchCT(0:0))
    call avCT(891, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7107])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_8173])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6989])

    allocate(vertices(1424)%branchCT(0:0))
    call avCT(1424, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_7308, nGC_7308, nGC_7309])

    allocate(vertices(1280)%branchCT(0:0))
    call avCT(1280, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_6187])

    allocate(vertices(896)%branchCT(0:0))
    call avCT(896, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6799])

    allocate(vertices(1425)%branchCT(0:0))
    call avCT(1425, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(1426)%branchCT(0:0))
    call avCT(1426, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(898)%branchCT(0:1))
    call avCT(898, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_6318, nGC_6319])

    call avCT(898, 1, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_6320, nGC_6321])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_6832])

    allocate(vertices(902)%branchCT(0:0))
    call avCT(902, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(1427)%branchCT(0:0))
    call avCT(1427, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_8845, nGC_8845])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6618])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(908)%branchCT(0:1))
    call avCT(908, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6318, nGC_6319])

    call avCT(908, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6320, nGC_6321])

    allocate(vertices(910)%branchCT(0:0))
    call avCT(910, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6201])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6232])

    allocate(vertices(912)%branchCT(0:3))
    call avCT(912, 0, 11, 4, 0, FFaV1, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(912, 1, 11, 4, 0, FFaV1, 0, [3, 0], [nGC_7436, nGC_7437])

    call avCT(912, 2, 12, 5, 0, FFaV1, 0, [1, 2], [nGC_7432, nGC_7434])

    call avCT(912, 3, 12, 5, 0, FFaV1, 0, [3, 0], [nGC_7436, nGC_7437])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_8056])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(915)%branchCT(0:3))
    call avCT(915, 0, 34, 4, 0, FaFV0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(915, 1, 34, 4, 0, FaFV0, 0, [3, 0], [nGC_6502, nGC_6503])

    call avCT(915, 2, 35, 5, 0, FaFV0, 0, [1, 2], [nGC_6497, nGC_6499])

    call avCT(915, 3, 35, 5, 0, FaFV0, 0, [3, 0], [nGC_6502, nGC_6503])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_8867])

    allocate(vertices(1113)%branchCT(0:0))
    call avCT(1113, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7971])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(1428)%branchCT(0:0))
    call avCT(1428, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_8114])

    allocate(vertices(1285)%branchCT(0:0))
    call avCT(1285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6201])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(921)%branchCT(0:0))
    call avCT(921, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6688])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_7538, nGC_7539])

    allocate(vertices(923)%branchCT(0:0))
    call avCT(923, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(924)%branchCT(0:1))
    call avCT(924, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_7182, nGC_7183])

    call avCT(924, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_7184, nGC_7185])

    allocate(vertices(1429)%branchCT(0:0))
    call avCT(1429, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6268])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6208])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6240])

    allocate(vertices(930)%branchCT(0:0))
    call avCT(930, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(1430)%branchCT(0:0))
    call avCT(1430, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_6415, nGC_6414, nGC_6415 &
    , nGC_6414, nGC_6416])

    allocate(vertices(931)%branchCT(0:1))
    call avCT(931, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_7189])

    call avCT(931, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_7188])

    allocate(vertices(932)%branchCT(0:5))
    call avCT(932, 0, 4, 6, 0, VVVV0, 0, [4, 0], [nGC_10100, nGC_10100,        &
    nGC_10111])

    call avCT(932, 1, 5, 6, 0, VVVV0, 0, [4, 0], [nGC_10100, nGC_10100,        &
    nGC_10111])

    call avCT(932, 2, 6, 7, 0, VVVV0, 0, [4, 0], [nGC_10102, nGC_10101,        &
    nGC_10101])

    call avCT(932, 3, 7, 7, 0, VVVV0, 0, [4, 0], [nGC_10101, nGC_10102,        &
    nGC_10101])

    call avCT(932, 4, 8, 7, 0, VVVV0, 0, [4, 0], [nGC_10102, nGC_10101,        &
    nGC_10101])

    call avCT(932, 5, 9, 7, 0, VVVV0, 0, [4, 0], [nGC_10101, nGC_10102,        &
    nGC_10101])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(934)%branchCT(0:0))
    call avCT(934, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(935)%branchCT(0:0))
    call avCT(935, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6276])

    allocate(vertices(936)%branchCT(0:0))
    call avCT(936, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_6709, nGC_6710])

    allocate(vertices(937)%branchCT(0:0))
    call avCT(937, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6450])

    allocate(vertices(938)%branchCT(0:0))
    call avCT(938, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(939)%branchCT(0:0))
    call avCT(939, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6443])

    allocate(vertices(1431)%branchCT(0:0))
    call avCT(1431, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_6268])

    allocate(vertices(941)%branchCT(0:0))
    call avCT(941, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6288])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6724])

    allocate(vertices(1432)%branchCT(0:0))
    call avCT(1432, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6362])

    allocate(vertices(944)%branchCT(0:0))
    call avCT(944, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_8173])

    allocate(vertices(1306)%branchCT(0:0))
    call avCT(1306, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6335])

    allocate(vertices(945)%branchCT(0:3))
    call avCT(945, 0, 36, 4, 0, FaVF0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(945, 1, 36, 4, 0, FaVF0, 0, [3, 0], [nGC_6594, nGC_6595])

    call avCT(945, 2, 37, 5, 0, FaVF0, 0, [1, 2], [nGC_6590, nGC_6588])

    call avCT(945, 3, 37, 5, 0, FaVF0, 0, [3, 0], [nGC_6594, nGC_6595])

    allocate(vertices(1433)%branchCT(0:0))
    call avCT(1433, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6788])

    allocate(vertices(946)%branchCT(0:0))
    call avCT(946, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_7084])

    allocate(vertices(947)%branchCT(0:0))
    call avCT(947, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6582])

    allocate(vertices(948)%branchCT(0:1))
    call avCT(948, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6609, nGC_6609])

    call avCT(948, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6611, nGC_6611])

    allocate(vertices(949)%branchCT(0:0))
    call avCT(949, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6385])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6864])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6582])

    allocate(vertices(952)%branchCT(0:0))
    call avCT(952, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_6679, nGC_6680])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6587])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4527])

    allocate(vertices(1434)%branchCT(0:0))
    call avCT(1434, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6788])

    allocate(vertices(956)%branchCT(0:0))
    call avCT(956, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_7313])

    allocate(vertices(957)%branchCT(0:0))
    call avCT(957, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_7211])

    allocate(vertices(399)%branchCT(0:1))
    call avCT(399, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_6653, nGC_6654])

    call avCT(399, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_6645, nGC_6647])

    allocate(vertices(958)%branchCT(0:0))
    call avCT(958, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_6943])

    allocate(vertices(959)%branchCT(0:0))
    call avCT(959, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_7931])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4526])

    allocate(vertices(961)%branchCT(0:0))
    call avCT(961, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_8845, nGC_8845])

    allocate(vertices(962)%branchCT(0:0))
    call avCT(962, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6247])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_6450])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(965)%branchCT(0:0))
    call avCT(965, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9166])

    allocate(vertices(966)%branchCT(0:0))
    call avCT(966, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6204])

    allocate(vertices(1435)%branchCT(0:0))
    call avCT(1435, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_8114])

    allocate(vertices(967)%branchCT(0:0))
    call avCT(967, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_6572])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6936])

    allocate(vertices(969)%branchCT(0:0))
    call avCT(969, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6433])

    allocate(vertices(970)%branchCT(0:0))
    call avCT(970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6240])

    allocate(vertices(971)%branchCT(0:0))
    call avCT(971, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6232])

    allocate(vertices(972)%branchCT(0:1))
    call avCT(972, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6609, nGC_6609])

    call avCT(972, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6611, nGC_6611])

  end subroutine fill_vertices_mdl3
end module vertices_info3
