!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-04-19 10:07             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_4232])

    allocate(vertices(380)%branchR2(0:1))
    call avR2(380, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4293, nGC_4295])

    call avR2(380, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4294, nGC_4296])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4426])

    allocate(vertices(1420)%branchR2(0:1))
    call avR2(1420, 0, 15, 1, 0, VV0, 0, [2, 0], [nGC_4214, nGC_4213, nGC_4215])

    call avR2(1420, 1, 16, 1, 0, VV0, 0, [2, 0], [nGC_4217, nGC_4216, nGC_4218])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4418])

    allocate(vertices(330)%branchR2(0:0))
    call avR2(330, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_4361])

    allocate(vertices(1565)%branchR2(0:0))
    call avR2(1565, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4434, nGC_4434, nGC_4434&
    ])

    allocate(vertices(38)%branchR2(0:1))
    call avR2(38, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_4241, nGC_4241])

    call avR2(38, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_4240, nGC_4239])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4456])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4476])

    allocate(vertices(555)%branchR2(0:0))
    call avR2(555, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4453])

    allocate(vertices(391)%branchR2(0:1))
    call avR2(391, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4270, nGC_4268])

    call avR2(391, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4271, nGC_4269])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4454])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(1269)%branchR2(0:0))
    call avR2(1269, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_4306, nGC_4305])

    allocate(vertices(1430)%branchR2(0:0))
    call avR2(1430, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_4194, nGC_4193, nGC_4195])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4447])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4432])

    allocate(vertices(1566)%branchR2(0:0))
    call avR2(1566, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4425])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_4244, nGC_4245])

    allocate(vertices(1458)%branchR2(0:0))
    call avR2(1458, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_4220])

    allocate(vertices(949)%branchR2(0:0))
    call avR2(949, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_4362])

    allocate(vertices(679)%branchR2(0:0))
    call avR2(679, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1241)%branchR2(0:0))
    call avR2(1241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4449])

    allocate(vertices(655)%branchR2(0:3))
    call avR2(655, 0, 38, 1, 0, VFFa0, 0, [1, 2], [nGC_4406, nGC_4405])

    call avR2(655, 1, 38, 1, 0, VFFa0, 0, [3, 0], [nGC_4407, nGC_4407])

    call avR2(655, 2, 39, 1, 0, VFFa0, 0, [1, 2], [nGC_4403, nGC_4402])

    call avR2(655, 3, 39, 1, 0, VFFa0, 0, [3, 0], [nGC_4404, nGC_4404])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_4377])

    allocate(vertices(1338)%branchR2(0:0))
    call avR2(1338, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_4259])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(1567)%branchR2(0:1))
    call avR2(1567, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_4469, nGC_4469,        &
    nGC_4469])

    call avR2(1567, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_4470, nGC_4470,        &
    nGC_4470])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4427])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4431])

    allocate(vertices(1435)%branchR2(0:0))
    call avR2(1435, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_4235])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4477])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(543)%branchR2(0:1))
    call avR2(543, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_4356, nGC_4356])

    call avR2(543, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_4354, nGC_4355])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_4276])

    allocate(vertices(1267)%branchR2(0:0))
    call avR2(1267, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_4255, nGC_4256])

    allocate(vertices(902)%branchR2(0:0))
    call avR2(902, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4455])

    allocate(vertices(1568)%branchR2(0:5))
    call avR2(1568, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    call avR2(1568, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1568, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1568, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1568, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_4498, nGC_4498,        &
    nGC_4498])

    call avR2(1568, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_4373, nGC_4374])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4432])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_4361])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4454])

    allocate(vertices(251)%branchR2(0:0))
    call avR2(251, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_4336])

    allocate(vertices(1412)%branchR2(0:0))
    call avR2(1412, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4446])

    allocate(vertices(989)%branchR2(0:1))
    call avR2(989, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4240, nGC_4239])

    call avR2(989, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4241, nGC_4241])

    allocate(vertices(154)%branchR2(0:0))
    call avR2(154, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(214)%branchR2(0:1))
    call avR2(214, 0, 19, 1, 0, FaVF1, 0, [0, 3], [nGC_4358])

    call avR2(214, 1, 19, 1, 0, FaVF1, 0, [2, 1], [nGC_4359])

    allocate(vertices(913)%branchR2(0:0))
    call avR2(913, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4420])

    allocate(vertices(1422)%branchR2(0:0))
    call avR2(1422, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_4233])

    allocate(vertices(361)%branchR2(0:1))
    call avR2(361, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4358])

    call avR2(361, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_4359])

    allocate(vertices(17)%branchR2(0:1))
    call avR2(17, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_4319, nGC_4321])

    call avR2(17, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_4320, nGC_4322])

    allocate(vertices(1272)%branchR2(0:0))
    call avR2(1272, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4457])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4435])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4488, nGC_4487&
    ])

    allocate(vertices(1406)%branchR2(0:0))
    call avR2(1406, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_4235])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(563)%branchR2(0:1))
    call avR2(563, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4293, nGC_4295])

    call avR2(563, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4294, nGC_4296])

    allocate(vertices(1374)%branchR2(0:0))
    call avR2(1374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4439])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_4377])

    allocate(vertices(26)%branchR2(0:0))
    call avR2(26, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4444])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_4306, nGC_4305])

    allocate(vertices(706)%branchR2(0:3))
    call avR2(706, 0, 40, 1, 0, VFaF1, 0, [1, 2], [nGC_4415, nGC_4414])

    call avR2(706, 1, 40, 1, 0, VFaF1, 0, [3, 0], [nGC_4407, nGC_4407])

    call avR2(706, 2, 41, 1, 0, VFaF1, 0, [1, 2], [nGC_4413, nGC_4412])

    call avR2(706, 3, 41, 1, 0, VFaF1, 0, [3, 0], [nGC_4404, nGC_4404])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_4358])

    call avR2(1188, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_4359])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4476])

    allocate(vertices(1569)%branchR2(0:0))
    call avR2(1569, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4419])

    allocate(vertices(955)%branchR2(0:0))
    call avR2(955, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4421, nGC_4423, nGC_4422])

    allocate(vertices(741)%branchR2(0:0))
    call avR2(741, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(1570)%branchR2(0:0))
    call avR2(1570, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4437, nGC_4437, nGC_4436&
    ])

    allocate(vertices(41)%branchR2(0:1))
    call avR2(41, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4330, nGC_4331])

    call avR2(41, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4332, nGC_4332])

    allocate(vertices(891)%branchR2(0:0))
    call avR2(891, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_4260])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_12838])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4432])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_4335, nGC_4335])

    call avR2(1174, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_4333, nGC_4334])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_4361])

    allocate(vertices(700)%branchR2(0:1))
    call avR2(700, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4275, nGC_4273])

    call avR2(700, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4287, nGC_4286])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_4375, nGC_4376])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4427])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_4220])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_4230])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_4341, nGC_4340])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_4357])

    allocate(vertices(1432)%branchR2(0:0))
    call avR2(1432, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_4233])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4463])

    allocate(vertices(39)%branchR2(0:1))
    call avR2(39, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_4351, nGC_4351])

    call avR2(39, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_4349, nGC_4350])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(351)%branchR2(0:1))
    call avR2(351, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_4359])

    call avR2(351, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_4360])

    allocate(vertices(671)%branchR2(0:1))
    call avR2(671, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4258, nGC_4257])

    call avR2(671, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_4241, nGC_4241])

    allocate(vertices(145)%branchR2(0:1))
    call avR2(145, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4272, nGC_4274])

    call avR2(145, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4273, nGC_4275])

    allocate(vertices(1571)%branchR2(0:5))
    call avR2(1571, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    call avR2(1571, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1571, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1571, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1571, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_4503, nGC_4503,        &
    nGC_4503])

    call avR2(1571, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    allocate(vertices(1274)%branchR2(0:0))
    call avR2(1274, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4428])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_4276])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4456])

    allocate(vertices(1042)%branchR2(0:0))
    call avR2(1042, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_4361])

    allocate(vertices(1572)%branchR2(0:0))
    call avR2(1572, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4437, nGC_4437, nGC_4436&
    ])

    allocate(vertices(1076)%branchR2(0:0))
    call avR2(1076, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_4291])

    allocate(vertices(1210)%branchR2(0:0))
    call avR2(1210, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(1115)%branchR2(0:1))
    call avR2(1115, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_4335, nGC_4335])

    call avR2(1115, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_4333, nGC_4334])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4442, nGC_4441, nGC_4443])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_12094])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4418])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(331)%branchR2(0:0))
    call avR2(331, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4435])

    allocate(vertices(1573)%branchR2(0:0))
    call avR2(1573, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4419])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4446])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_4261])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4457])

    allocate(vertices(545)%branchR2(0:1))
    call avR2(545, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_4359])

    call avR2(545, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_4360])

    allocate(vertices(593)%branchR2(0:1))
    call avR2(593, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_4359])

    call avR2(593, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_4360])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_4359])

    call avR2(1179, 1, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_4360])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4454])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(788)%branchR2(0:1))
    call avR2(788, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4267, nGC_4265])

    call avR2(788, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4283, nGC_4282])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4430])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(312)%branchR2(0:3))
    call avR2(312, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_4411, nGC_4410])

    call avR2(312, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_4407, nGC_4407])

    call avR2(312, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_4409, nGC_4408])

    call avR2(312, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_4404, nGC_4404])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4430])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(1574)%branchR2(0:0))
    call avR2(1574, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4434, nGC_4434, nGC_4434&
    ])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_4289])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4478])

    allocate(vertices(1033)%branchR2(0:0))
    call avR2(1033, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4449])

    allocate(vertices(1575)%branchR2(0:0))
    call avR2(1575, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4438])

    allocate(vertices(1461)%branchR2(0:1))
    call avR2(1461, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_4203, nGC_4202, nGC_4208&
    , nGC_4208])

    call avR2(1461, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_4201, nGC_4201, nGC_4209&
    , nGC_4209])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(464)%branchR2(0:0))
    call avR2(464, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_4353, nGC_4352])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1576)%branchR2(0:0))
    call avR2(1576, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4436, nGC_4437, nGC_4437&
    ])

    allocate(vertices(1577)%branchR2(0:1))
    call avR2(1577, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_4484])

    call avR2(1577, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_4485])

    allocate(vertices(1410)%branchR2(0:0))
    call avR2(1410, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4439])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4478])

    allocate(vertices(742)%branchR2(0:1))
    call avR2(742, 0, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_4330, nGC_4331])

    call avR2(742, 1, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_4332, nGC_4332])

    allocate(vertices(1358)%branchR2(0:0))
    call avR2(1358, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4456])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(337)%branchR2(0:1))
    call avR2(337, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4365, nGC_4363])

    call avR2(337, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_4366, nGC_4364])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4429])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4428])

    allocate(vertices(574)%branchR2(0:1))
    call avR2(574, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_4309, nGC_4311])

    call avR2(574, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_4310, nGC_4312])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4444])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4455])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4432])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_4249])

    allocate(vertices(1045)%branchR2(0:0))
    call avR2(1045, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_4362])

    allocate(vertices(1239)%branchR2(0:0))
    call avR2(1239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4463])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_4324])

    allocate(vertices(991)%branchR2(0:1))
    call avR2(991, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_4370, nGC_4368])

    call avR2(991, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4372, nGC_4371])

    allocate(vertices(547)%branchR2(0:0))
    call avR2(547, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4456])

    allocate(vertices(797)%branchR2(0:0))
    call avR2(797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(1360)%branchR2(0:0))
    call avR2(1360, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4447])

    allocate(vertices(1012)%branchR2(0:3))
    call avR2(1012, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_4393, nGC_4391])

    call avR2(1012, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_4392, nGC_4392])

    call avR2(1012, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_4390, nGC_4388])

    call avR2(1012, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_4389, nGC_4389])

    allocate(vertices(169)%branchR2(0:0))
    call avR2(169, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(1169)%branchR2(0:0))
    call avR2(1169, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4454])

    allocate(vertices(472)%branchR2(0:0))
    call avR2(472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(1578)%branchR2(0:1))
    call avR2(1578, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1578, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_4361])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4458])

    allocate(vertices(25)%branchR2(0:0))
    call avR2(25, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4426])

    allocate(vertices(656)%branchR2(0:1))
    call avR2(656, 0, 20, 1, 0, SFFa2, 0, [0, 3], [nGC_4272, nGC_4274])

    call avR2(656, 1, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_4273, nGC_4275])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(1005)%branchR2(0:1))
    call avR2(1005, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4333, nGC_4334])

    call avR2(1005, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4335, nGC_4335])

    allocate(vertices(1260)%branchR2(0:0))
    call avR2(1260, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4421, nGC_4422, nGC_4423&
    ])

    allocate(vertices(1579)%branchR2(0:0))
    call avR2(1579, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4437, nGC_4436, nGC_4437&
    ])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4426])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_11937])

    allocate(vertices(1580)%branchR2(0:1))
    call avR2(1580, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_4493])

    call avR2(1580, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_4494])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_4290])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4443, nGC_4441, nGC_4442])

    allocate(vertices(718)%branchR2(0:1))
    call avR2(718, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4270, nGC_4268])

    call avR2(718, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4271, nGC_4269])

    allocate(vertices(1581)%branchR2(0:0))
    call avR2(1581, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4424])

    allocate(vertices(1425)%branchR2(0:0))
    call avR2(1425, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4446])

    allocate(vertices(184)%branchR2(0:0))
    call avR2(184, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4456])

    allocate(vertices(449)%branchR2(0:0))
    call avR2(449, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_4281])

    allocate(vertices(1230)%branchR2(0:0))
    call avR2(1230, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_4278])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4440])

    allocate(vertices(366)%branchR2(0:0))
    call avR2(366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4447])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_4450, nGC_4450,        &
    nGC_4450])

    call avR2(1582, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_4451, nGC_4451,        &
    nGC_4451])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4457])

    allocate(vertices(414)%branchR2(0:1))
    call avR2(414, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4272, nGC_4274])

    call avR2(414, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4273, nGC_4275])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(562)%branchR2(0:0))
    call avR2(562, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4428])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(880)%branchR2(0:0))
    call avR2(880, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_4255, nGC_4256])

    allocate(vertices(1583)%branchR2(0:0))
    call avR2(1583, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4438])

    allocate(vertices(561)%branchR2(0:0))
    call avR2(561, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4445])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4426])

    allocate(vertices(1306)%branchR2(0:0))
    call avR2(1306, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4418])

    allocate(vertices(715)%branchR2(0:0))
    call avR2(715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4435])

    allocate(vertices(516)%branchR2(0:0))
    call avR2(516, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4435])

    allocate(vertices(76)%branchR2(0:3))
    call avR2(76, 0, 38, 1, 0, VFFa0, 0, [1, 2], [nGC_4401, nGC_4400])

    call avR2(76, 1, 38, 1, 0, VFFa0, 0, [3, 0], [nGC_4392, nGC_4392])

    call avR2(76, 2, 39, 1, 0, VFFa0, 0, [1, 2], [nGC_4399, nGC_4398])

    call avR2(76, 3, 39, 1, 0, VFFa0, 0, [3, 0], [nGC_4389, nGC_4389])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4439])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_4263])

    allocate(vertices(1584)%branchR2(0:1))
    call avR2(1584, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_4459])

    call avR2(1584, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_4460])

    allocate(vertices(1111)%branchR2(0:0))
    call avR2(1111, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4431])

    allocate(vertices(192)%branchR2(0:1))
    call avR2(192, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_4370, nGC_4368])

    call avR2(192, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_4381, nGC_4380])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_4326])

    allocate(vertices(1235)%branchR2(0:0))
    call avR2(1235, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4420])

    allocate(vertices(1049)%branchR2(0:1))
    call avR2(1049, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_4240, nGC_4239])

    call avR2(1049, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_4241, nGC_4241])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4443, nGC_4441, nGC_4442])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_4343, nGC_4342])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4454])

    allocate(vertices(672)%branchR2(0:1))
    call avR2(672, 0, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_4238, nGC_4238])

    call avR2(672, 1, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_4237, nGC_4236])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4478])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_12831])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4456])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_4341, nGC_4340])

    allocate(vertices(1270)%branchR2(0:0))
    call avR2(1270, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4488, nGC_4487, nGC_4486&
    ])

    allocate(vertices(36)%branchR2(0:3))
    call avR2(36, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_4393, nGC_4391])

    call avR2(36, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_4392, nGC_4392])

    call avR2(36, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_4390, nGC_4388])

    call avR2(36, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_4389, nGC_4389])

    allocate(vertices(1585)%branchR2(0:1))
    call avR2(1585, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_4489, nGC_4489,        &
    nGC_4489])

    call avR2(1585, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_4490, nGC_4490,        &
    nGC_4490])

    allocate(vertices(445)%branchR2(0:0))
    call avR2(445, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(1250)%branchR2(0:0))
    call avR2(1250, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4454])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_4306, nGC_4305])

    allocate(vertices(1245)%branchR2(0:0))
    call avR2(1245, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4456])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_4318, nGC_4317])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4428])

    allocate(vertices(779)%branchR2(0:3))
    call avR2(779, 0, 40, 1, 0, VFaF1, 0, [1, 2], [nGC_4401, nGC_4400])

    call avR2(779, 1, 40, 1, 0, VFaF1, 0, [3, 0], [nGC_4392, nGC_4392])

    call avR2(779, 2, 41, 1, 0, VFaF1, 0, [1, 2], [nGC_4399, nGC_4398])

    call avR2(779, 3, 41, 1, 0, VFaF1, 0, [3, 0], [nGC_4389, nGC_4389])

    allocate(vertices(1048)%branchR2(0:0))
    call avR2(1048, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4427])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4457])

    allocate(vertices(926)%branchR2(0:0))
    call avR2(926, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4449])

    allocate(vertices(970)%branchR2(0:0))
    call avR2(970, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_4373, nGC_4374])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4430])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_4493])

    call avR2(1586, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4434, nGC_4434, nGC_4434&
    ])

    allocate(vertices(1278)%branchR2(0:1))
    call avR2(1278, 0, 19, 1, 0, FaVF0, 0, [2, 1], [nGC_4241, nGC_4241])

    call avR2(1278, 1, 19, 1, 0, FaVF0, 0, [0, 3], [nGC_4258, nGC_4257])

    allocate(vertices(1321)%branchR2(0:0))
    call avR2(1321, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4429])

    allocate(vertices(116)%branchR2(0:1))
    call avR2(116, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_4330, nGC_4331])

    call avR2(116, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_4332, nGC_4332])

    allocate(vertices(1588)%branchR2(0:0))
    call avR2(1588, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4452, nGC_4452, nGC_4452&
    ])

    allocate(vertices(731)%branchR2(0:1))
    call avR2(731, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4301, nGC_4303])

    call avR2(731, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4302, nGC_4304])

    allocate(vertices(1589)%branchR2(0:0))
    call avR2(1589, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4438])

    allocate(vertices(1205)%branchR2(0:0))
    call avR2(1205, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4428])

    allocate(vertices(1327)%branchR2(0:1))
    call avR2(1327, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_4241, nGC_4241])

    call avR2(1327, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_4240, nGC_4239])

    allocate(vertices(1328)%branchR2(0:0))
    call avR2(1328, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_12897])

    allocate(vertices(1590)%branchR2(0:0))
    call avR2(1590, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4419])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4444])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_4230])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4431])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4427])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4488, nGC_4487])

    allocate(vertices(1062)%branchR2(0:1))
    call avR2(1062, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_4269, nGC_4271])

    call avR2(1062, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_4284, nGC_4285])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_4232])

    allocate(vertices(763)%branchR2(0:0))
    call avR2(763, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_4263])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4453])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_12422])

    allocate(vertices(916)%branchR2(0:0))
    call avR2(916, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_4357])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1400)%branchR2(0:0))
    call avR2(1400, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4439])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4432])

  end subroutine fill_vertices_mdl6
end module vertices_info6
